commit c26e7f42870318752ab77e5e5f334c75526b456e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Sep 21 17:53:26 2013 +0100

    Release JSON-GLib 0.16.2

 NEWS         | 4 ++++
 configure.ac | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit d02564cdb908c0c76fb2a35f317a7a389b84746c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 18 17:52:17 2013 +0000

    path: Check if JSONPath expression is NULL
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708318

 json-glib/json-path.c | 2 ++
 1 file changed, 2 insertions(+)

commit 9fba70ca3aa3b9e33714367984ae176c9e4978db
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 11 16:49:14 2013 +0100

    build: Add configure option to enable -Bsymbolic
    
    We should always compile with -Bsymbolic enabled to avoid intra-library
    PLT jumps.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703734
    (cherry picked from commit a9327484746820a5a2b8c1acf4a78470b004f0a0)
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 configure.ac | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 69d50a83b1def47bdb6e3d5e2ef8f59081515dd5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Apr 16 20:02:18 2013 +0100

    Post-release version bump to 0.16.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2a0e59c07aaf3788ace907e62a1b5140e919992f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Apr 16 19:56:26 2013 +0100

    Release JSON-GLib 0.16.0 (stable)

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 55fdc3aa8fcbebd424926eca9a912caa3f41acdf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Apr 16 19:59:41 2013 +0100

    docs: Fix xinclude fallback for annotation glossary

 doc/reference/json-glib-docs.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4e864799773ebc047219482d474f894f151eb93
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Mon Apr 1 18:32:26 2013 +0200

    Add Esperanto translation

 po/eo.po | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 183dac4f69c44a46d5634f82a773a41a3a449a5b
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Thu Mar 21 00:04:11 2013 +0900

    Updated Korean translation

 po/ko.po | 67 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 34 insertions(+), 33 deletions(-)

commit 5bc2060d2c433622c5b7df44d0dd3cb7fc3d7a17
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Tue Mar 19 22:36:30 2013 +0100

    [l10n] Added Tadjik translation

 po/tg.po | 155 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

commit 7b7ac31d069d0cda5ec5d8d16ef1e2a9f43c8bfe
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Mar 17 20:23:41 2013 +0200

    Updated Latvian translation

 po/lv.po | 65 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

commit 474cd483c4ab292bbd3ceab9f411159989e743be
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Mar 17 08:27:33 2013 +0100

    Updated Danish translation

 po/da.po | 67 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 34 insertions(+), 33 deletions(-)

commit 879ed51b7c2629a3f1c512bb787dd79e097dc7ca
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Fri Mar 15 01:00:51 2013 +0000

    Updated Portuguese translation and converted to New Spelling (Novo AO)

 po/pt.po | 98 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 49 insertions(+), 49 deletions(-)

commit e1a55fde8a6a5cc0f1fe44ccfd54c60dd8a7aec6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 13 14:41:23 2013 -0300

    variant: Fix documentation and annotations for deserialize()
    
    The returned GVariant when deserializing from JSON has a floating
    reference that needs to be sunk.

 json-glib/json-gvariant.c | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 8bba53c334b26811083c6d786a527afce965f25d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 7 17:30:10 2013 +0800

    Update Visual Studio Solution Files
    
    Integrate the utility projects to build the introspection files, where one
    can use to build the introspection files directly from the Visual Studio
    IDE if desired.  Note that the introspection files are not built by default
    in a standard Visual Studio build process for JSON-GLib.

 build/win32/vs10/json-glib.sln | 6 ++++++
 build/win32/vs9/json-glib.sln  | 9 +++++++++
 2 files changed, 15 insertions(+)

commit 522a8b40915531ce6fe3075f5f83e6aea984e019
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 7 17:28:12 2013 +0800

    Visual Studio Builds: Support building introspection files
    
    Add a Windows .bat and a python script to create a file list of headers
    and sources to be processed by g-ir-scanner, and to call g-ir-scanner to
    build the introspection files for JSON-GLib.  This will enable one to build
    the introspection files with Visual Studio builds without needing a
    BASH-style shell like MSYS.
    
    Also add utility Visual Studio projects that can be used to call the
    Windows .bat to build the introspection files, for convenience

 build/win32/Makefile.am               |   6 +-
 build/win32/gen-file-list-jsonglib.py | 114 +++++++++++++++++++++++++++++
 build/win32/gengir_jsonglib.bat       | 132 ++++++++++++++++++++++++++++++++++
 build/win32/vs10/Makefile.am          |   1 +
 build/win32/vs10/gengir.vcxproj       | 104 +++++++++++++++++++++++++++
 build/win32/vs9/Makefile.am           |   1 +
 build/win32/vs9/gengir.vcproj         |  77 ++++++++++++++++++++
 7 files changed, 434 insertions(+), 1 deletion(-)

commit a518623439d8bcb7052affe7aeef9783e026138b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 7 17:22:37 2013 +0800

    Update build/win32/config.h.win32(.in)
    
    Make its entries reflect the entries that are requested in the config.h.in
    that was generated with autotools

 build/win32/config.h.win32.in | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 3350c6ee0767fa18ab3ccd7c699ba5a397418573
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 7 17:21:04 2013 +0800

    Update Visual Studio Property Sheets
    
    -Replace JsonGlibVersion with ApiVersion, to be consistent with the Visual
     Studio property sheets of the other parts of the GTK+/Clutter stack, and
     update the corresponding projects
    -Add directives in the property sheets so that we use later to build the
     introspection files

 build/win32/vs10/json-glib.props     | 69 +++++++++++++++++++++++-------------
 build/win32/vs10/json-glib.vcxprojin |  8 ++---
 build/win32/vs9/json-glib.vcprojin   |  8 ++---
 build/win32/vs9/json-glib.vsprops    | 59 ++++++++++++++++++++----------
 4 files changed, 93 insertions(+), 51 deletions(-)

commit 10bc48945678b1c61f42a2860b1ca89c0d9d248f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Mar 4 22:53:50 2013 +0100

    Updated Basque language

 po/eu.po | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)

commit ebe85c769b380d442ec246edebaccf8a5186b366
Author: A S Alam <aalam@users.sf.net>
Date:   Tue Feb 26 07:28:55 2013 +0530

    Punjabi: Translation updated (aalam)

 po/pa.po | 49 +++++++++++++++++++++++++------------------------
 1 file changed, 25 insertions(+), 24 deletions(-)

commit 96c3822becd754851c0370c5dcb983c2579ad9d7
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed Feb 20 20:12:59 2013 +0100

    Update French translation

 po/fr.po | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit 97e0e0194a7273e928fe3e73a875382fb5810333
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 17 20:13:33 2013 +0100

    Updated Polish translation

 po/pl.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 078f26ac09eec7aa5b00823dedb56c5c934f9aa2
Author: Anish A <aneesh.nl@gmail.com>
Date:   Thu Feb 14 21:23:15 2013 +0400

    Updated Malayalam Localization

 po/ml.po | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit eba4dfe745e14f8a27339d2b9962168aeec25b94
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Mon Feb 11 01:55:51 2013 -0800

    node: add (transfer none) annotations to the new typed initializers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693575

 json-glib/json-node.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 53c92e81be7d6d59d177ec2e78ee5e3bd86bc6ac
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Feb 4 20:33:01 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 67 ++++++++++++++++++++++++++++++-------------------------------
 po/zh_TW.po | 67 ++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 66 insertions(+), 68 deletions(-)

commit 437418bc7f5f176cd3cee6f88aaa51f9b69ac9ae
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sat Jan 26 09:48:04 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e4653a5c9ae70621bfba6314e4c538a8415923a1
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sat Jan 26 09:45:46 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 52 ++++++++++++++++++++++++++--------------------------
 1 file changed, 26 insertions(+), 26 deletions(-)

commit e2172751e967d1dbbeb618eda68c4dc0aec709f3
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Jan 24 22:36:47 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 68 +++++++++++++++++++++++++++-------------------------------------
 1 file changed, 29 insertions(+), 39 deletions(-)

commit eff4e0997aace5b99ab1bfd1dde9dbd3c8127b7d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jan 23 14:01:55 2013 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 36abcad4a2cb7cfd0cdbd2298bf32d5a1d617d1b
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Jan 21 00:27:23 2013 +0100

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 46 +++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit 87d129518204769fc5942070fab13812008e306e
Author: Gil Forcada <gforcada@gnome.org>
Date:   Mon Jan 21 00:26:24 2013 +0100

    [l10n] Updated Catalan translation

 po/ca.po | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 96c57eec2d8332c72b28851bc9a72e1b61ddb2c5
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Jan 20 11:49:52 2013 +0900

    Uyghur translation added
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 153 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 153 insertions(+)

commit 69decac8985401f1a47ffea96f72d728e3585248
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Jan 19 11:47:40 2013 +0100

    Updated Serbian translation

 po/sr.po       | 71 +++++++++++++++++++++++++---------------------------------
 po/sr@latin.po | 71 +++++++++++++++++++++++++---------------------------------
 2 files changed, 60 insertions(+), 82 deletions(-)

commit a9bc17dc04b425888b40b5ecef6baefcf369ec84
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 11 17:47:13 2013 +0000

    path: Fix get all object members with wildcard
    
    Similar to the fix that went in commit path e348b1fa, we need to fix
    getting all the members of an object by using the wildcard notation.

 json-glib/json-path.c  |  2 +-
 json-glib/tests/path.c | 28 +++++++++++++++++++++++-----
 2 files changed, 24 insertions(+), 6 deletions(-)

commit e348b1fa88823ddb18fb8d2a2d1acea94c9f9448
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Fri Jan 11 15:03:08 2013 +0000

    path: Fix get all array elements with wildcard
    
    Using the same data as in tests, asking for $['store']['book'][*] JSON path
    should return all the book objects in an array.
    
    But that array is returned inside another array, dupped several times.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691557

 json-glib/json-path.c  | 2 +-
 json-glib/tests/path.c | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit f33c209e0f895b52afae5742a72cfacf104116bc
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Tue Jan 8 21:46:02 2013 +0200

    Updated Bulgarian translation

 po/bg.po | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 8b540ceb2f72b2e354a54bd418c378b4edc6f01a
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Sat Jan 5 18:25:00 2013 +0600

    Updated Kyrgyz translation.

 po/ky.po | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 62958e52b8b60defe3f701c6b4d0680a83528312
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Mon Dec 31 16:47:49 2012 +0100

    Updated Hungarian translation

 po/hu.po | 68 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 38 insertions(+), 30 deletions(-)

commit b75a912ebfac50a07a3c6c3669b1e485de9df90a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Dec 26 10:57:56 2012 +0800

    Fix VS 2008 poperty sheet
    
    A &#x0D;&#x0A;
is required for each line of command for this, which stands
    for newline.  :|

 build/win32/vs9/json-glib.vsprops | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 881ba4e89ae88dfad1d91d693bb45af0ba5492fa
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 14 19:35:11 2012 +0800

    Cleanup/fix Visual C++ build files
    
    -Make all projects build with MultiByte character set, to be consistent
     with GLib.
    -Generate .def in the intermediate directory, instead of json-glib/
    -Get rid of some unwanted cruft in many of the Win32 (32-bit) configs in
     various Visual C++ 2008 files.
    -Some cosmetic changes to Visual C++ 2010 solution file.
    -Fix "installation" folder

 build/win32/vs10/array.vcxproj             |  4 +-
 build/win32/vs10/boxed.vcxproj             |  4 +-
 build/win32/vs10/builder.vcxproj           |  4 +-
 build/win32/vs10/generator.vcxproj         |  4 +-
 build/win32/vs10/gvariant.vcxproj          |  4 +-
 build/win32/vs10/json-glib.props           | 11 +++++-
 build/win32/vs10/json-glib.sln             |  2 +-
 build/win32/vs10/json-glib.vcxprojin       |  8 ++--
 build/win32/vs10/node.vcxproj              |  4 +-
 build/win32/vs10/object.vcxproj            |  4 +-
 build/win32/vs10/parser.vcxproj            |  4 +-
 build/win32/vs10/path.vcxproj              |  4 +-
 build/win32/vs10/reader.vcxproj            |  4 +-
 build/win32/vs10/serialize-complex.vcxproj |  4 +-
 build/win32/vs10/serialize-full.vcxproj    |  4 +-
 build/win32/vs10/serialize-simple.vcxproj  |  4 +-
 build/win32/vs9/array.vcproj               |  8 +---
 build/win32/vs9/boxed.vcproj               |  8 +---
 build/win32/vs9/builder.vcproj             |  8 +---
 build/win32/vs9/generator.vcproj           |  8 +---
 build/win32/vs9/gvariant.vcproj            |  4 +-
 build/win32/vs9/json-glib.vcprojin         | 12 ++----
 build/win32/vs9/json-glib.vsprops          | 59 ++++++++++++++++++------------
 build/win32/vs9/node.vcproj                |  8 +---
 build/win32/vs9/object.vcproj              |  8 +---
 build/win32/vs9/parser.vcproj              |  8 +---
 build/win32/vs9/path.vcproj                |  4 +-
 build/win32/vs9/reader.vcproj              |  8 +---
 build/win32/vs9/serialize-complex.vcproj   |  8 +---
 build/win32/vs9/serialize-full.vcproj      |  8 +---
 build/win32/vs9/serialize-simple.vcproj    |  8 +---
 31 files changed, 105 insertions(+), 135 deletions(-)

commit 59a3e4ef763c2fb312d931fe1843638be84421c8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Nov 27 17:15:50 2012 +0100

    Updated Polish translation

 po/pl.po | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit c288498a8c39c2bcd5513cfb5612cb1de8e19806
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Sun Nov 18 23:34:20 2012 +0100

    Updated slovak translation

 po/sk.po | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit e9504191e69ac004f2f1caeeed5e1b7f9ed903d7
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Sat Nov 17 00:22:34 2012 +0100

    Updated slovak translation

 po/sk.po | 160 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 160 insertions(+)

commit ef4f7685307842e3723498b7daaff8536c9dc58e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Nov 7 18:48:25 2012 +0000

    build: Bump up the requirement for GLib
    
    We need symbols from GLib 2.34 for the test suite.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6838ee9b2a7ac7a2366a6570dc1abc7a711d9440
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 5 12:11:13 2012 +0000

    build: Use the symbols file to generate our public ABI
    
    Instead of a regular expression. This allows us to catch ABI issues
    immediately, without using the ABI check, while building JSON-GLib,
    even on *nix.

 json-glib/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2b8e9ef835f1e99ff791bd5d5ec579e470465f46
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 5 12:11:01 2012 +0000

    symbols: Re-sort

 json-glib/json-glib.symbols | 382 ++++++++++++++++++++++----------------------
 1 file changed, 191 insertions(+), 191 deletions(-)

commit de5e62d3a2826499ab67df21162223ecd1167c5e
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Nov 5 16:15:05 2012 +0100

    Updated Czech translation

 po/cs.po | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3144ead7f256f1172278f74c9c2035884e2eca50
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Nov 5 16:13:17 2012 +0100

    Updated Czech translation

 po/cs.po | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 447c3684cb99f1f8acda4a0273612ec5a065f8d7
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Nov 5 12:40:56 2012 -0200

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 67 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 32 insertions(+), 35 deletions(-)

commit 02a081f6dc83e8f5f083722ef8bb3bfb47a746c2
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Nov 4 21:15:38 2012 +0400

    Updated Russian translation

 po/ru.po | 82 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 41 insertions(+), 41 deletions(-)

commit f69e9b58cc8ad8d37369fd3f60db8d8e9847b1f1
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Nov 3 09:20:27 2012 +0100

    Updated Serbian translation

 po/sr.po       | 49 ++++++++++++++++++++++++++++++-------------------
 po/sr@latin.po | 49 ++++++++++++++++++++++++++++++-------------------
 2 files changed, 60 insertions(+), 38 deletions(-)

commit b16cb3f338f625ed9e997dce9ad26a4568a082be
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Nov 1 11:43:51 2012 +0200

    Added Greek translation

 po/el.po | 77 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 37 insertions(+), 40 deletions(-)

commit 7552833d503db0aa94e4ebc59094e9341e8920af
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Oct 31 11:04:11 2012 +0100

    Updated Galician translations

 po/gl.po | 74 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 36 insertions(+), 38 deletions(-)

commit 6999123568e522dc57c76799aff90a285a52c5dd
Author: Wolfgang Stoeggl <c72578@yahoo.de>
Date:   Tue Oct 30 19:01:34 2012 +0100

    Updated German translation

 po/de.po | 78 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 38 deletions(-)

commit b3569e022b36ff8be4379a163c1694df0ac66d8e
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Tue Oct 30 15:36:23 2012 +0200

    [l10n] Updated Estonian translation

 po/et.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 53835c75028b578a5b565280ae62971990c1355f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Oct 28 13:31:25 2012 +0100

    Updated Spanish translation

 po/es.po | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 28e6bff54d2ddc64e7662d96365d2faf615ed0b5
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Oct 28 11:15:27 2012 +0100

    Updated Czech translation

 po/cs.po | 39 ++++++++++++++-------------------------
 1 file changed, 14 insertions(+), 25 deletions(-)

commit 64fe683c440d7ec7140fd27f53fbaf54da37b249
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 27 12:18:53 2012 +0100

    tests: Put g_type_init() under conditional compilation
    
    Starting from GLib 2.36, g_type_init() is going to be deprecated (the
    type system will be initialized as soon as libgobject is paged in, using
    constructors). As I don't want to bump dependencies just for that, the
    call to g_type_init() should be placed under a compile-time version
    check, to keep the noise from compiler warnings down.

 json-glib/tests/array.c             | 3 +++
 json-glib/tests/boxed.c             | 2 ++
 json-glib/tests/builder.c           | 2 ++
 json-glib/tests/generator.c         | 2 ++
 json-glib/tests/gvariant.c          | 2 ++
 json-glib/tests/invalid.c           | 2 ++
 json-glib/tests/node.c              | 2 ++
 json-glib/tests/object.c            | 2 ++
 json-glib/tests/parser.c            | 2 ++
 json-glib/tests/path.c              | 2 ++
 json-glib/tests/reader.c            | 2 ++
 json-glib/tests/serialize-complex.c | 2 ++
 json-glib/tests/serialize-full.c    | 2 ++
 json-glib/tests/serialize-simple.c  | 2 ++
 14 files changed, 29 insertions(+)

commit f50f32dcfdecd552ca353731faa0fde099569c28
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 27 12:06:28 2012 +0100

    Use typed initializers for JsonNode

 json-glib/json-gobject.c | 115 +++++++++++++++++++++--------------------------
 json-glib/json-parser.c  |  37 ++++++++-------
 2 files changed, 73 insertions(+), 79 deletions(-)

commit 893c30b4b8ce10c017d10bd534c38c458da4436c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 27 11:51:11 2012 +0100

    Use the new typed JsonNode initializers
    
    The typed setters in JsonArray and JsonObject should use the JsonNode
    typed initializers.

 json-glib/json-array.c  | 54 +++++++++++++++++--------------------------------
 json-glib/json-object.c | 48 +++++++++++++++++--------------------------
 2 files changed, 37 insertions(+), 65 deletions(-)

commit 9dfb5000cad954431165e836e203e561ccb79c66
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 27 11:48:58 2012 +0100

    Consolidate null handling in JsonArray and JsonObject
    
    A null value is not only valid for JSON_NODE_NULL nodes, but also for
    JSON_NODE_ARRAY and JSON_NODE_OBJECT nodes that do not have a JsonArray
    or a JsonObject set.

 json-glib/json-array.c  | 11 ++++++++++-
 json-glib/json-object.c | 11 ++++++++++-
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 615538100a42063ca0b84b5bb9c8a6a046a89e0b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 27 11:44:30 2012 +0100

    node: Add typed initializers
    
    We should simplify the JsonNode API a bit, especially when it comes to
    initializing nodes. Instead of a two-step "new(<type>) followed by a
    set_<type>(value)" API, we can provide a "init_<type>(value)" API that
    can take any existing JsonNode and initialize it to the given type.
    
    This makes the JsonNode creation more concise and reliable; it also
    allows to implicitly re-initialize JsonNodes without requiring the user
    to de-allocate/re-allocate them first.

 doc/reference/json-glib-sections.txt |   9 ++
 json-glib/json-glib.symbols          |   9 ++
 json-glib/json-node.c                | 303 +++++++++++++++++++++++++++++++----
 json-glib/json-types.h               |  19 +++
 4 files changed, 306 insertions(+), 34 deletions(-)

commit 3fb92bc727365bce5f99da3a150a237da4da64d6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 27 10:53:49 2012 +0100

    tests/reader: Improve test coverage

 json-glib/tests/reader.c | 24 +++++++++++++++++++-----
 1 file changed, 19 insertions(+), 5 deletions(-)

commit 22275bc0c28682e6bd3022d36e0a9301aeb5ce56
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 27 10:52:41 2012 +0100

    reader: "null" is a value
    
    Even if we have a special JsonNode for it. The json_reader_is_value()
    function should return TRUE for 'null' nodes as well.

 json-glib/json-reader.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9c26d466f4bbdde00225f2782f041668b1536213
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Oct 27 13:31:33 2012 +0700

    Updated Indonesian translation

 po/id.po | 74 +++++++++++++++++++++++++++-------------------------------------
 1 file changed, 31 insertions(+), 43 deletions(-)

commit 4e73239b572fcc0eb4ff6639ee3bbde05d19d404
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Oct 27 05:27:15 2012 +0200

    Updated Serbian translation

 po/sr.po       | 17 +++++++++--------
 po/sr@latin.po | 17 +++++++++--------
 2 files changed, 18 insertions(+), 16 deletions(-)

commit dee67875c1ef981bd3dc56e652df93d4a6f4feda
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 17:59:42 2012 +0100

    scanner: Remove unused functions
    
    JsonScanner is an internal, modified copy of GScanner; we don't need a
    bunch of the provided functions, as the type and its related API are
    meant for internal use only.
    
    Fewer functions == better coverage == less code to maintain.

 json-glib/json-parser.c  |  52 +++----
 json-glib/json-scanner.c | 393 ++++-------------------------------------------
 json-glib/json-scanner.h |  45 +-----
 3 files changed, 59 insertions(+), 431 deletions(-)

commit e83baeab7ce16db4597247e793932fd2e507e855
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 17:21:48 2012 +0100

    tests: Improve coverage

 json-glib/tests/serialize-full.c | 156 ++++++++++++++++++++++++++-------------
 1 file changed, 104 insertions(+), 52 deletions(-)

commit 1e7a2ef9be305e8b1db806f364d18f704ca75a64
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 17:20:43 2012 +0100

    gobject: Use JsonSerializable API
    
    Instead of directly accessing the vfunc from the interface vtable.

 json-glib/json-gobject.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 4fe6c5977d95c37c693d4f0b1d2dd90ae564b8b3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 16:40:59 2012 +0100

    tests: Improve coverage

 json-glib/tests/array.c     |  4 +++
 json-glib/tests/builder.c   |  9 +++++-
 json-glib/tests/generator.c | 69 ++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 80 insertions(+), 2 deletions(-)

commit 31b8e9c9410a90c387aaf6c9c79e5affc1a1b1be
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 16:40:10 2012 +0100

    builder: Conform to the coding style
    
    Function arguments should be aligned on different lines.

 json-glib/json-builder.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit b0c087d1cc88938bc7e6bb1350a175b1ed103e62
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 11:06:26 2012 +0100

    tests: Improve coverage

 json-glib/tests/array.c  | 30 ++++++++++++++++++++++++++++++
 json-glib/tests/object.c | 13 +++++++++++++
 2 files changed, 43 insertions(+)

commit cce1435c280dbf63b0dbb8c9176e062c539aa9f9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 11:04:47 2012 +0100

    array: Relax preconditions on array and object methods
    
    Similarly to what we did for the add_string_element(), we need to relax
    the preconditions for add_array_element() and add_object_element().

 json-glib/json-array.c | 2 --
 1 file changed, 2 deletions(-)

commit bf273f396c640c17da9f742433b4855232b2062e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 10:59:16 2012 +0100

    array: Relax add_string_element() preconditions
    
    The add_string_element() allows passing a NULL string as a shortcut to
    create a 'null' node; the preconditions on the arguments are too strict.

 json-glib/json-array.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 2dec8604ee58571ccc902aeb27004adf6a436ff5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 10:15:35 2012 +0100

    tests/parser: Check negative numeric values
    
    This is the positive equivalent of the test case inside the invalid test
    unit.

 json-glib/tests/parser.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit b9e93111a1200492b71476f7b3a1c60588a90a15
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 10:10:53 2012 +0100

    tests/invalid: Improve test coverage

 json-glib/tests/invalid.c | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 028e540bc2b78f87e5a1d2f0c36126b7636f2809
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 10:10:01 2012 +0100

    parser: Empty member names are not valid
    
    When parsing a JSON object, a member name has to be a valid string, not
    an empty one.

 json-glib/json-parser.c | 13 +++++++++++++
 json-glib/json-parser.h |  4 +++-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 32d7c034dda3ccce05bec2bab0007ff0d65729ab
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 26 09:15:11 2012 +0100

    build: Fix test-report generation
    
    We need to include the revision and date tags.

 build/autotools/Makefile.am.gtest | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 43a27e66bd903a4d68a31e37c3ce04103ed49258
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Fri Oct 26 15:41:43 2012 +0530

    Assamese translation updatedas.po

 po/as.po | 47 ++++++++++++++++++++++-------------------------
 1 file changed, 22 insertions(+), 25 deletions(-)

commit ef6b1e9bb79ae0f07d412a876fd48e27854e9d38
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Oct 25 23:04:46 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 41 +++++++++++++++--------------------------
 1 file changed, 15 insertions(+), 26 deletions(-)

commit 1236c7493093357485c8ddc01eb6431d4ae7b842
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Oct 25 19:22:49 2012 +0200

    Updated Slovenian translation

 po/sl.po | 46 +++++++++++++++++++++-------------------------
 1 file changed, 21 insertions(+), 25 deletions(-)

commit 46b677b4fd818ba9343b8b569f5b951d3d8ac0a3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 25 17:39:38 2012 +0100

    tests/invalid: Add more invalid JSON tests

 json-glib/tests/invalid.c | 113 +++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 96 insertions(+), 17 deletions(-)

commit 977c998929f4d82d93acd3ea0f99c04006e45db0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 25 17:26:25 2012 +0100

    tests/invalid: Check invalid assignments

 json-glib/tests/invalid.c | 44 ++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 40 insertions(+), 4 deletions(-)

commit 77ed79385795d93776e6299b9add3940ceee4245
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 25 17:21:55 2012 +0100

    parser: Use error codes for invalid assignments
    
    In case we're parsing an assignment we should use the 'invalid bareword'
    error code.

 json-glib/json-parser.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 6ebe68eb539a119f99205593b0246399923daef7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 25 17:10:39 2012 +0100

    tests: Move the invalid JSON unit to its own file
    
    Instead of putting it inside the parser unit test.

 json-glib/tests/Makefile.am |  1 +
 json-glib/tests/invalid.c   | 93 +++++++++++++++++++++++++++++++++++++++++++++
 json-glib/tests/parser.c    | 52 -------------------------
 3 files changed, 94 insertions(+), 52 deletions(-)

commit 6e9c38dd0c82c322a9e98315cb22c2b771b1830f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 25 17:08:58 2012 +0100

    parser: Consolidate value parsing
    
    Instead of doing a preliminary check when parsing arrays and objects, we
    should just call json_parse_value() and let it handle all the valid
    values and eventual error cases. This simplifies error handling and
    makes it more reliable.

 json-glib/json-parser.c | 37 ++++++++++++-------------------------
 1 file changed, 12 insertions(+), 25 deletions(-)

commit 5f6ef962097916ae2908e9190d5ba62533ae33ca
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 25 17:07:16 2012 +0100

    parser: Show the column in the error message
    
    For JSON parsed from data (which tends to be in a single line) the
    column holds more information than the line.

 json-glib/json-parser.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1d236453b2569cb2cb5bbc80fde1c72e7a101826
Author: Miguel Angel Cabrera Moya <madmac2501@gmail.com>
Date:   Sun Oct 14 12:18:30 2012 +0200

    parser: Fix small leak in json_parse_statement
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686096

 json-glib/json-parser.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 626908526f9766e4f612bb4b893b83b7084766dc
Author: Sasi Bhushan Boddepalli <sasi@swecha.net>
Date:   Tue Oct 9 21:36:45 2012 +0530

    Updated Telugu Translation

 po/te.po | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)

commit 57bbb1cb7f75720a4d7ba0399e5a156322d34666
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Thu Sep 27 11:56:23 2012 +0600

    Added Kyrgyz translation

 po/ky.po | 160 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 160 insertions(+)

commit 3f840ae31641ad800872e953ee772777e746925c
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Sep 24 11:26:41 2012 +0300

    [l10n] Updated Estonian translation

 po/et.po | 61 +++++++++++++------------------------------------------------
 1 file changed, 13 insertions(+), 48 deletions(-)

commit 426d9f141f5e7c975324d42abdab774b5e9587b2
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Sep 24 10:57:10 2012 +0300

    [l10n] Updated Estonian translation

 po/et.po | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)

commit b2f3ef4cf26e3bae47c82d5c3c7bf79ea762563f
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:   Mon Sep 24 10:54:45 2012 +0530

    Added Bengali India Translation

 po/bn_IN.po | 156 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 156 insertions(+)

commit 655794941dbeac7f65a3ae8514fc75536c9f5ed5
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Sep 24 09:00:08 2012 +0530

    update Punjabi Translation

 po/pa.po | 68 ++++++++++++++++++++++++++--------------------------------------
 1 file changed, 28 insertions(+), 40 deletions(-)

commit 80c6eac77df27b739e7291e3ec7ba6fd4e62c143
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Sep 24 02:10:04 2012 +0300

    Added Latvian translation

 po/lv.po | 159 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 159 insertions(+)

commit f9feca98c714239d7a361597be6fe58b407e1037
Author: Ani Peter <apeter@redhat.com>
Date:   Sun Sep 23 01:10:17 2012 +0530

    Updated Malayalam file

 po/ml.po | 155 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

commit 7abcdadd9b49b0db881702724ef81fe571d0d750
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Sep 21 20:05:58 2012 +0200

    [l10n]Added Catalan (Valencian) translation

 po/ca@valencia.po | 158 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)

commit d1d83f78922be9e5ee98e58410c3fa998ca24d13
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Sep 21 20:05:57 2012 +0200

    [l10n] Added Catalan translation

 po/ca.po | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)

commit da276c3c9f7f2d7b4abce85cbbe91258b595b8ef
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sat Sep 22 02:53:04 2012 +0900

    Added Korean translation

 po/ko.po | 156 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 156 insertions(+)

commit fef47f834db55a503658247b530d378ea5396949
Author: Chandan Kumar <chandankumar.093047@gmail.com>
Date:   Thu Sep 20 10:35:54 2012 +0530

    Updated HINDI translation

 po/hi.po | 160 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 160 insertions(+)

commit 2f14b54261746b8384df992c6eed232bf8628021
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Tue Sep 18 19:29:36 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 157 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 157 insertions(+)

commit 10e8cd6de555866cb7152e3d8b818db796db1261
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 18 01:38:19 2012 +0200

    Added Hungarian translation

 po/hu.po | 153 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 153 insertions(+)

commit 33ee7e91169c6943199739dce9a8f097fea770b3
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 16 13:43:53 2012 +0200

    Updated Danish translation

 po/da.po | 162 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 162 insertions(+)

commit 4b27aa4e36193757f2d4ddc14ff07f6a47ebe529
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Sep 9 11:29:56 2012 +0100

    Updated Portuguese translation

 po/pt.po | 156 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 156 insertions(+)

commit 3b21390c1c16d701bb31678919ca639075ff2729
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Sep 6 12:22:09 2012 +0200

    Update French translation

 po/fr.po | 174 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 174 insertions(+)

commit 2d376ded0367ee77382a92c58f3d7852590ed0a8
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Sep 5 13:45:45 2012 +0100

    Added British English translation

 po/en_GB.po | 160 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 160 insertions(+)

commit 7b837e9ac065d6a117c52cb25bb285fd2bb7e89a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 4 18:18:07 2012 +0200

    Updated Polish translation

 po/pl.po | 84 ++++++++++++++++++++++++++++------------------------------------
 1 file changed, 37 insertions(+), 47 deletions(-)

commit b6497b1d5ce1efa9a6f90b495472aaa917245653
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Aug 17 19:45:07 2012 +0300

    Added uk translation

 po/uk.po | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)

commit 31ca069867c5c94ffd7d42a3f91eb3828581e7a6
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Thu Aug 9 18:32:16 2012 +0530

    Updated Odia Translation.

 po/or.po | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

commit 62b6bb982ca8287b01c4b3d4abf2dd2ff19b8899
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Tue Aug 7 17:38:42 2012 +0530

    Added odia file into the list & Updated translation for Odia.

 po/or.po | 157 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 157 insertions(+)

commit c34ddaf33f3227c5fba7a866cfa25dba2e46d275
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Aug 6 23:04:16 2012 +0900

    [l10n] Add new Japanese translation

 po/ja.po | 158 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 158 insertions(+)

commit 8b5f8e8e7928fac15b38b96017c729ee2143352f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jul 25 16:44:55 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 34 +++++++++++-----------------------
 1 file changed, 11 insertions(+), 23 deletions(-)

commit 6fdf403d06ac890127bca474275d0f62c02caf4f
Author: fenghelong <fenghelongnjit@gmail.com>
Date:   Sun Jul 22 13:34:07 2012 +0800

    Add Chinese simplified translation for ui

 po/zh_CN.po | 165 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 165 insertions(+)

commit 2bfb6cccf626c60571643bcc2bb12e4791dd1db6
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Jul 17 22:05:57 2012 +0200

    Added Serbian translation

 po/sr.po       | 156 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 156 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 312 insertions(+)

commit 9eebf9c886ae7e1e172e3a1efd64f7aa7c79c758
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 15 13:25:53 2012 +0100

    reader: Do not do strict type validation on numeric types
    
    JsonNode will do an implicit conversion for us.

 json-glib/json-reader.c | 21 ---------------------
 1 file changed, 21 deletions(-)

commit 7819e630b8fd88d269dd75a2e0fb1aeb294aed96
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 15 13:24:03 2012 +0100

    node: Implicitly convert numeric types
    
    When retrieving an int, a double, or a boolean, we can use the C rules
    of implicit conversion to move from the actual stored type inside the
    JsonValue to the requested C type.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660795

 json-glib/json-node.c  | 18 ++++++++++++++++++
 json-glib/tests/node.c | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

commit b1b50ec3ad76955651abe92696c4f4717e353840
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 15 13:14:46 2012 +0100

    generator: Use JsonValue, not GValue
    
    We don't need to turn a JsonValue into a GValue, given that we only care
    about the JSON types when serializing to JSON.

 json-glib/json-generator.c | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit 4cb5a1d5c25e7c1e939187740897cb1969df61e8
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jul 14 18:44:21 2012 +0300

    Added Lithuanian translation

 po/lt.po | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit b11ce6570570440c94e563917f55437ca7d2e071
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Jul 14 14:14:38 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 166 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po | 166 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 332 insertions(+)

commit 1409517eb0081d8a56713ee8f6922974f3ca5af0
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Fri Jul 13 20:30:07 2012 +0530

    Assamese translation completed

 po/as.po | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 4317540f0e389370c76ccedea4ca7d15a8aa4969
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jul 10 08:29:46 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit d713da8c3207d7df0c8632924887144fe22e6e0e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:27:03 2012 +0100

    doap: Change my email address to @gnome.org

 json-glib.doap | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c618e6554e28a7a4c6924b2f050daebe1580c6c0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:22:20 2012 +0100

    Post-release version bump to 0.15.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d129e5d700db4e0932b3cdd0260ab173f13901e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:19:49 2012 +0100

    Release JSON-GLib 0.15.2 (snapshot)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4bb7b70c1ec13eb67b3984b684b2ca45b340ee9b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:19:07 2012 +0100

    docs: Add missing symbols
    
    The deprecation macros should be in the private section.

 doc/reference/json-glib-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 9c5c46228d67884a0c26557f7471c5c24da14baa
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:04:58 2012 +0100

    NEWS: Update

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 460a9f3e290be0d5139571492c54ce2b7078cb1f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:04:16 2012 +0100

    build: Drop dependency on gnome-autogen.sh
    
    Use autoreconf instead.

 autogen.sh | 49 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 40 insertions(+), 9 deletions(-)

commit c6011722e55c9f03fa43e213b467ee3c1b89b2ef
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 14:52:31 2012 +0100

    symbols: Add missing functions

 json-glib/json-glib.symbols | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit f91117fcc066fb20204aa34c979d7fb199f0f38a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 14:50:51 2012 +0100

    build: Add abicheck.sh
    
    The abicheck.sh script is used to check that the actural ABI we expose
    in our shared library is the same as the expected one we encode inside
    the json-glib.symbols file.
    
    Using abicheck.sh at check time, we can verify that: a) the symbols file
    is up to date and b) we're not unintentionally leaking private symbols
    to the outside world.

 configure.ac          | 13 ++++++++++++-
 json-glib/Makefile.am |  6 ++++++
 json-glib/abicheck.sh |  6 ++++++
 3 files changed, 24 insertions(+), 1 deletion(-)

commit d52cd977c725f7f8aa22eef91b6305255357eaf2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 14:49:42 2012 +0100

    scanner: Mark all symbols as internal
    
    The JsonScanner API is purely internal; the symbols it exposes should
    not end up in the shared library ABI.

 json-glib/json-scanner.h | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit b6aad8b53e9250c6b7e9c8c7302c5f8bde3a2c72
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 14:39:13 2012 +0100

    Improve test coverage

 json-glib/json-node.c    |  9 ++++-----
 json-glib/tests/node.c   | 18 ++++++++++++++++++
 json-glib/tests/object.c |  2 ++
 3 files changed, 24 insertions(+), 5 deletions(-)

commit 9fd65a138d6ec46b94eaf807f9c87ea5ada11cf0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 14:04:31 2012 +0100

    Use lcov instead of gcov for test coverage reports
    
    With lcov we get nicer reporting tools, with HTML output.

 .gitignore                       |   2 +
 Makefile.am                      |  26 ++++++++-
 README.md                        |   1 +
 build/autotools/Makefile.am      |   1 -
 build/autotools/Makefile.am.gcov |  35 ------------
 configure.ac                     | 112 +++++++++++++++++++++++++++++++--------
 json-glib/Makefile.am            |   7 +--
 7 files changed, 120 insertions(+), 64 deletions(-)

commit c135d9ea1b143382fe1372be547cf5ea76444445
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 13:45:53 2012 +0100

    tests: Add more coverage to JsonNode

 json-glib/tests/node.c | 113 ++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 107 insertions(+), 6 deletions(-)

commit c836800166f2b40e605bb497d7d6e884ae85254c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 13:26:04 2012 +0100

    node: Replace GValue with JsonValue
    
    Given our needs, GValue is terribly overengineered. We do not need
    transformability, and we only have four types of data which won't be
    extended. At the same time, GValue is lacking: it can only be copied
    around, whereas everything else inside a JsonNode is reference counted.
    
    We can now use the newly introduced JsonValue to replace our usage of
    GValue to store values inside a JsonNode, giving us a simpler, reference
    counted storage type.

 json-glib/json-node.c          | 177 +++++++++++++++++++----------------------
 json-glib/json-types-private.h |   2 +-
 2 files changed, 83 insertions(+), 96 deletions(-)

commit 7bd24bd628df97d216436e03237fc27f85a6aa8b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 13:22:47 2012 +0100

    Add JsonValue
    
    Given its ECMAScript inheritance, JSON allows only four types of values:
    
      - integer numbers
      - floating point numbers
      - booleans
      - strings
    
    We can efficiently represent a JSON value using a simple, reference
    counted structure, that behaves similarly to GValue but without the
    baggage of the whole type system.
    
    For the time being, we should keep the whole JsonValue internal: we
    already specify typed public accessors, so there's no need to complicate
    the API any further.

 json-glib/Makefile.am          |   5 +-
 json-glib/json-types-private.h |  78 ++++++++++++++-
 json-glib/json-value.c         | 216 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 296 insertions(+), 3 deletions(-)

commit a62619788bbcc9035fb36e58308b28829f5650d3
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Jun 30 10:27:03 2012 +0700

    Added Vietnamese translation

 po/vi.po | 166 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 166 insertions(+)

commit 487a67e2469386751eda951222b927c9ffc2fb06
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Fri Jun 22 00:05:09 2012 +0300

    Added Greek translation

 po/el.po | 178 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 178 insertions(+)

commit 59247e9f8b519c97d9e4ebf67b1b117d0c1b4d66
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Sun Jun 17 20:33:51 2012 +0400

    Added Russian translation

 po/ru.po | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 1a7db5b528868bdf73b1e2a648134120a28bfe20
Author: Colin Walters <walters@verbum.org>
Date:   Fri Jun 8 11:20:12 2012 -0400

    path: Pass int width for printf field width, not long

 json-glib/json-path.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2eb2fc40034496fa517feeb717c3ca114490c31f
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sat May 19 18:49:03 2012 +0200

    l10n: Added Italian translation

 po/it.po | 172 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 172 insertions(+)

commit cecb20c5e7955f62a57df802230b80d74b4d51ce
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat May 19 12:50:25 2012 +0700

    Moved id.po to proper directory

 id.po    | 171 ---------------------------------------------------------------
 po/id.po | 171 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 171 insertions(+), 171 deletions(-)

commit ed9212a8219d0f953a5f73c1b8db099e6e0977d8
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat May 19 12:43:48 2012 +0700

    Added Indonesian translation

 id.po | 171 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 171 insertions(+)

commit f3fba7486037639d37c4eb58ca9ca1a7702737ad
Author: A S Alam <aalam@users.sf.net>
Date:   Wed May 16 07:32:24 2012 +0530

    Added Punjabi Translaiton

 po/pa.po | 169 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 169 insertions(+)

commit a62e8a14314dbe41073c16a88b6e3d2bc491cbc0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Mar 24 18:03:36 2012 +0100

    Added Galician translations
    
    Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>

 po/gl.po | 168 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 168 insertions(+)

commit 6f4b0d9286c546658af9cee4fc8c075f4f713ff1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 15 16:52:48 2012 +0800

    Fix "install" paths in VS property sheets

 build/win32/vs10/json-glib.props  | 2 +-
 build/win32/vs9/json-glib.vsprops | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2913b0b55481768d5f6dcbbeaa7dbd468cbcf0ac
Author: Gabriel Speckhahn <gabspeck@gmail.com>
Date:   Thu Feb 16 12:48:35 2012 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 170 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 64fa2598e614163fa1dd71d6d74ea2b71180cd82
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jan 22 00:38:39 2012 +0100

    Added Swedish translation

 po/sv.po | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 31bac4804acba9795cd33d510725ea27a39aac23
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jan 14 22:16:52 2012 +0000

    Remove JSON_DISABLE_DEPRECATED
    
    We have deprecations warnings from the compiler, now.

 json-glib/Makefile.am       | 2 +-
 json-glib/json-glib.symbols | 6 ------
 json-glib/json-gobject.h    | 3 ---
 json-glib/json-types.h      | 2 --
 4 files changed, 1 insertion(+), 12 deletions(-)

commit 16f9213dc29390a933b0142ea0a39d44a7a0ab02
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Jan 9 16:16:57 2012 +0100

    Prevent .po file updates on simple 'make'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661128

 autogen.sh | 4 ++++
 1 file changed, 4 insertions(+)

commit 424244569257c280c1926deadf266aa564b795ff
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Jan 9 16:15:06 2012 +0100

    autogen.sh: remove out-of-tree check
    
    Don't verify from autogen.sh that we are in the source tree -- this
    breaks out-of-tree builds in a rather direct way.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667454

 autogen.sh | 7 -------
 1 file changed, 7 deletions(-)

commit fce3e04b970ec58f9d9a8ba2e5fb9712665ec17b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Dec 26 18:50:43 2011 +0100

    Updated Slovenian translation

 po/sl.po | 70 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 35 insertions(+), 35 deletions(-)

commit b9a774d95058ae00aca03b3994f0ffc48cf50699
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Dec 19 09:46:02 2011 +0100

    Added Norwegian bokmål translation

 po/nb.po | 165 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 165 insertions(+)

commit 7f343fc7c0571905afe39c06bec19edd56885620
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Dec 6 20:22:20 2011 +0100

    Updated Spanish translation

 po/es.po | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

commit 0b7a5b7639163573055c569109cbc91ebd77bd77
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Nov 25 18:21:43 2011 +0100

    Added Slovenian translation

 po/sl.po | 175 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 175 insertions(+)

commit dab93ffeb85429157851402c51246066f95f25eb
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Nov 22 10:33:51 2011 +0100

    Czech translation

 po/cs.po | 167 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 167 insertions(+)

commit 432f1b2184e0e574f3e09591f540f995a465a326
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Wed Nov 16 12:20:54 2011 +0200

    [l10n]Added Turkish translation

 po/tr.po | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 9e4c685e9aa284cf67c4331942edfb8b5ace2c50
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Nov 15 16:43:28 2011 +0800

    Fix VS property sheets
    
    The $(GlibEtcInstallRoot)\include\glib-2.0 needs to be specified in
    "AdditionalIncludeDirectories" as well so that we will not mistakenly
    pick up glibconfig.h from a GLib version and other GLib headers from
    another version accidently.

 build/win32/vs10/json-glib.props  | 4 ++--
 build/win32/vs9/json-glib.vsprops | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 89d65bb4c610b87b483b20ebb958043ea1b9d191
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Nov 14 14:57:27 2011 +0100

    Updated Spanish translation

 po/es.po | 167 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 167 insertions(+)

commit 84f987e94a44517a6052b7e91ed2e3c42660e295
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Nov 13 16:53:05 2011 +0100

    [l10n] Added German translation

 po/de.po | 172 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 172 insertions(+)

commit 88e5fdd588fe3a70e1e262bc7b414e3e527e21b6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 11 15:08:08 2011 +0000

    docs: Use markdown in the README

 README    | 103 ---------------------------------------------------------
 README.md | 112 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+), 103 deletions(-)

commit 7636e9de9414304f940837ee828d23e4608e9f32
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 11:19:57 2011 +0100

    docs: Fix typo in JsonObject's description
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660893

 json-glib/json-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2cb5836b99fd4f03e88568de492d1a12841c4176
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 11:06:38 2011 +0100

    Bump up the GLib dependency
    
    It's the development cycle, we can start using GLib 2.31.

 configure.ac           | 2 +-
 json-glib/json-types.h | 6 ------
 2 files changed, 1 insertion(+), 7 deletions(-)

commit c2429c07107edd6acf95e80b82d968771c669c35
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 10:52:43 2011 +0100

    Use the new GLib deprecation scheme
    
    Instead of using a defined symbol to remove the deprecated functions
    from the library, we should use compiler warnings.

 json-glib/Makefile.am    |  1 -
 json-glib/json-gobject.h |  6 ++++--
 json-glib/json-types.h   | 19 +++++++++++++++++--
 3 files changed, 21 insertions(+), 5 deletions(-)

commit f0dad4508b63359123926f699a66aead9c782ce1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 15:39:40 2011 +0800

    Update VS property sheets
    
    Say goodbye to G_DISABLE_DEPRECATED and the build errors that it triggers
    as warnings are now issued during the use of deprecated GLib items instead.

 build/win32/vs10/json-glib.props  | 2 +-
 build/win32/vs9/json-glib.vsprops | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4ab8059df6ad106bf8958642aa1126925d79128c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 12 12:31:27 2011 +0100

    Use g_value_[sg]et_schar() with GLib ≥ 2.31
    
    The non-explicitly signed variant is deprecated.

 json-glib/json-gobject.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit f904ad102004258dc7b839b93a7904517cc4c623
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 07:15:23 2011 -0400

    Adapt to the demise of single includes in GLib

 json-glib/json-scanner.h   | 4 +---
 json-glib/tests/gvariant.c | 2 +-
 json-glib/tests/node.c     | 2 +-
 3 files changed, 3 insertions(+), 5 deletions(-)

commit d23aa2f10c6580f503dfc6969f8550db9576367f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Sep 27 15:22:00 2011 +0800

    Update VS9 property sheet
    
    Separate intermediate folders so that errors/warnings caused by in-use files
    during compilation can be avoided.

 build/win32/vs9/json-glib.vsprops | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 941aff3788ed5ab32e577bcad626150f5e20ce7e
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 22 13:51:09 2011 -0400

    build: Fix srcdir != builddir
    
    We need to find the generated version.h in the builddir.

 json-glib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6fed3b02fb10f4fc76b594f15c56eab6ce7c591
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 14:40:54 2011 +0100

    Post-branch version bump to 0.15.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 35279b587f0b884fd606be77fd06e4fef919a300
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 14:37:45 2011 +0100

    Release JSON-GLib 0.14.0

 configure.ac |  4 ++--
 po/pl.po     | 74 ++++++++++++++++++++++++++++++------------------------------
 2 files changed, 39 insertions(+), 39 deletions(-)

commit 3830326516285e6e86d3fa9c58ef7531679dfec0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 9 16:27:37 2011 +0200

    Added Polish translation

 po/pl.po | 172 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 172 insertions(+)

commit 67a460d9ea8b485e740d1df34943b8df974f4255
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 9 15:00:41 2011 +0100

    Post-release version bump to 0.13.91

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1cb4ed1fac84026a19b35ce10c54df8a6ed12959
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 9 14:57:13 2011 +0100

    Release JSON-GLib 0.13.90 (0.14.0-rc1)

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 18a83ddad87c92ae78010c678a516087ba012859
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 9 14:58:17 2011 +0100

    build: Fix the path to the 'missing' script

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f75475871cc8723e0a41d6c8971f741a405cb9f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 9 14:00:36 2011 +0100

    reader: Do more strict validation
    
    JsonReader should perform more strict validation, and put itself in an
    error state whenever the user asks for values or information on nodes
    that are not there, or not of the right type.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658632

 json-glib/json-reader.c | 177 +++++++++++++++++++++++++++++++++++++++++-------
 json-glib/json-reader.h |  10 ++-
 2 files changed, 163 insertions(+), 24 deletions(-)

commit e7f2d505de39a9dbdea1a5879c13408c7a394a18
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 31 13:33:41 2011 +0800

    Update Win32 and VS Readme files
    
    Tell people about the GNOME Live! page that outlines building
    JSON-GLib and its dependencies with Visual C++.

 build/win32/vs10/README.txt | 5 +++++
 build/win32/vs9/README.txt  | 5 +++++
 2 files changed, 10 insertions(+)

commit c2f5b8bc64f9ac06b2dda8662924d88cc759718e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Aug 23 20:42:15 2011 +0100

    gobject: Deserialize CONSTRUCT properties
    
    While we have to give up deserializing CONSTRUCT_ONLY properties with
    JsonSerializable, CONSTRUCT properties should just be deserialized like
    any other property.
    
    Sadly, there's still a refuse in the json_gobject_new() code that skips
    CONSTRUCT properties along with CONSTRUCT_ONLY ones — a remnant of a
    period when we deserialized them both without JsonSerializable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655526

 json-glib/json-gobject.c            | 13 +++++--------
 json-glib/tests/serialize-complex.c | 19 ++++++++++++++++++-
 json-glib/tests/serialize-full.c    |  3 ++-
 3 files changed, 25 insertions(+), 10 deletions(-)

commit bcfac335a8e4086ff6afa5f267f9886a4d1b6370
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sun Jul 31 02:38:08 2011 -0400

    Handle integer to float/double conversions in json_deserialize_pspec()
    
    It happens that while serializing that float/double properties are
    set to round numbers, this results in deserialization as gint64
    values and a parse failure. This patch addresses it by accepting
    round gint64 numbers as valid values for float/double properties.

 json-glib/json-gobject.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 996d89911d71f54f9a476242f1bd43c077d4428c
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Jul 13 15:27:07 2011 -0400

    Added an additional warning to json_gobject_new()
    
    The same warning that is fired when failing to deserialize
    properties normally needed to be added for the case that
    we fail to deserialize construct-only properties.

 json-glib/json-gobject.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4315308a19e4cf474451cecf8b69aceddda91f49
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Jul 9 15:23:36 2011 -0400

    Avoid serializing default property values only after
    consulting the JsonSerializable.
    
    This patch gives the JsonSerializable class a chance to decide
    whether it's appropriate to serialize a property before
    JsonGObject checks for a default value and skips the property.

 json-glib/json-gobject.c      | 10 ++--------
 json-glib/json-serializable.c |  4 ++++
 2 files changed, 6 insertions(+), 8 deletions(-)

commit 4ba9a6a81709221ba58d0f8e067de660eb96914e
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Jul 7 16:35:21 2011 -0400

    Fixed badly handled fundamental types in json_deserialize_pspec().
    
    This patch fixes json_deserialize_pspec() to return FALSE when
    failing to deserialize some properties. Consequently the patch
    ensures we get the intended warnings when failing to deserialize
    pspecs for some fundamental types:
      Failed to deserialize property "foo" of type "int" on object "bar"

 json-glib/json-gobject.c | 42 ++++++++++++++++++++++++++++++------------
 1 file changed, 30 insertions(+), 12 deletions(-)

commit 24fa4503ad5d85bf60027bd77c434b2a596b1c17
Author: Laurent Bigonville <bigon@bigon.be>
Date:   Wed Jul 6 12:34:56 2011 +0200

    Fix GVariant creation on some architectures (bug #650483)
    
    Fix casting issue in Gvariant creation on some architectures.

 json-glib/json-gvariant.c | 46 ++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 40 insertions(+), 6 deletions(-)

commit dd3c30c5821f9f6bac4cc9016c49c7e6250377eb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 5 15:07:20 2011 +0100

    tests/path: Link expressions and results
    
    Use a structure to keep the testable expressions and their results
    together.

 json-glib/tests/path.c | 74 ++++++++++++++++++++++++++++++++------------------
 1 file changed, 47 insertions(+), 27 deletions(-)

commit acb33a7e6bd3d05d36e7278fafdcb4c35ec88388
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 5 14:23:13 2011 +0100

    build: Replace AC_HELP_STRING with AS_HELP_STRING

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c296ca9ed06b8e4b54a4bd8003593b3a98b94f6b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 5 14:22:13 2011 +0100

    build: Allow m4 substitution for conditional defaults
    
    To compensate for AC_HELP_STRING()'s braindamage.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1fb457af51a5632956fd679deca0021becb5468b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jul 5 14:22:01 2011 +0100

    build: Clean up configure.ac's preamble

 configure.ac | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 75e370e53cb5d31d4a366fc5f126583872f1349a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jun 29 14:29:12 2011 +0800

    Added README.txt's for Visual Studio support
    
    Added README.txt's and included them in distribution to tell
    people how JSON-GLib can be build on Windows using Visual C++.

 build/win32/vs10/Makefile.am |  1 +
 build/win32/vs10/README.txt  | 87 ++++++++++++++++++++++++++++++++++++++++++++
 build/win32/vs9/Makefile.am  |  1 +
 build/win32/vs9/README.txt   | 86 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 175 insertions(+)

commit 7da6eb52937588537754be7e0b496f51077165d2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Jun 29 12:54:52 2011 +0800

    Re-attempt to correct EOL on VS2010 solution
    
    This time I realized that I needed to set autocrlf=false on my Windows side
    ... ugh...
    
    This is one of those files that must have CRLF line endings to work
    correctly :|

 build/win32/vs10/json-glib.sln | 332 ++++++++++++++++++++---------------------
 1 file changed, 166 insertions(+), 166 deletions(-)

commit 4ef07b2c6e7d4d444f8ec6ce93c27f7189b942a0
Author: Travis Reitter <treitter@gmail.com>
Date:   Thu Jun 23 16:54:38 2011 -0700

    Link the tests against the appropriate libraries.
    
    This avoids some linking failures.
    
    Closes: bgo#653295 - json-glib tests need to link against libgobject-2

 json-glib/tests/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c9ac9ce2d417210ccb06d0445a809ce9cd57c7a5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 20 11:59:57 2011 +0800

    Update VS 2010 property sheet
    
    Make up for missed backslash

 build/win32/vs10/json-glib.props | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 230801c694169e50ca45df7df431adbdb89cab18
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 20 11:58:03 2011 +0800

    Refine Visual C++ 2010 projects
    
    Should have realized that my previous commit on Visual C++ 2010 projects
    (refinement) can be consolidated into the property sheet...

 build/win32/vs10/array.vcxproj             |  8 --------
 build/win32/vs10/boxed.vcxproj             |  8 --------
 build/win32/vs10/builder.vcxproj           |  8 --------
 build/win32/vs10/generator.vcxproj         |  8 --------
 build/win32/vs10/gvariant.vcxproj          | 10 +---------
 build/win32/vs10/json-glib.props           |  2 +-
 build/win32/vs10/json-glib.vcxprojin       |  8 --------
 build/win32/vs10/node.vcxproj              | 10 +---------
 build/win32/vs10/object.vcxproj            | 10 +---------
 build/win32/vs10/parser.vcxproj            | 10 +---------
 build/win32/vs10/path.vcxproj              | 10 +---------
 build/win32/vs10/reader.vcxproj            |  8 --------
 build/win32/vs10/serialize-complex.vcxproj |  8 --------
 build/win32/vs10/serialize-full.vcxproj    |  8 --------
 build/win32/vs10/serialize-simple.vcxproj  |  8 --------
 15 files changed, 6 insertions(+), 118 deletions(-)

commit d6fdf92ee000666ceb7892151673b4b56517cdd9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 20 01:11:18 2011 +0800

    Further refinements to Visual C++ 2010 projects
    
    -Seperate the intermediate folders for each configuration so that MSB6003
     (cannot write into MSBuild log file as file is in use) errors and other
     related MSBuild errors can be avoided, and will avoid rebuilding/relinking
     projects when no sources are changed.
    
    -Fixed dependencies for the "install" project

 build/win32/vs10/array.vcxproj             |  8 ++++++--
 build/win32/vs10/boxed.vcxproj             |  8 ++++++--
 build/win32/vs10/builder.vcxproj           |  8 ++++++--
 build/win32/vs10/generator.vcxproj         |  8 ++++++--
 build/win32/vs10/gvariant.vcxproj          |  9 ++++++++-
 build/win32/vs10/install.vcxproj           | 18 +++++++++---------
 build/win32/vs10/json-glib.vcxprojin       |  8 ++++++--
 build/win32/vs10/node.vcxproj              |  8 ++++++--
 build/win32/vs10/object.vcxproj            |  8 ++++++--
 build/win32/vs10/parser.vcxproj            |  8 ++++++--
 build/win32/vs10/path.vcxproj              |  9 ++++++++-
 build/win32/vs10/reader.vcxproj            |  8 ++++++--
 build/win32/vs10/serialize-complex.vcxproj |  8 ++++++--
 build/win32/vs10/serialize-full.vcxproj    |  8 ++++++--
 build/win32/vs10/serialize-simple.vcxproj  |  8 ++++++--
 15 files changed, 97 insertions(+), 35 deletions(-)

commit 8518effca75d2249b8186083b950644ba4098d47
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 20 00:13:29 2011 +0800

    VS 2008 project files update
    
    Update RootNamespace as well for consistency sake.
    
    Thanks to Emmanuele for updating the VS9 projects earlier due to the
    changes in the filenames of the test sources

 build/win32/vs9/array.vcproj     | 2 +-
 build/win32/vs9/boxed.vcproj     | 2 +-
 build/win32/vs9/builder.vcproj   | 2 +-
 build/win32/vs9/generator.vcproj | 2 +-
 build/win32/vs9/gvariant.vcproj  | 2 +-
 build/win32/vs9/node.vcproj      | 2 +-
 build/win32/vs9/object.vcproj    | 2 +-
 build/win32/vs9/parser.vcproj    | 2 +-
 build/win32/vs9/path.vcproj      | 2 +-
 build/win32/vs9/reader.vcproj    | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)

commit 49ecbb4e2449ad55623fb46a0072fd1fbaf837e1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jun 20 00:04:30 2011 +0800

    Update VS2010 project files
    
    -Reflect on the change of filenames of test sources, and updated dist
     stuff accordingly.
    -Clean up projects a little bit.

 build/win32/vs10/Makefile.am                    |  36 ++---
 build/win32/vs10/array-test.vcxproj             | 172 -----------------------
 build/win32/vs10/array-test.vcxproj.filters     |  14 --
 build/win32/vs10/array.vcxproj                  | 171 +++++++++++++++++++++++
 build/win32/vs10/array.vcxproj.filters          |  14 ++
 build/win32/vs10/boxed.vcxproj                  |   1 -
 build/win32/vs10/builder-test.vcxproj           | 172 -----------------------
 build/win32/vs10/builder-test.vcxproj.filters   |  14 --
 build/win32/vs10/builder.vcxproj                | 171 +++++++++++++++++++++++
 build/win32/vs10/builder.vcxproj.filters        |  14 ++
 build/win32/vs10/generator-test.vcxproj         | 172 -----------------------
 build/win32/vs10/generator-test.vcxproj.filters |  14 --
 build/win32/vs10/generator.vcxproj              | 171 +++++++++++++++++++++++
 build/win32/vs10/generator.vcxproj.filters      |  14 ++
 build/win32/vs10/gvariant-test.vcxproj          | 159 ----------------------
 build/win32/vs10/gvariant-test.vcxproj.filters  |  14 --
 build/win32/vs10/gvariant.vcxproj               | 159 ++++++++++++++++++++++
 build/win32/vs10/gvariant.vcxproj.filters       |  14 ++
 build/win32/vs10/install.vcxproj                |   1 -
 build/win32/vs10/json-glib.props                |   1 -
 build/win32/vs10/json-glib.sln                  |  18 +--
 build/win32/vs10/json-glib.vcxprojin            |   1 -
 build/win32/vs10/node-test.vcxproj              | 172 -----------------------
 build/win32/vs10/node-test.vcxproj.filters      |  14 --
 build/win32/vs10/node.vcxproj                   | 171 +++++++++++++++++++++++
 build/win32/vs10/node.vcxproj.filters           |  14 ++
 build/win32/vs10/object-test.vcxproj            | 172 -----------------------
 build/win32/vs10/object-test.vcxproj.filters    |  13 --
 build/win32/vs10/object.vcxproj                 | 171 +++++++++++++++++++++++
 build/win32/vs10/object.vcxproj.filters         |  13 ++
 build/win32/vs10/parser-test.vcxproj            | 172 -----------------------
 build/win32/vs10/parser-test.vcxproj.filters    |  14 --
 build/win32/vs10/parser.vcxproj                 | 171 +++++++++++++++++++++++
 build/win32/vs10/parser.vcxproj.filters         |  14 ++
 build/win32/vs10/path-test.vcxproj              | 159 ----------------------
 build/win32/vs10/path-test.vcxproj.filters      |  14 --
 build/win32/vs10/path.vcxproj                   | 159 ++++++++++++++++++++++
 build/win32/vs10/path.vcxproj.filters           |  14 ++
 build/win32/vs10/reader-test.vcxproj            | 173 ------------------------
 build/win32/vs10/reader-test.vcxproj.filters    |  14 --
 build/win32/vs10/reader.vcxproj                 | 172 +++++++++++++++++++++++
 build/win32/vs10/reader.vcxproj.filters         |  14 ++
 build/win32/vs10/serialize-complex.vcxproj      |   1 -
 build/win32/vs10/serialize-full.vcxproj         |   1 -
 build/win32/vs10/serialize-simple.vcxproj       |   1 -
 45 files changed, 1668 insertions(+), 1682 deletions(-)

commit 54711b3e093e00457a355926516ba87c8171f17d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 19 12:18:04 2011 +0100

    build/vs9: Update after the changes in json-glib/tests

 build/win32/vs9/Makefile.am           |  24 ++---
 build/win32/vs9/array-test.vcproj     | 157 --------------------------------
 build/win32/vs9/array.vcproj          | 157 ++++++++++++++++++++++++++++++++
 build/win32/vs9/boxed.vcproj          |   2 +-
 build/win32/vs9/builder-test.vcproj   | 157 --------------------------------
 build/win32/vs9/builder.vcproj        | 157 ++++++++++++++++++++++++++++++++
 build/win32/vs9/generator-test.vcproj | 157 --------------------------------
 build/win32/vs9/generator.vcproj      | 157 ++++++++++++++++++++++++++++++++
 build/win32/vs9/gvariant-test.vcproj  | 147 ------------------------------
 build/win32/vs9/gvariant.vcproj       | 147 ++++++++++++++++++++++++++++++
 build/win32/vs9/json-glib.sln         |  18 ++--
 build/win32/vs9/node-test.vcproj      | 157 --------------------------------
 build/win32/vs9/node.vcproj           | 157 ++++++++++++++++++++++++++++++++
 build/win32/vs9/object-test.vcproj    | 155 -------------------------------
 build/win32/vs9/object.vcproj         | 155 +++++++++++++++++++++++++++++++
 build/win32/vs9/parser-test.vcproj    | 166 ----------------------------------
 build/win32/vs9/parser.vcproj         | 166 ++++++++++++++++++++++++++++++++++
 build/win32/vs9/path-test.vcproj      | 147 ------------------------------
 build/win32/vs9/path.vcproj           | 147 ++++++++++++++++++++++++++++++
 build/win32/vs9/reader-test.vcproj    | 158 --------------------------------
 build/win32/vs9/reader.vcproj         | 158 ++++++++++++++++++++++++++++++++
 21 files changed, 1423 insertions(+), 1423 deletions(-)

commit 78e896c64e8cbccf1b55291521f11a3f5093080a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 19 12:08:03 2011 +0100

    build: Rename test binaries
    
    It's pointless to add the '-test' suffix to files under the tests/ directory.

 json-glib/tests/Makefile.am      |  18 +-
 json-glib/tests/array-test.c     | 122 ------
 json-glib/tests/array.c          | 122 ++++++
 json-glib/tests/builder-test.c   | 161 --------
 json-glib/tests/builder.c        | 161 ++++++++
 json-glib/tests/generator-test.c | 330 ----------------
 json-glib/tests/generator.c      | 330 ++++++++++++++++
 json-glib/tests/gvariant-test.c  | 233 ------------
 json-glib/tests/gvariant.c       | 233 ++++++++++++
 json-glib/tests/node-test.c      | 112 ------
 json-glib/tests/node.c           | 112 ++++++
 json-glib/tests/object-test.c    | 165 --------
 json-glib/tests/object.c         | 165 ++++++++
 json-glib/tests/parser-test.c    | 785 ---------------------------------------
 json-glib/tests/parser.c         | 785 +++++++++++++++++++++++++++++++++++++++
 json-glib/tests/path-test.c      | 143 -------
 json-glib/tests/path.c           | 143 +++++++
 json-glib/tests/reader-test.c    | 134 -------
 json-glib/tests/reader.c         | 134 +++++++
 19 files changed, 2194 insertions(+), 2194 deletions(-)

commit cef1f16cec529eeb03338f995a8b3d32b262df8b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 19 12:00:01 2011 +0100

    docs: Add index for symbols added in the 0.13 cycle

 doc/reference/json-glib-docs.xml | 5 +++++
 1 file changed, 5 insertions(+)

commit cc2543e101ca8fa41989bc8eb296f8d11b5b9cad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 15 11:30:28 2011 +0100

    build: Add tar-ustar and silent-rules automake options
    
    The tar-ustar format allows longer file names and other niceties —
    though a format ratified in a standard from 1988 is still judged as
    "possibly not widespread enough". I weep for the future of humanity
    and software engineering.
    
    The silent-rules option is just added to avoid using AM_SILENT_RULES()
    on a separate line.

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit c106aa5b0fc0ca408328b95ba721eef6a9d560d2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 15 11:12:38 2011 +0100

    Post-release version bump to 0.13.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02b3ee77a35624a3d6e478ae3700100cb24bf18f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 15 11:08:37 2011 +0100

    Release JSON-GLib 0.13.4

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f37878ec1759283f78a6d580c1f78e9039717862
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 15 11:08:12 2011 +0100

    docs: Fix API reference missing symbols

 doc/reference/json-glib-sections.txt | 4 ++++
 json-glib/json-gobject.h             | 6 ++++++
 2 files changed, 10 insertions(+)

commit c994a9bfdc13aba1b7c5fd019853c68fb38148a6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 9 17:23:04 2011 +0100

    Remove G_CONST_RETURN usage
    
    See GLib bug:
    
      https://bugzilla.gnome.org/show_bug.cgi?id=644611
    
    The macro is going to be deprecated soon.

 json-glib/json-array.c         | 2 +-
 json-glib/json-node.c          | 6 +++---
 json-glib/json-object.c        | 2 +-
 json-glib/json-reader.c        | 6 +++---
 json-glib/json-reader.h        | 6 +++---
 json-glib/json-types-private.h | 2 +-
 json-glib/json-types.h         | 8 ++++----
 7 files changed, 16 insertions(+), 16 deletions(-)

commit 74bb5d61a737cceffd04c8d9ae8d5db390eda5a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 3 11:46:05 2011 +0100

    Use the new atomic functions for refcounting
    
    The newly added g_atomic_int_dec_and_test() simplified the logic for
    unreffing Object and Array.

 json-glib/json-array.c  | 9 ++-------
 json-glib/json-object.c | 9 ++-------
 2 files changed, 4 insertions(+), 14 deletions(-)

commit 4f83868e3a18adac809aff111c5df5ff7af8fedf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 3 11:18:27 2011 +0100

    build: Remove deprecation disabling for GLib

 json-glib/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 65a95198a4a1bca7b418af1639c4bb24b09947c5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Jun 3 15:32:55 2011 +0800

    Visual C++ support: projects for JSONPath test
    
    Added projects to build test program for  JSONPath (path-test.c)

 build/win32/vs10/Makefile.am               |   2 +
 build/win32/vs10/install.vcxproj           |   8 ++
 build/win32/vs10/json-glib.sln             |  26 +++--
 build/win32/vs10/path-test.vcxproj         | 159 +++++++++++++++++++++++++++++
 build/win32/vs10/path-test.vcxproj.filters |  14 +++
 build/win32/vs9/Makefile.am                |   1 +
 build/win32/vs9/json-glib.sln              |  30 ++++--
 build/win32/vs9/path-test.vcproj           | 147 ++++++++++++++++++++++++++
 8 files changed, 371 insertions(+), 16 deletions(-)

commit 16bc9cccd32f4e1c7e9fc0da128aef969d0563b0
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Jun 3 15:01:16 2011 +0800

    Update config.h.win32.in
    
    Added definition of GETTEXT_PACKAGE due to the addition of the i18n
    machinery (commit 67edce08670ce1da4956f87948985434ac5ae2ca)

 build/win32/config.h.win32.in | 3 +++
 1 file changed, 3 insertions(+)

commit d93260c477930140f2ecf2927bd9f2a2d7f4f905
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Jun 3 14:47:42 2011 +0800

    Update VS property sheets
    
    -Add json-path.h to the list of headers to be copied in the "install" stage

 build/win32/vs10/json-glib.props  | 2 ++
 build/win32/vs9/json-glib.vsprops | 1 +
 2 files changed, 3 insertions(+)

commit c3b367ca8bac245712f8390acab1b38a314972a9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 17:10:17 2011 +0100

    serializable: Fix introspection annotations

 json-glib/json-serializable.c | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit aee5a7fbb70e5cb714bcfef79a96c000f62e80db
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 17:01:02 2011 +0100

    Remove unused files
    
    - AUTHORS
    - MAINTAINER
            replaced by json-glib.doap
    
    - ChangeLog
            empty, and not necessary with the foreign automake option

 AUTHORS      | 1 -
 ChangeLog    | 6 ------
 MAINTAINERS  | 3 ---
 configure.ac | 5 +++--
 4 files changed, 3 insertions(+), 12 deletions(-)

commit 1d4cdb76b6f97c723dd6e4c634bacc52d3199999
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 13:35:16 2011 +0100

    Update the ignore file for the po directory

 po/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 8863766ca4792383dad0e48550f8fb79d4c104e4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 13:21:32 2011 +0100

    Mark GError messages for translations
    
    These errors might find their way into a UI.

 json-glib/json-gobject.c  |  4 ++--
 json-glib/json-gvariant.c | 40 ++++++++++++++++++----------------------
 json-glib/json-parser.c   |  5 ++++-
 json-glib/json-path.c     | 13 +++++++------
 json-glib/json-reader.c   | 20 ++++++++++----------
 5 files changed, 41 insertions(+), 41 deletions(-)

commit 67edce08670ce1da4956f87948985434ac5ae2ca
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 13:09:01 2011 +0100

    Add i18n machinery
    
    We need to translate the GError messages.

 .gitignore                    |  2 ++
 Makefile.am                   |  2 +-
 build/autotools/Makefile.am   |  1 +
 build/autotools/as-linguas.m4 | 24 ++++++++++++++++++++++++
 configure.ac                  | 12 ++++++++++++
 json-glib/json-gobject.c      |  2 ++
 json-glib/json-gvariant.c     |  6 ++++++
 json-glib/json-parser.c       |  2 ++
 json-glib/json-path.c         |  4 +++-
 json-glib/json-reader.c       |  2 ++
 po/.gitignore                 | 13 +++++++++++++
 po/Makevars                   |  7 +++++++
 po/POTFILES.in                |  6 ++++++
 13 files changed, 81 insertions(+), 2 deletions(-)

commit e3b5883d4435da7fe677eb9a7c74d2f83980f5da
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 12:49:28 2011 +0100

    gobject: Do not serialize default values
    
    If a property is set to its default value then we can skip its
    serialization, to keep the number of JSON object members down.

 json-glib/json-gobject.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 8c424cc133575282371bff8d17295662267049e9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 12:48:20 2011 +0100

    tests/serialize-complex: Modify the instance
    
    Do not test the defaults: create the GObject instance with different
    values than the default ones from the GParamSpec.

 json-glib/tests/serialize-complex.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 96b1e6b50f355c04e794ad7366bd33b9c3d1f81b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 12:35:58 2011 +0100

    serializable: Allow introspecting properties
    
    This allows a Serializable implementation to override the property list,
    and the setter and the getter function.

 json-glib/json-gobject.c      | 43 ++++++++++++++++++-----
 json-glib/json-gobject.h      | 22 ++++++++++++
 json-glib/json-serializable.c | 81 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 137 insertions(+), 9 deletions(-)

commit c85fc93f6235b8b9d584585215b2fa860f07f2c3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 12:36:08 2011 +0100

    Revert "path: Add some more validation points"
    
    This reverts commit e8fa85705e48d03742eb351addbad53be4d8e60b.
    
    The validation broke the test suite; it'll need some more work.

 json-glib/json-path.c | 77 ++++++++++++++-------------------------------------
 1 file changed, 21 insertions(+), 56 deletions(-)

commit e8fa85705e48d03742eb351addbad53be4d8e60b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 07:55:17 2011 +0100

    path: Add some more validation points
    
    Especially for the slice syntax.

 json-glib/json-path.c | 77 +++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 56 insertions(+), 21 deletions(-)

commit 295c469329d040b4d311e9c295bec908856190d6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 07:54:48 2011 +0100

    symbols: Add JsonPath public entry points

 json-glib/json-glib.symbols | 6 ++++++
 1 file changed, 6 insertions(+)

commit 257209ab47ebcbf36006dd3aa3fcee5545381c6f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 1 07:54:26 2011 +0100

    docs: Document JsonPath and add it to the API reference

 doc/reference/json-glib-docs.xml     |   3 +-
 doc/reference/json-glib-sections.txt |  20 ++++
 doc/reference/json-glib.types        |   1 +
 json-glib/json-path.c                | 174 ++++++++++++++++++++++++++++++++++-
 4 files changed, 195 insertions(+), 3 deletions(-)

commit ac89bb7fc7491019f8baa687a785eeb93af7213e
Merge: b5bd477 4ea8cd4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 31 23:16:10 2011 +0100

    Merge branch 'wip/json-path'
    
    * wip/json-path:
      Add initial JSONPath implementation

commit 4ea8cd43986d5888fb8e809a198d6b0331b12480
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat May 28 14:36:43 2011 +0100

    Add initial JSONPath implementation
    
    JSONPath is a JSON query syntax similar to what XPath does for XML;
    using JSONPath it's possible to address a specific node (or set of
    nodes) inside a JSON document.
    
    The JsonPath class is a simple implementation of part of the JSONPath
    proposal, as formalised by Stefan Gössner here:
    
      http://goessner.net/articles/JsonPath/
    
    The covered operators are:
    
      • root, or '$';
      • child, both using the dot-notation and the bracket notation;
      • recursive descent, or '..';
      • subscript, or '[]';
      • set, or '[,]';
      • slice, or '[start:end:step]'.
    
    The only missing operators are the filter, or '?()' and the script,
    or '()', because implementing a JavaScript interpreter inside JSON-GLib
    is not one of my greatest aspirations. It should be possible, though,
    to parse and evaluate simple arithmetic conditions, in the future.
    
    The JsonPath methods are pretty straightforward: a JsonPath instance
    should be created and used to compile an expression; the compilation
    might result in a syntax error or not. Then, the JsonPath instance can
    be used to match any JSON tree. Like the other JSONPath implementations,
    JsonPath returns a JSON array of matching nodes.
    
    A simple, one-off static method called json_path_query() is also
    provided; the method wraps the JsonPath creation, the expression
    compilation, and the matching, as well as disposing the JsonPath
    instance once done.
    
    For the time being, only positive testing is provided; negative testing
    for the expression compilation will follow.

 json-glib/Makefile.am       |   2 +
 json-glib/json-debug.c      |   3 +-
 json-glib/json-debug.h      |   3 +-
 json-glib/json-glib.h       |   1 +
 json-glib/json-path.c       | 856 ++++++++++++++++++++++++++++++++++++++++++++
 json-glib/json-path.h       |  97 +++++
 json-glib/tests/Makefile.am |   1 +
 json-glib/tests/path-test.c | 143 ++++++++
 8 files changed, 1104 insertions(+), 2 deletions(-)

commit b5bd47727c960990ba98902ee2d7099491a4178a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 30 14:26:54 2011 +0800

    Add/update Visual C++ projects for GVariant API
    
    -Added/dist VS 2008/2010 projects to compile the gvariant-test test program
     (yes, the gvariant-test program passes in the 32-bit and 64-bit modes)
    -Updated property sheet to "install" the "new" json-gvariant.h

 build/win32/vs10/Makefile.am                   |   2 +
 build/win32/vs10/gvariant-test.vcxproj         | 159 +++++++++++++++++++++++++
 build/win32/vs10/gvariant-test.vcxproj.filters |  14 +++
 build/win32/vs10/json-glib.props               |   2 +
 build/win32/vs10/json-glib.sln                 |  10 ++
 build/win32/vs9/Makefile.am                    |   1 +
 build/win32/vs9/gvariant-test.vcproj           | 147 +++++++++++++++++++++++
 build/win32/vs9/json-glib.sln                  |  14 +++
 build/win32/vs9/json-glib.vsprops              |   1 +
 9 files changed, 350 insertions(+)

commit 3a1d817fd39b4b4d2bdbc93257be535c5b29780f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 30 13:07:53 2011 +0800

    Update json-glib.symbols
    
    Added the JSON-GLib gvariant-related APIs.

 json-glib/json-glib.symbols | 4 ++++
 1 file changed, 4 insertions(+)

commit 1b7f20fe88a6647e61964db063eba071114a6f66
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 30 12:53:47 2011 +0800

    Update $(srcroot)/Makefile.am
    
    Due to changes to this file in commit
    4e41d26586991d2977c846fa4871b6df39fe4106, change the order of SUBDIRS
    so that "make dist" will properly run.
    
    This has been checked with "make distcheck" on Fedora 15

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54172e25e8b62075f0aef98d21e17619466ff30f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 30 11:55:06 2011 +0800

    Update Visual C++ Project Files
    
    Update the dist part too...

 build/win32/vs10/Makefile.am | 16 ++++++++--------
 build/win32/vs9/Makefile.am  |  8 ++++----
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 0715050a5a76f187f66f14288a8f3444a4eb49e4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 30 11:53:04 2011 +0800

    Update VS 2008/2010 Project Files
    
    Due to the changes in the location/names of some test programs in
    commit 4e41d26586991d2977c846fa4871b6df39fe4106, update the VS
    project files...

 build/win32/vs10/boxed.vcxproj                     | 172 +++++++++++++++++++++
 build/win32/vs10/boxed.vcxproj.filters             |  14 ++
 build/win32/vs10/install.vcxproj                   |   8 +-
 build/win32/vs10/json-glib.sln                     |   8 +-
 build/win32/vs10/serialize-complex.vcxproj         | 171 ++++++++++++++++++++
 build/win32/vs10/serialize-complex.vcxproj.filters |  14 ++
 build/win32/vs10/serialize-full.vcxproj            | 172 +++++++++++++++++++++
 build/win32/vs10/serialize-full.vcxproj.filters    |  14 ++
 build/win32/vs10/serialize-simple.vcxproj          | 171 ++++++++++++++++++++
 build/win32/vs10/serialize-simple.vcxproj.filters  |  14 ++
 build/win32/vs10/test-serialize-boxed.vcxproj      | 172 ---------------------
 .../vs10/test-serialize-boxed.vcxproj.filters      |  14 --
 build/win32/vs10/test-serialize-complex.vcxproj    | 171 --------------------
 .../vs10/test-serialize-complex.vcxproj.filters    |  14 --
 build/win32/vs10/test-serialize-full.vcxproj       | 172 ---------------------
 .../win32/vs10/test-serialize-full.vcxproj.filters |  14 --
 build/win32/vs10/test-serialize-simple.vcxproj     | 171 --------------------
 .../vs10/test-serialize-simple.vcxproj.filters     |  14 --
 build/win32/vs9/boxed.vcproj                       | 157 +++++++++++++++++++
 build/win32/vs9/json-glib.sln                      |   8 +-
 build/win32/vs9/serialize-complex.vcproj           | 156 +++++++++++++++++++
 build/win32/vs9/serialize-full.vcproj              | 157 +++++++++++++++++++
 build/win32/vs9/serialize-simple.vcproj            | 156 +++++++++++++++++++
 build/win32/vs9/test-serialize-boxed.vcproj        | 157 -------------------
 build/win32/vs9/test-serialize-complex.vcproj      | 156 -------------------
 build/win32/vs9/test-serialize-full.vcproj         | 157 -------------------
 build/win32/vs9/test-serialize-simple.vcproj       | 156 -------------------
 27 files changed, 1380 insertions(+), 1380 deletions(-)

commit 8b778252358ddb28936c6c9192a84f76368ca122
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat May 28 11:38:18 2011 +0100

    tests: Fix up the JsonBuilder test
    
    Clean up some odd code, and add a unit for the empty object case outlined
    in bug 651271.

 json-glib/tests/builder-test.c | 52 +++++++++++++++++++++++++++++++++++++-----
 1 file changed, 46 insertions(+), 6 deletions(-)

commit d784cc6825607c517d7565049108d1f908a1d71b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat May 28 11:36:55 2011 +0100

    builder: Initialize state fields
    
    If we're calling g_free() on a field we better make sure that it's either
    NULL or contains valid data.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651271

 json-glib/json-builder.c | 1 +
 1 file changed, 1 insertion(+)

commit e20a8b0faeb45d1ae2f1bd12d49d31d12e357b24
Author: Alexandre Mazari <scaroo@gmail.com>
Date:   Tue Mar 22 17:28:55 2011 +0100

    gvariant: Fix introspection annotation
    
    The 'signature' arguments of the json_gvariant_deserialize functions are
    optional.
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 json-glib/json-gvariant.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4e41d26586991d2977c846fa4871b6df39fe4106
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat May 28 11:05:57 2011 +0100

    tests: Move all tests under json-glib
    
    The test framework should live under the json-glib directory, and not be
    spread across the project.

 Makefile.am                         |   6 -
 configure.ac                        |   2 -
 json-glib/tests/Makefile.am         |  53 ++---
 json-glib/tests/boxed.c             | 264 +++++++++++++++++++++++
 json-glib/tests/serialize-complex.c | 293 ++++++++++++++++++++++++++
 json-glib/tests/serialize-full.c    | 402 ++++++++++++++++++++++++++++++++++++
 json-glib/tests/serialize-simple.c  | 166 +++++++++++++++
 tests/Makefile.am                   |  34 ---
 tests/test-serialize-boxed.c        | 264 -----------------------
 tests/test-serialize-complex.c      | 293 --------------------------
 tests/test-serialize-full.c         | 402 ------------------------------------
 tests/test-serialize-simple.c       | 166 ---------------
 12 files changed, 1142 insertions(+), 1203 deletions(-)

commit 8d98b99b945423085232d358492e97399c9fd071
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 23 09:39:20 2011 +0800

    Update Visual Studio property sheets
    
    -Make DLL/LIB versioning more like the autotools-compiled versions
    -"Install" the headers in a more consistent way like the autotools versions

 build/win32/vs10/json-glib.props  | 26 +++++++++++++-------------
 build/win32/vs9/json-glib.vsprops | 32 ++++++++++++++++----------------
 2 files changed, 29 insertions(+), 29 deletions(-)

commit 15221448b5998a071b72299c666044dd65ea97e3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 19 08:32:03 2011 +0100

    Add ignore file under build/win32

 build/win32/.gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit f4651885961bf3ccc8d475cdc86af051fe1101f6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 18 13:44:07 2011 +0100

    doap: Add the download-page resource

 json-glib.doap | 2 ++
 1 file changed, 2 insertions(+)

commit 8ef7da62a7575ebb04c69b9d98fd24efb840ab3b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 18 13:39:38 2011 +0100

    Post-release version bump to 0.13.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa793a4fbcc4d44d367ba84d3782823885fec045
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 18 13:37:38 2011 +0100

    Release JSON-GLib 0.13.2 (snapshot)

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 595bdd9cc160f10edefb9e54f45cb4727f39ac24
Merge: 46a8e57 d3db7ac
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 4 01:47:14 2011 +0800

    Merge branch 'master' into msvc-patch

commit d3db7acc1f53491b6dd9637991a1eaf8bb5c5002
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Tue May 3 00:20:12 2011 +0900

    Fixed json_deserialize_pspec() to handle null nodes.
    
    This fixes deserialization to match serialization (bug 648539)

 json-glib/json-gobject.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 9824a32a803bd194208d460068ce5ba91d776686
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Apr 23 18:15:37 2011 +0900

    Warn from json_gobject_deserialize() if a listed property cannot be deserialized.

 json-glib/json-gobject.c | 3 +++
 1 file changed, 3 insertions(+)

commit 254e8e969968e7ed5f594238a980b20c6fabc46e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 21 02:29:53 2011 +0100

    reader: Fix bug in example usage

 json-glib/json-reader.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 46a8e576f2fae9563219fcd72a9866826e684559
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 13 00:34:05 2011 +0800

    VS 2010 Project Files (automation support included)
    
    These are the VS 2010 project files to build JSON-GLib
    and its test programs.  The project for building the main JSON-GLib
    DLL has its source files input into it by the preprocessor during
    "make dist", like the VS2008 project files, simplifying its maintenance.

 build/win32/vs10/array-test.vcxproj                | 172 ++++++++++++++++++
 build/win32/vs10/array-test.vcxproj.filters        |  14 ++
 build/win32/vs10/builder-test.vcxproj              | 172 ++++++++++++++++++
 build/win32/vs10/builder-test.vcxproj.filters      |  14 ++
 build/win32/vs10/generator-test.vcxproj            | 172 ++++++++++++++++++
 build/win32/vs10/generator-test.vcxproj.filters    |  14 ++
 build/win32/vs10/install.vcxproj                   | 149 ++++++++++++++++
 build/win32/vs10/json-glib.props                   | 123 +++++++++++++
 build/win32/vs10/json-glib.sln                     | 146 +++++++++++++++
 build/win32/vs10/json-glib.vcxproj.filtersin       |  20 +++
 build/win32/vs10/json-glib.vcxprojin               | 196 +++++++++++++++++++++
 build/win32/vs10/node-test.vcxproj                 | 172 ++++++++++++++++++
 build/win32/vs10/node-test.vcxproj.filters         |  14 ++
 build/win32/vs10/object-test.vcxproj               | 172 ++++++++++++++++++
 build/win32/vs10/object-test.vcxproj.filters       |  13 ++
 build/win32/vs10/parser-test.vcxproj               | 172 ++++++++++++++++++
 build/win32/vs10/parser-test.vcxproj.filters       |  14 ++
 build/win32/vs10/reader-test.vcxproj               | 173 ++++++++++++++++++
 build/win32/vs10/reader-test.vcxproj.filters       |  14 ++
 build/win32/vs10/test-serialize-boxed.vcxproj      | 172 ++++++++++++++++++
 .../vs10/test-serialize-boxed.vcxproj.filters      |  14 ++
 build/win32/vs10/test-serialize-complex.vcxproj    | 171 ++++++++++++++++++
 .../vs10/test-serialize-complex.vcxproj.filters    |  14 ++
 build/win32/vs10/test-serialize-full.vcxproj       | 172 ++++++++++++++++++
 .../win32/vs10/test-serialize-full.vcxproj.filters |  14 ++
 build/win32/vs10/test-serialize-simple.vcxproj     | 171 ++++++++++++++++++
 .../vs10/test-serialize-simple.vcxproj.filters     |  14 ++
 27 files changed, 2678 insertions(+)

commit 6c74292e66be25840612d7ee6871f1668010eada
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 13 00:30:38 2011 +0800

    Updates to MSVC pre-configured headers
    
    Add automation support for config.h.win32(.in), so config.h.win32
    will be distributed with the correct version info during "make dist"
    
    Also eliminate json-version.h.win32 as it is no longer needed (distribute
    json-version.h during "make dist")

 build/win32/config.h.win32       |  61 ------------------------
 build/win32/config.h.win32.in    |  61 ++++++++++++++++++++++++
 build/win32/json-version.h.win32 | 100 ---------------------------------------
 3 files changed, 61 insertions(+), 161 deletions(-)

commit a7bdf87ec150ac7a88a850190fa79359197e552e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 13 00:26:35 2011 +0800

    MSVC Support with automation added (autotools part)
    
    This updates the autotools files so that the project to compile the main
    JSON-GLib DLL will have its source files filed into the project during
    "make dist".  Plus, it enables the creation/distribution of json-version.h
    and config.h.win32 with the correct version info during "make dist".
    
    These changes will simplify the maintenance of the VS project files,
    and support for VS2010 is also added here, with similar automation support,
    too.

 Makefile.am                  |  2 +-
 build/win32/Makefile.am      |  4 ++--
 build/win32/vs10/Makefile.am | 33 +++++++++++++++++++++++++++++++++
 build/win32/vs9/Makefile.am  |  1 +
 configure.ac                 |  2 ++
 json-glib/Makefile.am        | 39 ++++++++++++++++++++++++++++++++++++++-
 6 files changed, 77 insertions(+), 4 deletions(-)

commit 20fe28cfaa605e11c47fe53232b5dccfa47ddf8b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 13 00:02:48 2011 +0800

    Update VS 2008 Project Files
    
    Add automation support for the VS 2008 project files
    These are the updated VS 2008 Project files and property sheets
    themselves.  x64 compiling support is also added

 build/win32/vs9/array-test.vcproj             | 132 ++++-------
 build/win32/vs9/builder-test.vcproj           | 134 +++++------
 build/win32/vs9/generator-test.vcproj         | 134 +++++------
 build/win32/vs9/install.vcproj                |  44 ++--
 build/win32/vs9/json-glib.sln                 | 115 +++++++++-
 build/win32/vs9/json-glib.vcproj              | 317 --------------------------
 build/win32/vs9/json-glib.vcprojin            | 204 +++++++++++++++++
 build/win32/vs9/json-glib.vsprops             |  20 +-
 build/win32/vs9/node-test.vcproj              | 134 +++++------
 build/win32/vs9/object-test.vcproj            | 134 +++++------
 build/win32/vs9/parser-test.vcproj            | 125 +++++-----
 build/win32/vs9/reader-test.vcproj            | 134 +++++------
 build/win32/vs9/test-serialize-boxed.vcproj   | 134 +++++------
 build/win32/vs9/test-serialize-complex.vcproj | 134 +++++------
 build/win32/vs9/test-serialize-full.vcproj    | 134 +++++------
 build/win32/vs9/test-serialize-simple.vcproj  | 133 ++++-------
 16 files changed, 917 insertions(+), 1245 deletions(-)

commit 61da54311018f7afedb5d1e8cbd88ae7a284714f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 12 08:53:26 2011 +0100

    doap: Fix the URI for Bugzilla
    
    JSON-GLib uses the GNOME Bugzilla instance.

 json-glib.doap | 19 +------------------
 1 file changed, 1 insertion(+), 18 deletions(-)

commit 0ff8f784848ad34c37bd60ad92791c6f76944803
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 12 08:41:20 2011 +0100

    build: List GIO in the json-glib pkgconfig file
    
    Building against JSON-GLib requires GIO.

 json-glib.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b060cd9144990aae6531982bad66050fafcb658
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 8 15:17:19 2011 +0100

    object: Use g_list_find_custom()
    
    Instead of manual iteration, let's use the function GList provides us.

 json-glib/json-object.c | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)

commit 2158cecee6fe1da8786afe2fad94d1098f879786
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 23 11:35:28 2011 +0000

    build: Use AC_CANONICAL_HOST
    
    Since we check for the contents of the $host variable to detect
    compilation on/for win32, we should also be using the canonicalization
    facilities from autoconf.

 configure.ac | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 992d966572e3e498031578558ac307d0f4909246
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:   Tue Mar 15 09:09:11 2011 +0000

    gvariant: Pass NULL down the chain for *signature
    
    Some small internal change from passing the signature to a pointer to
    the signature down the call chain caused all the checks for
    signature==NULL to fail.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 json-glib/json-gvariant.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af70f34b3fc46a4c464418ebd6a16d9a1f18af8a
Author: Eduardo Lima Mitev <elima@igalia.com>
Date:   Thu Jan 27 16:58:48 2011 +0100

    generator: Removes blank spaces from generated JSON when not pretty-print
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640729

 json-glib/json-generator.c       | 35 +++++++++++-------
 json-glib/tests/builder-test.c   |  6 ++--
 json-glib/tests/generator-test.c | 34 +++++++++---------
 json-glib/tests/gvariant-test.c  | 78 ++++++++++++++++++++--------------------
 4 files changed, 82 insertions(+), 71 deletions(-)

commit 8bb22d7de00f15ef44cad502d757639d8a4e8973
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 16:28:07 2011 +0000

    Fix introspection annotations

 json-glib/json-node.c   | 7 ++++---
 json-glib/json-object.c | 4 ++--
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 217127545b07f93ac27e3f137d748d61a5e199da
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 16:16:46 2011 +0000

    tests/object: Add a set_member() unit
    
    Verify that setting an object member multiple times does not lead to
    random values.

 json-glib/tests/object-test.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 1a633159a593c962233a5ef4660e31e60eed96d9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 16:12:38 2011 +0000

    object: Replace the name pointer in the members list
    
    When calling g_hash_table_replace() we also free the string holding the
    member name. This means that the const gchar* pointer we store inside
    the list of ordered member names now points to garbage - so if somebody
    tries to iterate over the members list it will get random values instead
    of a valid C string.
    
    Since we guaranteed insertion order, if we replace the contents of a
    JsonObject member we need to find the right pointer and replace it: just
    removing and prepending won't do.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642383

 json-glib/json-object.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit a125a724894a08a8d8053fdd2db92d0ad8e2dfd4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 6 23:10:54 2011 +0000

    reader: Plug a leak
    
    Free the current_member string, and since we're destroying data we own
    let's do it inside the finalize implementation instead of the dispose
    one.

 json-glib/json-reader.c | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

commit 2c5f4563c54fa273ffd8dbe02b60a12c4b54b977
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 6 12:22:49 2011 +0000

    reader: Add accessor for the member name
    
    This should allow easy access to the member name during iteration.

 doc/reference/json-glib-sections.txt |  1 +
 json-glib/json-glib.symbols          |  1 +
 json-glib/json-reader.c              | 32 ++++++++++++++++++++++++++++++++
 json-glib/json-reader.h              |  1 +
 json-glib/tests/reader-test.c        |  1 +
 5 files changed, 36 insertions(+)

commit b2880f5a4dad07ff96a9b6578ffc5d677f75eb94
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 6 11:34:22 2011 +0000

    reader: Allow using read_element() on objects
    
    If we assume that a JSON object is just an array with a named mapping
    then the JsonReader API should be able to descend into objects using the
    same API used for arrays.
    
    This obviously is less useful than it sounds if we take a very strict
    interpretation of JSON objects as unordered string-to-value mappings; as
    the ordering is not guaranteed to be stable, parsers would be fairly
    weak against various JSON definitions.
    
    If the JSON format parsed is guaranteed to be stable then an integer
    offset might be an easy (albeit slightly less performant) way to access
    data.

 json-glib/json-reader.c       | 67 ++++++++++++++++++++++++++++++++-----------
 json-glib/tests/reader-test.c |  6 ++++
 2 files changed, 57 insertions(+), 16 deletions(-)

commit 74ed11db6da9839ce17b448d6d17103ea0734dda
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 4 19:18:22 2011 +0000

    reader: Add list_members() method
    
    Allow retrieving a list of member names from the current cursor position
    of the JsonReader. It's useful if you're trying to inspect a JSON tree.

 doc/reference/json-glib-sections.txt |  1 +
 json-glib/json-glib.symbols          |  1 +
 json-glib/json-reader.c              | 46 ++++++++++++++++++++++++++++++++++++
 json-glib/json-reader.h              |  1 +
 json-glib/tests/reader-test.c        | 19 +++++++++++++++
 5 files changed, 68 insertions(+)

commit eb14f92019bde75947a98f5578167af6b6a17974
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 26 16:58:56 2011 +0000

    Coding style fixes and compiler warnings removal
    
    G_VARIANT_CLASS_DICTIONARY is a define; GCC complais loudly when trying
    to use a switch() on an enumeration type with case values not from the
    enumeration.
    
    Plus: coding style in JSON-GLib is mostly the same as GTK+ and Clutter,
    so we should adhere to it.

 json-glib/json-gvariant.c | 67 +++++++++++++++++++++++++----------------------
 1 file changed, 36 insertions(+), 31 deletions(-)

commit 212b243c07721242da3dc2c0e6dfe979f73ee5c6
Author: Eduardo Lima Mitev <elima@igalia.com>
Date:   Tue Nov 9 16:45:30 2010 +0100

    gvariant: Adds JSON GVariant integration API, with docs and tests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=632940

 doc/reference/json-glib-docs.xml     |    1 +
 doc/reference/json-glib-sections.txt |   10 +
 json-glib/Makefile.am                |    2 +
 json-glib/json-glib.h                |    2 +
 json-glib/json-gvariant.c            | 1296 ++++++++++++++++++++++++++++++++++
 json-glib/json-gvariant.h            |   46 ++
 json-glib/tests/Makefile.am          |    4 +
 json-glib/tests/gvariant-test.c      |  233 ++++++
 8 files changed, 1594 insertions(+)

commit 822b6be848f3ad53ad113f0ce317b01f1a91a54f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jan 15 18:36:34 2011 +0000

    build: Do not dist a gzip tarball
    
    Use only bzip2, since it gives better compression ratios; the
    installation script on gnome.org will create a gzipped tarball by itself
    anyway.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c07a6549df1ae1b4826bf40f70c62768ce7e35b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 10 11:56:32 2011 +0000

    build: Fix previous commit

 configure.ac | 7 +++++++
 1 file changed, 7 insertions(+)

commit bb67e146c9e883185d264e693cc4a07d1a60d191
Author: Fan, Chun-wei <fanc999%40yahoo.com.tw>
Date:   Mon Jan 10 11:49:16 2011 +0000

    build: Add Visual C++ 2008 project files
    
    Integrate the files inside the build, though it's still not fully
    automated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=635484
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 build/Makefile.am                             |   2 +-
 build/win32/Makefile.am                       |   3 +
 build/win32/config.h.win32                    |  61 +++++
 build/win32/json-version.h.win32              | 100 ++++++++
 build/win32/vs9/Makefile.am                   |  19 ++
 build/win32/vs9/array-test.vcproj             | 189 +++++++++++++++
 build/win32/vs9/builder-test.vcproj           | 189 +++++++++++++++
 build/win32/vs9/generator-test.vcproj         | 189 +++++++++++++++
 build/win32/vs9/install.vcproj                |  71 ++++++
 build/win32/vs9/json-glib.sln                 |  80 +++++++
 build/win32/vs9/json-glib.vcproj              | 317 ++++++++++++++++++++++++++
 build/win32/vs9/json-glib.vsprops             |  93 ++++++++
 build/win32/vs9/node-test.vcproj              | 189 +++++++++++++++
 build/win32/vs9/object-test.vcproj            | 187 +++++++++++++++
 build/win32/vs9/parser-test.vcproj            | 189 +++++++++++++++
 build/win32/vs9/reader-test.vcproj            | 190 +++++++++++++++
 build/win32/vs9/test-serialize-boxed.vcproj   | 189 +++++++++++++++
 build/win32/vs9/test-serialize-complex.vcproj | 188 +++++++++++++++
 build/win32/vs9/test-serialize-full.vcproj    | 189 +++++++++++++++
 build/win32/vs9/test-serialize-simple.vcproj  | 189 +++++++++++++++
 20 files changed, 2822 insertions(+), 1 deletion(-)

commit c7cd46b8320157e223009aa2a7204461c7d301d5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 10 11:48:26 2011 +0000

    build: Add .symbols file for win32 builds

 json-glib/Makefile.am       |   2 +
 json-glib/json-glib.symbols | 163 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 165 insertions(+)

commit 4549af3210461a07dc84a30433a0a23764618e4c
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Sat Nov 20 16:25:41 2010 -0800

    Add C include information to GIR
    
    Bug #635398

 json-glib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f89a50e24d2088061eb7d975db7e6f39beaf853d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 10 11:16:17 2011 +0000

    object: Do some more validation in set_member()
    
    Check if we're setting the same node, to avoid a needless replace.

 json-glib/json-object.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit e828cba563f2584e848994935478a7ffd21728df
Author: Luca Bruno <lucabru@src.gnome.org>
Date:   Thu Jan 6 17:44:46 2011 +0100

    Add missing introspection annotations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=638932

 json-glib/json-array.c        | 8 ++++----
 json-glib/json-node.c         | 8 ++++----
 json-glib/json-object.c       | 8 ++++----
 json-glib/json-parser.c       | 2 +-
 json-glib/json-serializable.c | 2 +-
 5 files changed, 14 insertions(+), 14 deletions(-)

commit 02dd77efaa60201f74349c969dc005c8bb092057
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 10 10:45:39 2011 +0000

    generator: Use g_ascii_dtostr() to avoid losing precision
    
    The nice format escape for g_ascii_formatd() is not really suited for a
    serialization format, as it obviously loses precision.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637244

 json-glib/json-generator.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 3dbab961e675d0684df1121906ae3588d09653e6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 10 10:43:58 2011 +0000

    builder-test: Do not compare serialized double values
    
    Serialization of floating point values might lead to odd formats,
    especially when dealing with IEEE machine-neutral values.

 json-glib/tests/builder-test.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 567d7fb4dff83c9e37e64ef8611f0231fa181c34
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 14 16:35:24 2010 +0000

    reader: Use GObject ≥ 2.26 API
    
    Use modern API to deal with properties installation and notification.

 json-glib/json-reader.c | 35 +++++++++++++++--------------------
 1 file changed, 15 insertions(+), 20 deletions(-)

commit 9aed6f5a455109186ae56ec1c3e558505644d57f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 14 16:26:10 2010 +0000

    generator: Clean up and add accessors
    
    Instead of asking everyone to use g_object_set() to set up a
    JsonGenerator the class should provide a decent API for its properties.
    
    While we're at it, we should also use modern API for installing and
    notifying of property changes.

 doc/reference/json-glib-sections.txt |  11 +-
 json-glib/json-generator.c           | 256 +++++++++++++++++++++++++++++------
 json-glib/json-generator.h           |  37 +++--
 3 files changed, 247 insertions(+), 57 deletions(-)

commit de991a0c6dc4d0b3c366248e20ba6853bd2c3e92
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 14 11:39:04 2010 +0000

    generator: Verify that the decimal separator is locale-independent
    
    There shouldn't be a requirement for this, since we're using the GLib
    function explicitely for this reason, but it's always good to have a
    comprehensive test suite.

 json-glib/tests/generator-test.c | 58 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

commit 4add0e081b8f58dec1cd68152d846be87942091e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 14 11:37:25 2010 +0000

    generator: Implement dumping bare values
    
    JsonGenerator is not able to generate strings for bare values, something
    that completely went under the radar for all this time.

 json-glib/json-generator.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 20a16d5b9ecabe68ee18655b2ff3bdb17136c6f1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 19 09:59:38 2010 +0100

    build: Resync the GTest rules with upstream
    
    Upstream GLib fixed the test rules to avoid repeating the test suite
    three times.

 build/autotools/Makefile.am.gtest | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit dc262a09572328342164ebb23ad698b5cb3cd8ff
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 19 09:49:20 2010 +0100

    Use G_DEFINE_INTERFACE()

 json-glib/json-serializable.c | 35 +++++++----------------------------
 1 file changed, 7 insertions(+), 28 deletions(-)

commit 80665415cd945f3dafed6925c9975f36b916a80f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 19 09:49:05 2010 +0100

    Use G_DEFINE_BOXED_TYPE()

 json-glib/json-array.c  | 13 +------------
 json-glib/json-node.c   | 13 +------------
 json-glib/json-object.c | 13 +------------
 3 files changed, 3 insertions(+), 36 deletions(-)

commit 51e2eef48fabbee554193ee9eadfb8696ebb3ac7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 19 09:48:23 2010 +0100

    build: Depend on GLib ≥ 2.26

 README       | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d28db01f5d12497ec96d5e507af4003b076dd154
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 29 17:25:18 2010 +0100

    build: Use -no-undefined when compiling on win32

 configure.ac | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 5332217481b3e5fee73710bb50886fbc52a632a4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 12:02:36 2010 +0100

    Post-branch version bump to 0.13.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6b4d49b8024f672d62a7059c083455ad31f7d0eb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:59:23 2010 +0100

    Post-release version bump to 0.12.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 661a7497cc88aebdee32bf31c219d457ca143590
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:28:42 2010 +0100

    Release JSON-GLib 0.12.0

 NEWS         | 1 +
 README       | 6 +++---
 configure.ac | 4 ++--
 3 files changed, 6 insertions(+), 5 deletions(-)

commit 9b6acd68e156a45cc845bdebd99c174e82d0677c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:50:38 2010 +0100

    gobject: Fix deserialization of construct-only properties
    
    Commit 2d7550948dfb2e5907b851bc2c4bd296a7526086 broke the construct-only
    properties; we now only check for the G_PARAM_CONSTRUCT_ONLY flag, and
    pass construct-only properties to g_object_newv(); all the properties
    flagged as G_PARAM_CONSTRUCT gets passed with the rest of the properties
    after that.

 json-glib/json-gobject.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d480f2e77e3dc0d00fc617686b306f96353b7177
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:49:41 2010 +0100

    test-serialize-full: Remove the dummy deserialize implementation
    
    If you don't override JsonSerializable, you get the default behaviour
    anyway.

 tests/test-serialize-full.c | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit ff5dd56e4f864d0c015dcd66fa852f9cf7cf90dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:49:19 2010 +0100

    debug: Add debug notes in the GObject code

 json-glib/json-gobject.c      | 14 ++++++++++++--
 json-glib/json-serializable.c |  3 +++
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 7707b18f42b3a19dd780ba73ce1dabb6b8ef3c95
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:48:25 2010 +0100

    debug: Add debug flags for GObject-related code

 json-glib/json-debug.c | 3 ++-
 json-glib/json-debug.h | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit c6bf7ecb0a836b5b43f203cb22be577bd54b9e9a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:23:43 2010 +0100

    introspection: Update to 0.9.5
    
    Add --warn-all for the scanner flags.
    
    Also, undefine JSON_DISABLE_DEPRECATED, to introspect deprecated API.

 configure.ac          | 2 +-
 json-glib/Makefile.am | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 617286e4d38a93e41e1e1d974d01c1d73fd2ff66
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Sep 25 11:23:10 2010 +0100

    Add introspection annotations

 json-glib/json-array.c   |  4 ++--
 json-glib/json-gboxed.c  | 14 +++++++-------
 json-glib/json-gobject.c |  4 ++--
 json-glib/json-object.c  |  4 ++--
 4 files changed, 13 insertions(+), 13 deletions(-)

commit 19b0b873c07f918e06a8610f27a439334334a83d
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 9 10:24:53 2010 -0400

    introspection: Export json-glib-1.0 pkg-config file

 json-glib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d05e919208a47c18d001ac08900b4d2837efd4b4
Author: Luca Bruno <lethalman88@gmail.com>
Date:   Sun Aug 15 20:30:21 2010 +0200

    docs: Add transfer none annotation to JsonBuilder return values.

 json-glib/json-builder.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 2c3062cbd79826b184a6f613c519e69f3ddc1ec6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Aug 15 18:46:02 2010 +0100

    builder: Add Since: annotations

 json-glib/json-builder.h | 54 +++++++++++++++++++++++++++---------------------
 1 file changed, 30 insertions(+), 24 deletions(-)

commit 2d7550948dfb2e5907b851bc2c4bd296a7526086
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Aug 15 18:44:13 2010 +0100

    gobject: Use construct and construct-only properties
    
    Right now, we're checking twice for G_PARAM_CONSTRUCT_ONLY, but what we
    really want is to check for both G_PARAM_CONSTRUCT and
    G_PARAM_CONSTRUCT_ONLY properties when creating a new instance from a
    JSON definition.

 json-glib/json-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be48afe5801a541996bb64437c278088e70258f6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Aug 15 18:43:49 2010 +0100

    build: Use maintainer-clean for removing ignore files

 build/autotools/Makefile.am.gitignore | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 5732cadfab58435ded4e88b0733c1a46aa0dcd2d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Aug 14 12:55:18 2010 +0100

    build: Automate ignoring test binaries
    
    Use noinst_PROGRAMS to generate the list of test binaries to ignore
    directly in the test directories.

 .gitignore                            | 11 -----------
 build/autotools/Makefile.am           |  3 ++-
 build/autotools/Makefile.am.gitignore | 19 +++++++++++++++++++
 json-glib/tests/Makefile.am           |  4 ++++
 tests/Makefile.am                     |  4 ++++
 5 files changed, 29 insertions(+), 12 deletions(-)

commit 8b54bed521b609c373a48d27c880cc70272b6313
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Aug 14 12:26:29 2010 +0100

    docs: Add 0.12 symbols index to the API reference

 doc/reference/json-glib-docs.xml | 5 +++++
 1 file changed, 5 insertions(+)

commit 9ed8d5e7fe96b9dcf82ddbba7de2db40d415cbaf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Aug 14 12:24:59 2010 +0100

    reader: Add :root constructor property
    
    A JsonReader is useless without a root JsonNode to start walking the
    tree from.

 json-glib/json-reader.c       | 96 +++++++++++++++++++++++++++++++++++++++----
 json-glib/json-reader.h       |  2 +-
 json-glib/tests/reader-test.c |  4 +-
 3 files changed, 91 insertions(+), 11 deletions(-)

commit eeeae2194223abe2515e18edec1bdbbb6a7c793d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Aug 14 09:40:44 2010 +0100

    docs: Add the RFC draft for JSON schema

 doc/draft-zyp-json-schema-02.txt | 1345 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 1345 insertions(+)

commit 0281176789b38973b1723f752070cb0e7340055d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 16:09:45 2010 +0100

    reader: Do not wrap JsonParser
    
    Since JsonParser has far more methods for parsing a JSON stream we
    should just make JsonReader an API for reading an already parsed JSON
    tree - in the same way that JsonBuilder does not generate the
    stringified version of the JSON tree it builds.

 doc/reference/json-glib-sections.txt |  2 +-
 json-glib/json-reader.c              | 90 ++++++++++++------------------------
 json-glib/json-reader.h              |  6 +--
 json-glib/tests/reader-test.c        | 11 ++++-
 4 files changed, 41 insertions(+), 68 deletions(-)

commit 149d2f3925ca798886f2137ae73488f7e2e6386b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 15:55:54 2010 +0100

    reader: Mirror the JsonBuilder API value accessors
    
    We should strive to make JsonBuilder and JsonReader similar in API.

 doc/reference/json-glib-sections.txt | 10 +++++-----
 json-glib/json-reader.c              | 34 +++++++++++++++++-----------------
 json-glib/json-reader.h              | 10 +++++-----
 json-glib/tests/reader-test.c        |  8 ++++----
 4 files changed, 31 insertions(+), 31 deletions(-)

commit b385ca3ae47e68cdf48f3641385b9fe5ac8429bc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 15:35:17 2010 +0100

    docs: Update NEWS

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 23866cb9935e9b9f7c88b26cdfc13ff95edfbe00
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 15:34:09 2010 +0100

    docs: Add JsonReader to the API reference

 doc/reference/json-glib-docs.xml     |  1 +
 doc/reference/json-glib-sections.txt | 41 ++++++++++++++++++++++++++++++++++++
 doc/reference/json-glib.types        |  2 ++
 3 files changed, 44 insertions(+)

commit 10e5a1d38113b7b6e7c71da76ff11219baf1022d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Aug 12 15:29:41 2010 +0100

    Add JsonReader
    
    JsonReader is a simple, cursor-based API for parsing a JSON DOM. It is
    similar, in spirit, to the XmlReader API provided by various platforms
    and XML parsing libraries.

 .gitignore                    |   1 +
 json-glib/Makefile.am         |   2 +
 json-glib/json-glib.h         |   3 +
 json-glib/json-reader.c       | 779 ++++++++++++++++++++++++++++++++++++++++++
 json-glib/json-reader.h       | 142 ++++++++
 json-glib/tests/Makefile.am   |  10 +-
 json-glib/tests/reader-test.c | 101 ++++++
 7 files changed, 1035 insertions(+), 3 deletions(-)

commit c3215ba1d46f7965fb58272da069bec389a174df
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Wed Aug 11 14:42:25 2010 -0500

    json-glib/tests: explicitely link against glib
    
    Tests fail to link otherwise.
    
    Bug #626669

 json-glib/tests/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7f85693922d1e2614bcce9219d2c6521580dd360
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 18:04:21 2010 +0100

    build: Remove all stray mentions of Shave
    
    We depend on automake 1.11, now.

 .gitignore                  |  3 ---
 autogen.sh                  | 15 +++------------
 build/autotools/Makefile.am |  2 --
 configure.ac                |  1 -
 4 files changed, 3 insertions(+), 18 deletions(-)

commit 26efdb4cc25cffa857e4ce36f0ad7ee6efe00634
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:49:32 2010 +0100

    Post-release version bump to 0.11.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff7a8ff73ee214d385c64501c8b5dc682ccad1cf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:40:29 2010 +0100

    Release 0.11.2 (0.12.0-rc1)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a91b052fba48ae6f4a61115e2fa6839e7a21509
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:45:35 2010 +0100

    build: Fix up the tests data path
    
    Since we load up a test file from a directory, we should be using a
    path - otherwise this will break out-of-tree builds, e.g. when doing
    a distcheck.

 json-glib/tests/Makefile.am   | 2 +-
 json-glib/tests/parser-test.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 2e3eaabd12829187f5a9ddacef68319442362729
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:42:09 2010 +0100

    build: Fix introspection dependencies

 json-glib/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit def6d5612fbb33f9b02df80294651f5a28a83ccc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:15:36 2010 +0100

    Update the NEWS file

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 385e6278477dfd35d591f8343deb1de2827ac2ff
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:15:22 2010 +0100

    docs: Update the dependencies in the README file

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5e19ed2523441afd12c45a8b3f19d10fc9a37335
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:14:52 2010 +0100

    build: Revert the GLib version bump
    
    GIO landed in GLib 2.16, so we don't need the version bump to 2.20.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9b2845572123ed79a6626d90d2d2298c9c3d5a7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:07:36 2010 +0100

    generator: Add an OutputStream-based method
    
    Currently, only synchronous API.
    
    The output handling is pretty trivial, unlike the input handling in
    JsonParser; this is a really basic convenience API.

 doc/reference/json-glib-sections.txt |  1 +
 json-glib/json-generator.c           | 37 ++++++++++++++++++++++++++++++++++++
 json-glib/json-generator.h           | 22 +++++++++++++--------
 3 files changed, 52 insertions(+), 8 deletions(-)

commit c7c288b89175b1f9545d6ddff25609b7bb243041
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 17:04:38 2010 +0100

    Fix the include for json-types.h

 json-glib/json-parser.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6ea3a6bae044ec7874dfde3b50bb337f00bb3be
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 16:41:18 2010 +0100

    Exercise the stream API in JsonParser

 json-glib/tests/Makefile.am      |  2 ++
 json-glib/tests/parser-test.c    | 78 ++++++++++++++++++++++++++++++++++++++++
 json-glib/tests/stream-load.json |  1 +
 3 files changed, 81 insertions(+)

commit 8cac7f2b6987803e36ff6abe012cd3e017b5b960
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 16:40:36 2010 +0100

    docs: Add the new JsonParser stream API

 doc/reference/json-glib-sections.txt | 3 +++
 1 file changed, 3 insertions(+)

commit 107e53b2daa27b99fb629dd1e2bf9bfd2729b3dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 16:39:04 2010 +0100

    parser: Add loading from a GInputStream
    
    JsonParser should be able to use a GInputStream (both synchronously and
    asynchronously) to retrieve the JSON data and parse it.

 json-glib/json-parser.c | 258 ++++++++++++++++++++++++++++++++++++++++++++++++
 json-glib/json-parser.h |  49 +++++----
 2 files changed, 289 insertions(+), 18 deletions(-)

commit b164bb5180749aaff385f5d61866875bfbf9c552
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 16:38:01 2010 +0100

    build: Use the GIO prefix for cross-references

 doc/reference/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6d317b129169352111ab16a0df9aee8b9aa5284b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Aug 2 16:37:32 2010 +0100

    build: Depend on GIO
    
    Bump up the dependencies to be able to use GIO.

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 84230dd03b5db34da5ccef0a4926e18c22124952
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jul 21 23:50:09 2010 +0100

    docs: Fix up the cgit URL

 README | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 67ad0f21ca554edcd6633014b0bce7dd8d216191
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jul 21 23:49:56 2010 +0100

    Update NEWS for the next stable release

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 465880e5ccaca086fd1b881bd7175658d627318c
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jul 6 10:49:27 2010 -0400

    Make GIR depend on library
    
    Fixes parallel builds.

 json-glib/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 66e5f619d55433985460e8c641beb98e85832451
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 16 12:07:41 2010 +0100

    docs: Add JsonBuilder to the API reference
    
    And silence gtk-doc-scanner by removing an undefined argument from
    json_builder_add_null_value().

 doc/reference/json-glib-docs.xml     |  3 ++-
 doc/reference/json-glib-sections.txt | 32 ++++++++++++++++++++++++++++++++
 doc/reference/json-glib.types        |  2 ++
 json-glib/json-builder.c             |  3 ++-
 4 files changed, 38 insertions(+), 2 deletions(-)

commit 08f3073eeb0f7e2e0973abd23ba4ec978ad302d7
Author: Luca Bruno <lethalman88@gmail.com>
Date:   Wed Jun 9 21:31:06 2010 +0200

    builder: Add convenience API for building JSON trees.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=621141
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 .gitignore                     |   1 +
 json-glib/Makefile.am          |   2 +
 json-glib/json-builder.c       | 682 +++++++++++++++++++++++++++++++++++++++++
 json-glib/json-builder.h       | 100 ++++++
 json-glib/json-glib.h          |   1 +
 json-glib/tests/Makefile.am    |   3 +
 json-glib/tests/builder-test.c | 121 ++++++++
 7 files changed, 910 insertions(+)

commit 3f8c8f99126dc1a70d847eded13afd4b64395250
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 16 11:54:55 2010 +0100

    Allow NULL as a value for strings, arrays and objects
    
    We should not warn when asking for a string, array or object if the
    contents were 'null'.

 json-glib/json-array.c        | 42 +++++++++++++++++++++++++++++++---------
 json-glib/json-object.c       | 45 ++++++++++++++++++++++++++++++++++---------
 json-glib/tests/object-test.c |  4 ++++
 3 files changed, 73 insertions(+), 18 deletions(-)

commit 471bcf28589e0929984c4e6a097ae273b017b3f0
Author: Anssi Hannula <anssi@mandriva.org>
Date:   Fri May 28 11:57:18 2010 +0100

    Do not hardcode paths in pkgconfig file
    
    The pkgconfig file correctly sets $prefix to @prefix@, but the other
    paths are hardcoded to ones relative to $prefix.
    
    prefix=@prefix@
    exec_prefix=${prefix}
    libdir=${exec_prefix}/lib
    includedir=${exec_prefix}/include
    
    https://bugzilla.gnome.org/show_bug.cgi?id=613282
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 json-glib.pc.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 70b9235b50dd4257e0bf196e07f65807d65f8091
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 28 11:50:01 2010 +0100

    docs: Remove unused field annotation
    
    JsonNode is fully opaque, so there are no fields to annotate.

 json-glib/json-types.h | 1 -
 1 file changed, 1 deletion(-)

commit aaf08f5c1a08c8aaec2436653114996b98ee1f8c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 28 11:35:05 2010 +0100

    build: Clean up the build system
    
    • Use libtool m4 macros, and require libtool >= 2.2.6
    
    • Ditch unused platform checks
    
    • Drop Shave and require automake >= 1.11
    
    • Depend on gtk-doc >= 1.13
    
    • Use gobject-introspection's Makefile rules, and update introspection.m4

 README                             |  4 +-
 build/autotools/Makefile.am        |  3 --
 build/autotools/Makefile.am.silent |  6 ---
 build/autotools/introspection.m4   |  6 +++
 build/autotools/shave-libtool.in   | 69 ---------------------------------
 build/autotools/shave.in           | 79 --------------------------------------
 build/autotools/shave.m4           | 77 -------------------------------------
 configure.ac                       | 46 +++++++---------------
 json-glib/Makefile.am              | 47 ++++++++---------------
 9 files changed, 37 insertions(+), 300 deletions(-)

commit 6231cf027a8f9c3b11324c1d49a350ba55353123
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 26 08:43:10 2010 +0100

    parser: Do not access GScanner:token
    
    The GScanner:token member is declared as GTokenType instead of being an
    unsigned int. This means that comparing it to any other enumeration is
    going to generate a warning in GCC >= 4.5. Unfortunately, extending the
    GTokenType enumeration is the idiomatic way of handling new tokens.
    
    EPIC. FAIL.

 json-glib/json-parser.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit fcd07918d3ed2b31b047900da9d2fed23dddf7da
Author: Eiichi Sato <eiichi.for.public@gmail.com>
Date:   Sat Apr 10 01:52:10 2010 +0900

    Support for surrogate pairs in json string.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=615799
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 json-glib/json-scanner.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 37a7931f91f8d79def3f4895bc349ba621a826a1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 14 23:19:58 2010 +0100

    Ignore json-debug.h
    
    The json-debug.h header is private and not installed; hence, it should
    be ignored by gtk-doc.

 doc/reference/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 28edd58ddfd719d107d89aa364dc208b0126c90f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 14 23:19:28 2010 +0100

    docs: Fix typo
    
    There is no such thing as a 'JsonArrary' type.

 json-glib/json-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d40045bd855bfcb73c10967d894a8e91f8675409
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 14 23:17:28 2010 +0100

    docs: Fix typo in JsonParserError annotation

 json-glib/json-parser.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b55d139ed0368f368c6c9c8f8adfab4c91f1f508
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Apr 3 14:59:00 2010 +0100

    parser: Do not increment the index variable
    
    When parsing an array with a JsonParser with the debugging notes
    enabled, we get an erroneous increment of the idx variable - which is
    then passed to the JsonParser::array-element signal.
    
    Thanks to: Michael Stapelberg <michael@stapelberg.de>

 json-glib/json-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 24567790d30e314ee519c8f3756b3514c0c3fd31
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 19 15:45:24 2010 +0000

    parser: Add MISSING_COLON error
    
    We identify a missing ':' separator between an object member name and
    its value, so it would be a good thing to actually have an error code
    for that.

 json-glib/json-parser.c       | 3 +--
 json-glib/json-parser.h       | 2 ++
 json-glib/tests/parser-test.c | 3 ++-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 08cec3b7c9202007a5abbf548f8d2f1b54d4d0b4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 19 15:40:48 2010 +0000

    parser: Refactor the JsonParser logic
    
    The array and object parsing logic in JsonParser has clearly exploded
    beyond control: a simple tightening of the JSON validation almost broke
    the parser in two. It it is time to...
    
            <cue Christopher Lee voice-over>
    
            REFACTOR THE CODE!
    
            </cue Christopher Lee voice-over>
    
    This time, we should be following the JSON state machine and try to do
    more prediction of the next state based on peeking the next token.
    
    The code is fairly cleaner, now; and, most of all, still passes the
    validation test suite - which is, you know... nice.

 json-glib/json-parser.c | 488 ++++++++++++++++++++----------------------------
 1 file changed, 200 insertions(+), 288 deletions(-)

commit 9ce82f8052290f3956c3d80c8739c214da314d42
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 19 11:04:00 2010 +0000

    parser: Return specific error codes
    
    The JsonScanner error reporting mechanism, which is basically
    GScanner's, sucks beyond belief. In order to report an error code we
    need to store it inside the JsonParser private structure and then use it
    when creating the GError inside the error handler.
    
    This, frankly, is quite stupid.

 json-glib/json-parser.c       | 49 ++++++++++++++++++++++++++++++++++---------
 json-glib/json-parser.h       |  8 +++++++
 json-glib/tests/parser-test.c | 18 ++++++++--------
 3 files changed, 56 insertions(+), 19 deletions(-)

commit 9d7c58b4fb5edeb8e9413acc9d509447e13962e5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 22:41:14 2010 +0000

    JSON-GLib bug tracking system has been moved
    
    We are now using bugzilla.gnome.org, since we're already hosted on
    git.gnome.org.

 README       | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 449656c68a3d6e0d8b96c36414b475e78b9cc272
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 17:11:11 2010 +0000

    parser-test: Add a case for double parsing in JsonObject

 json-glib/tests/parser-test.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 54756457de3f01d1a487fc6b90c5bd9b5b50bcf3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 17:09:38 2010 +0000

    parser: Re-use json_parse_value()
    
    The main switch inside json_parse_statement() is re-implementing the
    bare value parsing that is also provided by json_parse_value(). We
    should kill it off to avoid redundant code.

 json-glib/json-parser.c | 57 ++-----------------------------------------------
 1 file changed, 2 insertions(+), 55 deletions(-)

commit 3355987049560b4d31af22476a7c2b20c9d6665b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 17:08:44 2010 +0000

    parser: Add debug annotations for json_parse_value()
    
    Print out the values we are parsing, for debug purposes.

 json-glib/json-parser.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit f622ee8d8ba54ddea6fbb7311a905ffab7842e8d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 17:05:57 2010 +0000

    generator: Use %g format for g_ascii_formatd()
    
    I should read the documentation for the functions I use:
    
      Converts a gdouble to a string, using the '.' as decimal point. To
      format the number you pass in a printf()-style format string. Allowed
      conversion specifiers are 'e', 'E', 'f', 'F', 'g' and 'G'.
                    -- from g_ascii_formatd() in GLib's API reference
    
    Epic reading fail.

 json-glib/json-generator.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90d6e0b8c334b3fd7995c126f07dd61ba0a9e0fb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 15:26:19 2010 +0000

    parser-test: Add a complex nested object test
    
    The nested object test should use something that's really complex: an
    object with a nested array and nested object definitions.

 json-glib/tests/parser-test.c | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit f4c57ac4227c4edb8a4cecb784e871fbd5649ad1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 15:24:39 2010 +0000

    parser: Clean up array and object parsing
    
    We are doing some of the work twice, especially when dealing with the
    trailing commas detection and the unknown tokens after an array element
    or an object member definition.

 json-glib/json-parser.c | 44 ++++++++++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

commit b3435c6a05ecee58c64dce669ce7e44f829afc98
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 18 15:21:29 2010 +0000

    Add debugging macros
    
    Similarly to what GTK+ and Clutter do, we can use macros that evaluate
    to nothing if JSON_ENABLE_DEBUG is disabled; they evaluate to messages
    when the JSON_DEBUG environment variable is set to a debug domain.

 json-glib/Makefile.am  |  4 +++-
 json-glib/json-debug.c | 37 +++++++++++++++++++++++++++++++++++++
 json-glib/json-debug.h | 45 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 85 insertions(+), 1 deletion(-)

commit 88ac0d5111eb528e4c396e4c169ceee4fb046e62
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 5 19:23:49 2010 +0000

    tests: Add another trailing comma invalid test

 json-glib/tests/parser-test.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c22c1151e418af9506547804d4bc9fddb60bc0f1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 1 17:42:41 2010 +0000

    tests: Add negative tests
    
    Verify that invalid JSON will trigger a parser error.

 json-glib/tests/parser-test.c | 53 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 26668fe238a52a7fd8374f409fc277aaa8efa826
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 1 17:41:14 2010 +0000

    parser: Improve strictness
    
    Apparently, some breakage crept in JsonParser which allowed invalid JSON
    to actually pass. For instance: trailing and missing commas, invalid
    barewords and wrong array and object closing braces.

 json-glib/json-parser.c | 117 ++++++++++++++++++++++++++++++++----------------
 1 file changed, 78 insertions(+), 39 deletions(-)

commit 7d156366e9062349fbe58344712a055839449098
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jan 24 19:09:28 2010 +0000

    build: Configure Automake
    
    Add the following options:
    
      • no-define: we don't need PACKAGE and VERSION defined in config.h
      • -Wno-portability: we require GNU make
      • dist-bzip2: generate a bz2 tarball when distchecking

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea666891cb1e6fc9e527ce6c93a306bc97145f16
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jan 24 18:58:28 2010 +0000

    docs: Fix the GBoxed registration example
    
    The registration function for serialization and deserialization has been
    replaced by two separate functions before releasing 0.10, but I forgot to
    update the example in the documentation.

 json-glib/json-gboxed.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 4c15bf185dcd55ae5daf6b68d2b58d32e9ac9d5c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jan 10 10:00:32 2010 +0000

    build: Fix CFLAGS and LDFLAGS for the gcov target
    
    A copy and paste thinko duplicated the CFLAGS into the LDFLAGS, so we
    need to fix that. The CFLAGS should also specify the optimization level
    to 0 and turn on debugging notes, in case --enable-debug and
    --enable-maintainer-flags are turned off.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c09c2dc1c54c83fea4ef93486081fe3fab35452c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jan 10 09:59:14 2010 +0000

    Initialize every member of JsonObject on construction
    
    We create JsonObject structures using g_slice_new(), so we need to
    initialize every member of the structure ourselves.

 json-glib/json-object.c | 1 +
 1 file changed, 1 insertion(+)

commit cdffa0eacb52479e04460d8436a08ccecce91edf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jan 2 23:57:31 2010 +0000

    build: Move compiler flags to AM_CFLAGS
    
    The AM_CPPFLAGS variable is for pre-processor flags.

 tests/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f20523412e737c2dfae92ba4b9bd86177fd018a0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jan 2 23:56:42 2010 +0000

    build: Enable maintainer flags when compiling tests
    
    The tests should be compiled under the same flags as the rest of the
    library.

 json-glib/tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7b72cad780fdeb42ac1d847210bd2022376f2875
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jan 2 23:50:40 2010 +0000

    tests: Clean up JsonGenerator test suite
    
    Use typed accessors instead of using GValues all around.

 json-glib/tests/generator-test.c | 145 +++++++--------------------------------
 1 file changed, 25 insertions(+), 120 deletions(-)

commit 3c33b61738d74b732805b497accec830b1a05796
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 1 18:23:16 2010 +0000

    tests: Verify Array.get_elements()
    
    While verifying Array.foreach() we should also verify that the list we
    are iterating on is the same returned by the get_elements() method.

 json-glib/tests/array-test.c | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit c8cc10985c3e7aac5ca1c03a7b443951929ed0cb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 1 18:02:03 2010 +0000

    build: Add gcov proxy rule
    
    The gcov rule lives in json-glib/Makefile.am, but it would be nice to
    have a similar rule in the top source directory as well.

 Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 060eddb098dd2b442f986a39aad2e7bf8c777a15
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 23:35:00 2009 +0000

    tests: Re-enable the nested object generator unit
    
    Use the JSON object example inside the RFC 4627 to verify that the
    JsonGenerator creates the right output. This is now possible as we
    garantee the order of a JsonObject members.

 json-glib/tests/generator-test.c | 102 +++++++++++++++++++++------------------
 1 file changed, 56 insertions(+), 46 deletions(-)

commit 37a9c9544447c4a8ac36d80dd58bd38f80b0aa3c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 23:02:23 2009 +0000

    Update the ignore file

 .gitignore | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e32a157f97d96293f6f4061e7d0008d90ff16258
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 22:59:13 2009 +0000

    tests: Move Parser and Generator tests
    
    Use the json-glib/tests directory for testing the data structures of
    JSON-GLib: node, object, array, parser and generator.
    
    The tests/ directory should be used for complex test cases, like the
    GObject and GBoxed integration - but the goal is to remove the top-level
    tests/ directory altogether, since the conformance test suite should be
    built along the json-glib/ directory.

 json-glib/tests/Makefile.am      |  26 +-
 json-glib/tests/generator-test.c | 357 ++++++++++++++++++++++
 json-glib/tests/parser-test.c    | 632 +++++++++++++++++++++++++++++++++++++++
 tests/Makefile.am                |   8 -
 tests/test-generator.c           | 357 ----------------------
 tests/test-parser.c              | 632 ---------------------------------------
 6 files changed, 1006 insertions(+), 1006 deletions(-)

commit 5b4186eb60e953ddbaadcd53b1996d28b06d4a97
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 22:53:29 2009 +0000

    Add GCOV coverage test support
    
    Use GCOV, a GCC extension, to perform a coverage test on JSON-GLib when
    we perform a 'make check'.
    
    GCOV support builds JSON-GLib with compiler and linker flags that enable
    coverage reports; then the check-local target will build the gcov file
    for each source file, and the coverage report will be extracted from
    those.

 .gitignore                        |  7 ++++---
 build/autotools/Makefile.am       |  3 ++-
 build/autotools/Makefile.am.gcov  | 35 +++++++++++++++++++++++++++++++++++
 build/autotools/Makefile.am.gtest |  2 ++
 configure.ac                      | 25 +++++++++++++++++++++++--
 json-glib/Makefile.am             |  9 ++++++---
 6 files changed, 72 insertions(+), 9 deletions(-)

commit 56f56ae22d981830b696c5861e158802d31240c1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 21:56:42 2009 +0000

    Bump to 0.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dae32677d140a3ba6a15e1198b53ea0b3e1716b0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 15:35:21 2009 +0000

    Post-release version bump to 0.10.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5aff66e8fae3e28c9cb6b74696170154eed303a7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 15:33:28 2009 +0000

    Release 0.10.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7258a776ea90ea4b2dcc6f1e4e440bb09c581a12
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 29 15:31:22 2009 +0000

    build: Enable introspection when distchecking

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80c5178127052e600146ca889500e263da4ebf10
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Dec 27 02:09:44 2009 +0100

    Initialize out variables before using them
    
    Here's a small patch for json-glib, to fix some gcc warnings breaking
    the build with -Werror (gcc can't know if the variable will get
    initialized or not). I didn't find a product for json-glib in bugzilla,
    but I guess a mail will work ;-)
    
    Happy holidays :-)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 json-glib/json-gobject.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e3a57eae397926ad23e216996eda164ed6c15c63
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:50:58 2009 +0000

    Post-release bump to 0.9.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4477758b73a0712fdef5e7907f6b6f4e0878428e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:34:41 2009 +0000

    Release 0.9.2 (0.10.0-rc1)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 654f99c6b0d771cc6b4c68790ab164b0f691307d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:34:08 2009 +0000

    Update NEWS

 NEWS | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 307605046cf89ef922d1d1e7c7b95405f3ecfdfb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:48:25 2009 +0000

    docs: Fix annotation for json_gobject_to_data()

 json-glib/json-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7eb3ca4a9de1c7348dc82f528cf0858f52849dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:37:04 2009 +0000

    docs: Add missing to/from_data methods

 doc/reference/json-glib-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 27bb2c060a7b2ecc4839719d39b2044efe4c3e7a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:46:27 2009 +0000

    docs: Add release notes to the README

 README | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 780d82310c47c3f07bcbaab2cefbea0d6decb899
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:33:45 2009 +0000

    docs: Update the README

 README | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

commit d122f9b8c09ad7e82b1a70da5d65ebba2111e6cc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:33:01 2009 +0000

    build: Clean up the configure summary
    
    Make the output of the summary a little bit nicer.

 configure.ac | 27 ++++++++++++++++++++-------
 1 file changed, 20 insertions(+), 7 deletions(-)

commit e4c4480036a82cc5177fc1f184c18019af0e805e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Nov 29 12:31:54 2009 +0000

    build: Require G-I 0.6.4
    
    We should require at least 0.6.4 for GObject-Introspection, since that
    version allows us to pass the .la file to g-ir-scanner.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4445bdb04d5eebc145a1db82aa5b811e8d4ed048
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Nov 28 19:13:27 2009 +0000

    docs: Fix argument name mismatch
    
    gtk-doc complains that the argument name in the header does not match
    the one in the documentation annotation for the GBoxed deserialization
    function registration.

 json-glib/json-gobject.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 793e827feaa9be3c4ffbe5c0425ac6bcc0c9e6d1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Nov 28 19:06:36 2009 +0000

    build: Clean up json-glib/Makefile.am rules

 json-glib/Makefile.am | 24 ++++--------------------
 1 file changed, 4 insertions(+), 20 deletions(-)

commit 97584658672fe4709fc7c3b24a44b477112322f7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Nov 28 17:39:37 2009 +0000

    build: Fix out-of-tree enum types file generation

 build/autotools/Makefile.am.enums | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3cf919e9c7f3201305a1a63a3c270e422a37efed
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Nov 23 22:20:58 2009 +0000

    boxed: Split (de)serialization registration
    
    A GBoxed type defined as:
    
      struct Boxed {
        int foo;
        gboolean bar;
        int baz;
      };
    
    Can be represented either by a JSON object:
    
      {
        "foo" : 1,
        "bar" : true,
        "baz" : 3
      }
    
    Or by a JSON array:
    
      [ 1, true, 3 ]
    
    The current function for registering a serialization and a
    deserialization pair does not allow registering more than one
    deserialization function - which means that there can only be
    one way to deserialize a GBoxed type into a specific JsonNode
    type.
    
    To allow having more than one JsonNodeType associated to a
    GBoxed type and a deserialization function we need to split out
    the registration of the serialization and deserialization functions
    into two distinct functions.

 doc/reference/json-glib-sections.txt |   3 +-
 json-glib/json-gboxed.c              | 115 +++++++++++++++++++++++------------
 json-glib/json-gobject.c             |   4 +-
 json-glib/json-gobject.h             |  63 +++++++++----------
 tests/test-serialize-boxed.c         |   7 ++-
 5 files changed, 114 insertions(+), 78 deletions(-)

commit 61d54cc9e2a3098e876e700a9248428f400a5368
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Nov 12 12:59:03 2009 +0000

    serializable: Make Serializable in charge of parsing
    
    If a GObject class implements JsonSerializable and has overridden
    the serialize_property() vfunc then the Serializable should be fully in
    charge of serializing a property - that is: JSON-GLib should not try to
    add a fallback in case the serialize_property() implementation returned
    NULL.
    
    This is a change in semantics for JsonSerializable implementations.
    
    http://bugzilla.openedhand.com/show_bug.cgi?id=1859
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 json-glib/json-gobject.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 63dc03da507a216c0764bc0e50fc62b2b77dc1b2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 12:38:29 2009 +0000

    serializable: Add methods proxying default implementations
    
    If you want to use the default implementation of serialize_property()
    and/or deserialize_property() from an object class implementing
    JsonSerializable you currently have to peek the interface vtable and
    then call the vfunc pointers.
    
    We can expose the default implementation through functions ourselves and
    simplify the required code.

 doc/reference/json-glib-sections.txt |  4 ++
 json-glib/json-gobject.h             | 28 +++++++----
 json-glib/json-serializable.c        | 92 ++++++++++++++++++++++++++++++++++++
 3 files changed, 115 insertions(+), 9 deletions(-)

commit 5f484d8c274a2b866f9a3d38eebe2baa1939b7ac
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 12:03:13 2009 +0000

    gobject: Add deprecation annotations
    
    This makes it easier to detect when building without
    JSON_DISABLE_DEPRECATED.

 json-glib/json-gobject.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3c7811bf24d4b957da730949af6795b728db5bad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 12:02:41 2009 +0000

    build: Build without deprecations
    
    Make sure that JSON-GLib is built without using deprecated API.

 json-glib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 923311ee52b77f53c5c529e497ea2a24efaf23ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 12:01:04 2009 +0000

    tests: Do not use deprecated API
    
    Tests should not be using API marked as deprecated.

 tests/Makefile.am              | 2 +-
 tests/test-serialize-boxed.c   | 4 ++--
 tests/test-serialize-complex.c | 2 +-
 tests/test-serialize-full.c    | 2 +-
 tests/test-serialize-simple.c  | 2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

commit e3ae84e743e1d1a1a0202e900f443e143cb77f45
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 11:57:45 2009 +0000

    tests: Verify Serializable::serialize_property()
    
    Verify that an object with a custom serialize_property() is effectively
    what we expect it to be when it is parsed.

 tests/test-serialize-complex.c | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 7cebdd008a02e6cef0514f40327f94eba2a2088e
Author: Cornelius Hald <hald@icandy.de>
Date:   Thu Nov 12 11:37:54 2009 +0000

    Doubles are converted to strings containing commas
    
    Under some locales (e.g. de_DE) a double is converted to a string
    containing a comma instead of a dot. That breaks the JSON syntax.
    
    Example:
    Double: 0.34 is converted to 0,34 when using locale de_DE
    
    http://bugzilla.openedhand.com/show_bug.cgi?id=1826
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 json-glib/json-generator.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 30d4efb775cb416212c00e3ececb0f0147739f40
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 11:28:17 2009 +0000

    Update Introspection annotations
    
    • Fix the transfer rules for JsonNode, JsonObject and JsonArray
    getters.
    
    • Annotate the methods returning lists

 json-glib/json-array.c  | 18 +++++++++---------
 json-glib/json-node.c   | 15 ++++++++-------
 json-glib/json-object.c | 25 +++++++++++++------------
 json-glib/json-parser.c |  5 +++--
 4 files changed, 33 insertions(+), 30 deletions(-)

commit 47cd2f678a8321faac0e2d00a3538181e7bc1cbf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 11:27:36 2009 +0000

    build: Add more flags to the maintainer cflags list

 configure.ac | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ecc185d1c542f6ff41f84be026dc380f611a5d6e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 12 10:09:17 2009 +0000

    enum-types: Put back a missing static
    
    The GEnumValue array defining the enumeration type values must be
    static, otherwise everything will crash when trying to retrieve the
    enumeration data from the GEnumClass.

 json-glib/json-enum-types.c.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84f5af58c23b174cc9708e81ce8ccbfffa6e68eb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 30 10:46:32 2009 +0000

    object: Return values list in insertion order
    
    Since we return the member names in insertion order, we should also
    return the member values in the same order.
    
    This also allows us to get rid of the (yucky) internal copies of
    g_hash_table_get_keys() and g_hash_table_get_values(), since we use
    the hash table only for storage and lookup purposes.

 json-glib/json-object.c | 55 +++++++------------------------------------------
 1 file changed, 7 insertions(+), 48 deletions(-)

commit a25a1ded25e5d1f605cffd6da7a5e036151aa70c
Author: Mathias Hasselmann <mathias.hasselmann@gmx.de>
Date:   Thu Oct 29 14:01:04 2009 +0000

    tests: Verify parsing bare values
    
    http://bugzilla.openedhand.com/show_bug.cgi?id=1856
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 tests/test-parser.c | 38 +++++++++++++++++++++++++++++++++-----
 1 file changed, 33 insertions(+), 5 deletions(-)

commit 026ea0357fbe95e2acd43555e3b5d00e329c9740
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Oct 29 13:59:44 2009 +0000

    parser: Advance when parsing bare values
    
    A missing get_next_token() prevents getting the contents of
    the tokenizer in order to place them into the JsonNode.

 json-glib/json-parser.c | 1 +
 1 file changed, 1 insertion(+)

commit 578111be53065a2bbeda73865bfa4e178f185649
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 28 16:54:34 2009 +0000

    introspection: Fix the GIR generation
    
    The rule for creating the JSON-GLib GIR file should use the
    json-glib.la shared object, to avoid using the installed
    copy of JSON-GLib when compiling the typelib.
    
    The include file for JSON-GLib is json-glib/json-gobject.h as
    well: json-glib/json-object.h does not exist.

 json-glib/Makefile.am | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 8f8ce87730fc0bf102a707e84c4f6106b215cfab
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 28 16:23:39 2009 +0000

    gobject: Use from/to data naming convention
    
    Be more GLib-like, and use
    
      <namespace>_<type>_from_data()
      <namespace>_<type>_to_data()
    
    Instead of the homebrew "construct" and "serialize", when dealing
    with string buffers.
    
    This means:
    
      • adding json_gobject_from_data() to deprecate
        json_construct_gobject()
      • adding json_gobject_to_data() to deprecate
        json_serialize_gobject()
    
    The json_construct_gobject() function also contains a mistake: it
    uses gsize with the special value of -1 meaning "slurp the whole
    string", but gsize is an unsigned type. The newly added
    json_gobject_from_data() correctly uses gssize instead.

 json-glib/json-gobject.c | 63 +++++++++++++++++++++++++++++++++++++++++++++---
 json-glib/json-gobject.h | 10 ++++++++
 2 files changed, 69 insertions(+), 4 deletions(-)

commit 00b4d200849e232cd904d23d3593d6f95252b483
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 28 16:05:19 2009 +0000

    gobject: Uniform JSON<->GObject mapping code
    
    Rename json_gobject_new() to json_gobject_deserialize(), and
    json_gobject_dump() to json_gobject_serialize(); this maps the
    JSON GBoxed API.
    
    Also for consistency, change the serialize() return value and
    the deserialize() argument to be JsonNodes of type JSON_NODE_OBJECT.

 doc/reference/json-glib-sections.txt |  4 +-
 json-glib/json-gobject.c             | 82 ++++++++++++++++++++++++------------
 json-glib/json-gobject.h             | 10 ++---
 3 files changed, 61 insertions(+), 35 deletions(-)

commit fc0607c740b153acc96e4df12a12b042e08e831b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 28 12:01:21 2009 +0000

    docs: Add long descriptions
    
    The json-boxed and json-serializable sections are missing the
    long description for the API reference.

 json-glib/json-gboxed.c       | 49 +++++++++++++++++++++++++++++++++++++++----
 json-glib/json-serializable.c |  5 ++++-
 2 files changed, 49 insertions(+), 5 deletions(-)

commit 498827110f3d635e545c7351732551676a06a1bf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 28 10:07:39 2009 +0000

    docs: Add the 0.10 symbols index

 doc/reference/json-glib-docs.xml | 5 +++++
 1 file changed, 5 insertions(+)

commit 0979bbceb654c5e4b5dadf1e6f7e85bb9df87ca5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 20:58:08 2009 +0000

    docs: Split out GObject-related sections
    
    Like commit c176f70e593c9cfb4901cd9f27ce54b8aa7152f2 did for the
    source code, the documentation should be split three-ways:
    
      • GObject-related API
      • JsonSerializable
      • GBoxed-related API

 doc/reference/Makefile.am            | 15 +++++++--------
 doc/reference/json-glib-docs.xml     |  2 ++
 doc/reference/json-glib-sections.txt | 33 +++++++++++++++++++++++++++------
 3 files changed, 36 insertions(+), 14 deletions(-)

commit 2f56ba9021ec4fe1574630404d6b24e4813cf1eb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 20:57:52 2009 +0000

    docs: Documentation fixes for gtk-doc

 json-glib/json-gboxed.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit c176f70e593c9cfb4901cd9f27ce54b8aa7152f2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 20:49:09 2009 +0000

    build: Split out GBoxed and Serializable
    
    The json-gobject.c is getting pretty crowded; we should split out
    the JsonBoxed API and the JsonSerialized implementation into their
    separate source files.

 json-glib/Makefile.am            |   4 +
 json-glib/json-gboxed.c          | 275 +++++++++++++++++++++++++++++
 json-glib/json-gobject-private.h |  39 ++++
 json-glib/json-gobject.c         | 371 +--------------------------------------
 json-glib/json-serializable.c    | 154 ++++++++++++++++
 5 files changed, 476 insertions(+), 367 deletions(-)

commit 373fa3d9b73391b38620fbd9ce9b69f358e5f4c8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 18:10:19 2009 +0000

    gobject: Make GObject<->JsonObject functions public
    
    The functions mapping a GObject to and from a JsonObject should
    be public, as they can be used by parsers.

 json-glib/json-gobject.c | 30 ++++++++++++++++++++++++++++--
 json-glib/json-gobject.h | 16 ++++++++++------
 2 files changed, 38 insertions(+), 8 deletions(-)

commit 85f7a8e8206168d95b3ef9c02aa584f0fae5b37e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 18:03:11 2009 +0000

    gobject: Reuse the list data
    
    Since we ignore all members that don't have a corresponding
    GParamSpec for the class we cannot use:
    
      members = g_list_prepend (members, pspec->name);
    
    Because pspec might also be NULL. We can reuse the GList iterator
    data field, since that points to data internal to the JsonObject
    we are iterating over.

 json-glib/json-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff986ee5b8df45255f4f5ab01be0bbad893bc55e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 17:53:34 2009 +0000

    gobject: Add experimental GBoxed<->JSON transformation
    
    Serializing and deserializing GBoxed types is fairly complicated
    currently. If a GObject implements JsonSerializable it is possible
    for the class to intercept the JsonNode, parse it manually and
    then set the value to the property.
    
    This leaves a hole opened for:
    
      • manual (de)serialization of GBoxed types
      • (de)serialization of GBoxed properties in classes not
        implementing JsonSerializable
    
    In order to serialize and deserialize a GBoxed JSON-GLib should
    provide a mechanism similar to the GValue transformation functions:
    when registering the boxed type the developer should also be able
    to register a serialization and a deserialization functions pair
    matching the tuple:
    
      (GBoxed type, JSON type)
    
    The serialization function would be:
    
      JsonNode *(* JsonBoxedSerializeFunc) (gconstpointer boxed);
    
    And, conversely, the deserialization function would be:
    
      gpointer (* JsonBoxedDeserializeFunc) (JsonNode *node);
    
    Obviously, the whole machinery works only for GBoxed types that
    register the serialization and deserialization functions.

 .gitignore                   |  68 +++++------
 json-glib/json-gobject.c     | 264 ++++++++++++++++++++++++++++++++++++++++++-
 json-glib/json-gobject.h     |  37 ++++++
 tests/Makefile.am            |   8 +-
 tests/test-serialize-boxed.c | 263 ++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 602 insertions(+), 38 deletions(-)

commit 7f6a73a0964b66b15e8b5a9858b9bc76b010f67b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 17:43:38 2009 +0000

    node: Add a private NodeType-to-string converter
    
    Useful for debugging and logging purposes.

 json-glib/json-node.c          | 23 ++++++++++++++++++++++-
 json-glib/json-types-private.h |  2 ++
 2 files changed, 24 insertions(+), 1 deletion(-)

commit 3f8990f7a4c362590f19e427aae2f68f27303fe6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 17:42:14 2009 +0000

    Remove a stray ';' that broke deserializing GStrv
    
    The stray semicolon was preventing the GPtrArray from being
    updated.

 json-glib/json-gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e550ac4dbb5500a40c7adad88868ede40397db7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 17:41:38 2009 +0000

    Fix compiler warnings (remove unused variables)

 json-glib/json-gobject.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3b994a52d9c34f67e4ac52aa4bb0c380789fbd60
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 17:40:55 2009 +0000

    build: Export MAINTAINER_CFLAGS
    
    Apparently, the MAINTAINER_CFLAGS were ignored.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 0810711a7fbb915ba9397a66e77babb30765d090
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 17:40:23 2009 +0000

    build: Use AM_PROG_CC_C_O
    
    Use the Automake macro to enable per-target compiler flags.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d664f886372afbe1d54e633240e7b7e06ebc45c8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 17:40:03 2009 +0000

    Fix compiler warnings (remove unused variables)

 tests/test-generator.c      | 4 ++--
 tests/test-serialize-full.c | 1 -
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 83dea3b3dd2281dca206e0873b5fed0a2a3d50de
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 14:01:24 2009 +0000

    gobject: Support constructor properties
    
    The GObject deserialization code currently skips all the constructor
    and constructor-only properties. In order to implement them we can
    add a preliminary pass on the JSON object members and build a
    GParameter array.
    
    As we don't have a GObject instance we cannot really use the
    Serializable interface to provide custom parsing for complex data
    structures, thus we fall back to the default deserialization code
    path.

 json-glib/json-gobject.c    | 98 ++++++++++++++++++++++++++++++++++++++++-----
 tests/test-serialize-full.c | 11 ++---
 2 files changed, 93 insertions(+), 16 deletions(-)

commit 2616938c7c042fced9be197205a535a8b420534e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 11:57:38 2009 +0000

    build: Clean up the build environment
    
    Some of the rules can be moved into their own files to be included
    when needed, like:
    
      • silent rules (QUIET_*)
      • glib-mkenums rules
      • glib-genmarshal rules
    
    Also, the test suite rules should be moved from the top-level of
    the project into the build/autotools directory and then included
    only where it makes sense.
    
    This requires changing most of the build system to use the new
    files layout.

 .gitignore                          |  4 +-
 Makefile.am                         |  5 ++-
 Makefile.decl                       | 61 -------------------------
 build/Makefile.am                   | 12 ++++-
 build/autotools/Makefile.am         | 21 +++++++--
 build/autotools/Makefile.am.enums   | 43 ++++++++++++++++++
 build/autotools/Makefile.am.gtest   | 61 +++++++++++++++++++++++++
 build/autotools/Makefile.am.marshal | 45 +++++++++++++++++++
 build/autotools/Makefile.am.silent  | 17 +++++++
 doc/Makefile.am                     | 12 ++++-
 doc/reference/Makefile.am           |  5 ++-
 json-glib/Makefile.am               | 88 ++++++++++++-------------------------
 json-glib/tests/Makefile.am         | 12 +++--
 tests/Makefile.am                   | 15 +++----
 14 files changed, 252 insertions(+), 149 deletions(-)

commit 5406301b0e3bf74c0d7ae47a618c416d5c6dc29d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 11:30:55 2009 +0000

    gobject: Serialize properties holding a GObject
    
    Like we deserialize them, we can serialize GObject properties
    defined using GParamSpecObject.

 json-glib/json-gobject.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 3a2176ebf96b33716d1b50068ca44b1d3cd9b0c8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 11:29:32 2009 +0000

    tests: Use properties to change values
    
    The values inside _init() should match the default values of the
    properties as specified by the GParamSpec. If we want to verify
    a non-default value we should specify the value when instantiating
    the object.

 tests/test-serialize-simple.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1ff48cdc5d773925bda1ddf8bc904a9ea6a5e643
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 11:18:51 2009 +0000

    gobject: Split GObject serialization code
    
    Like for the deserialization of a GObject into a JsonObject we
    should split out the serialization of a GObject into a JsonObject
    part of json_serialize_gobject() into its own private function.

 json-glib/json-gobject.c | 113 +++++++++++++++++++++++++----------------------
 1 file changed, 61 insertions(+), 52 deletions(-)

commit 27afed8dc89bf9562c3536f0a053d250e70eea4d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 10:30:27 2009 +0000

    gobject: Recurse in GParamSpecObject properties
    
    Use the newly added json_gobject_new() internal function to
    recurse into properties defined using GParamSpecObject.
    
    The same rules used by json_construct_gobject() apply to the
    properties storing a GObject - including JsonSerializable
    support.
    
    The test case for serialization and deserialization of a
    GObject has been updated to include a property holding a
    GObject.

 json-glib/json-gobject.c    | 14 ++++++++++-
 tests/test-serialize-full.c | 58 +++++++++++++++++++++++++++++++++++++++------
 2 files changed, 64 insertions(+), 8 deletions(-)

commit 317447b52455c56b0123168ab127ce026d7d0c22
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 27 10:20:42 2009 +0000

    gobject: Split JSON to GObject code
    
    If we want to be able to parse a GParamSpecObject property
    we need to use the same code as json_construct_gobject(), minus
    the parsing.

 json-glib/json-gobject.c | 152 ++++++++++++++++++++++++++---------------------
 1 file changed, 83 insertions(+), 69 deletions(-)

commit cba7db96581343e3cbd8e5eb067026efb8cac24e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 26 22:36:01 2009 +0000

    object: Guarantee insertion order
    
    When iterating over the members of a JsonObject, or when retrieving
    the list of members, the insertion order should be preserved by the
    JsonObject. This is simply implemented by keeping a mirror list of
    the member names.
    
    Apparently, though JSON does not guarantee any ordering, it is somewhat
    expected by JSON (and ECMAScript) users.

 json-glib/json-object.c        | 67 ++++++++++++++++++++++--------------------
 json-glib/json-types-private.h |  3 ++
 tests/test-generator.c         |  3 +-
 3 files changed, 40 insertions(+), 33 deletions(-)

commit d5bebce0286aef5c4b4110c16c22a8ef3dc38405
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 28 18:15:48 2009 +0100

    [node] Add HOLDS macros for quick type checking
    
    JsonNode should mimick GValue's API and have macros for easy type checking

 doc/reference/json-glib-sections.txt |  7 ++++-
 json-glib/json-types.h               | 51 ++++++++++++++++++++++++++++++++++++
 json-glib/tests/node-test.c          |  2 +-
 3 files changed, 58 insertions(+), 2 deletions(-)

commit 17fc731ed54b754285bac76c7ac23eac6b96bf24
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 28 14:02:14 2009 +0100

    [tests] Add a test case for Object members with empty strings
    
    Both the Object API and the Parser should not choke on members with
    empty strings as their value. The Object should just have a member
    associated with a JSON_NODE_VALUE node type and an empty string as
    the contents.

 json-glib/tests/object-test.c | 13 +++++++++++++
 tests/test-parser.c           |  1 +
 2 files changed, 14 insertions(+)

commit 5181bf24bf3cde743de590ab3ffa0471df9e4799
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 22 15:42:34 2009 +0100

    Post-branch bump to 0.9.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3f83767109979c660469b3b5862fbd04469a8011
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 22 15:39:46 2009 +0100

    [release] 0.8.0

 NEWS         | 2 ++
 configure.ac | 8 ++++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit bd604338b25884edbd86cf531505259948484323
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 22 15:34:18 2009 +0100

    [parser] Return the right expected token
    
    When parsing a value embedded in a Json Object or Array we need to
    return the right expected token so that the generated syntax error
    will be correct.

 json-glib/json-parser.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit f99cf3d3d038eff786f85409f3d04736e2068e74
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 22 15:34:07 2009 +0100

    [parser] Whitespace clean up

 json-glib/json-parser.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 6c20aae2b49a6d64db5e7d1ff3a82950ea9dc58a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 7 22:30:11 2009 +0100

    [build] Prefer automake-1.11 silent rules to shave
    
    If we have automake-1.11 installed then we should enable the
    AM_SILENT_RULES machinery instead of Shave - even though Shave's
    output is a lot cleaner.

 autogen.sh            |  2 +-
 configure.ac          | 20 ++++++++++++++++----
 json-glib/Makefile.am |  6 +++++-
 3 files changed, 22 insertions(+), 6 deletions(-)

commit 7b4bb80930f12a366d5e5a5eea5b398972cd4891
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Sep 6 17:31:41 2009 +0100

    [node] Add JsonNode.set_parent()
    
    Add the setter for JsonNode:parent, to be used in JsonParser instead
    of directly accessing the JsonNode structure.

 doc/reference/json-glib-sections.txt |  1 +
 json-glib/json-node.c                | 18 ++++++++++++++++++
 json-glib/json-parser.c              | 14 +++++++-------
 json-glib/json-types.h               |  2 ++
 tests/test-parser.c                  | 10 ++++++++++
 5 files changed, 38 insertions(+), 7 deletions(-)

commit c1b76a73e0b2c6e0c7afced10bd6079a0f5b0f5d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Sep 6 17:15:46 2009 +0100

    [parser] Clean up value parsing
    
    The code that parses a value within an object and an array should
    be moved to its own function to avoid duplication.

 json-glib/json-parser.c | 199 ++++++++++++++++++++----------------------------
 tests/test-parser.c     |   9 ++-
 2 files changed, 86 insertions(+), 122 deletions(-)

commit d3f005c27d9a8a46259205f2f8077fb01a6a3609
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Sep 6 14:44:18 2009 +0100

    [docs] Use proper xi:include for indexes
    
    Instead of relying on gtk-doc we can do the proper inclusion of the
    API indexes using XInclude, complete with fallbacks.
    
    Also, we should include the additional pages that gtk-doc generates
    for us, like the annotations glossary and the object tree.

 doc/reference/json-glib-docs.xml | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 7442a3011a860f12cbd40b6687b699b0b648d6b7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 2 16:41:51 2009 +0100

    [docs] Small documentation fixes
    
    Clean up some notes, and add introspection annotations where needed.

 json-glib/json-generator.c | 11 ++++++-----
 json-glib/json-gobject.c   | 24 ++++++++++++------------
 json-glib/json-parser.c    |  3 ++-
 3 files changed, 20 insertions(+), 18 deletions(-)

commit d7d1e702b1d67fa1ec830a46650a02367ce1dd29
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Aug 16 05:52:46 2009 +0100

    [docs] Remove note about normalization of member names
    
    The normalization of member names inside JsonObject was removed by
    commit 8a7e0f381dc7e49745680df92ebb428f18bf4832.

 json-glib/json-object.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 9362ccc891c914dbcf1be6bd067b0b37ae688057
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 13 15:10:27 2009 +0100

    [docs] Generate new symbols index for 0.6 and 0.8

 doc/reference/json-glib-docs.xml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 087bfe83412dca8de1b2dd67c74f490e44ecb96a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 13 15:10:07 2009 +0100

    [docs] Remove the version number from the title

 doc/reference/json-glib-docs.xml | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit c7d31d55b50b23c6c1067cb3541f73dddc12127a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 13 15:08:56 2009 +0100

    [docs] Let gtk-doc build the correct index
    
    Use the --name-space command line argument for gtk-doc to detect the
    right namespace of JSON-GLib, and create a useful index.

 doc/reference/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be07ba7b983b34231ad2f0fd7fe60ae47b14ce7e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 13 14:51:42 2009 +0100

    [docs] Rename main file to json-glib-docs.xml

 doc/reference/Makefile.am         |  36 +++++----
 doc/reference/json-glib-docs.sgml | 163 --------------------------------------
 doc/reference/json-glib-docs.xml  | 163 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 182 insertions(+), 180 deletions(-)

commit 9661ff342b439b5b398f7bf9ba931d6139d5143d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 16:09:33 2009 +0100

    Post-release version bump to 0.7.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5922b42604c09ba7ebcb0adc1566d0a33a99808
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 16:06:40 2009 +0100

    [release] 0.7.6 (brown paper bag)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a647104ca77d4c4272845fed4bfae028098afd3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 15:56:00 2009 +0100

    Actually use the int64 support in the Scanner
    
    We switched everything to 64 bit integers but then I forgot to
    enable the support for actually making the tokenizer store the
    parsed integers into a 64 bit value.
    
    Bad Emmanuele, no cookie for you.

 json-glib/json-parser.c  | 12 ++++++------
 json-glib/json-scanner.c |  1 +
 2 files changed, 7 insertions(+), 6 deletions(-)

commit f3e0618ee1d8aa90d0ba22e9abe5c7d6b849e0ea
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 14:08:35 2009 +0100

    Post-release version bump to 0.7.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1c691fc6b58a990ee9bb17504189064051d5a12
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 13:56:08 2009 +0100

    [release] 0.7.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12bc49ea08c50da9a7ed53c475fe873421432ebe
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 14:01:49 2009 +0100

    Update the NEWS file

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 75b888c26eebf7784c5af045a8c6af353e56b2e9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 13:59:52 2009 +0100

    [build] Use our libtool for the typelib
    
    When compiling the GIR into a .typelib file we can use our own
    libtool script; shave will proxy it to the right place.

 json-glib/Makefile.am | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit d84c0f367b06e094ff693d60a724b9f141c33ca9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 13:48:17 2009 +0100

    Disallow single header file inclusion
    
    The correct header file for JSON-GLib is, and has always been,
    json-glib.h. Anything else was not supported, as we've been
    moving around stuff for a while, now.
    
    This commit enforces the single include file, using the same
    policy enacted by other libraries, like: GLib, GTK+ and Clutter.

 json-glib/json-enum-types.h.in | 4 ++++
 json-glib/json-generator.h     | 4 ++++
 json-glib/json-glib.h          | 6 ++++++
 json-glib/json-parser.h        | 4 ++++
 json-glib/json-types.h         | 4 ++++
 json-glib/json-version.h.in    | 4 ++++
 6 files changed, 26 insertions(+)

commit 3adba015e1c1f9edc7b7b2c4364d65f813216225
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 13:46:46 2009 +0100

    [introspection] Use json-gobject.h
    
    The json-gobject.h header file includes json-glib.h and all the
    GObject-related serialization and deserialization API; we assume
    that if you want introspection you should be using this header
    and not the plain json-glib.h.

 json-glib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9386e20bf8e16e17a89dda24781c63bf495aa97
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 13:46:05 2009 +0100

    [tests] Include json-glib.h
    
    Do not include json-types.h, use the correct global include.

 json-glib/tests/array-test.c  | 2 +-
 json-glib/tests/node-test.c   | 2 +-
 json-glib/tests/object-test.c | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 8a7e0f381dc7e49745680df92ebb428f18bf4832
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 12:29:34 2009 +0100

    Do not sanitize the object member's name
    
    JsonObject sanitizes the name of the member to replace all
    characters defined by G_STR_DELIMITERS with '_'. This is
    absolutely brain damaged, since a member name can be any
    valid JSON string.
    
    Obviously, if a member name maps to a GObject property is
    entirely up to the GObject code to decide whether to sanitize
    the member name or not.

 json-glib/json-object.c | 35 ++++++-----------------------------
 1 file changed, 6 insertions(+), 29 deletions(-)

commit ad638149c2cc1a17c0d2ad1482d932c8940c64e0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 12:22:44 2009 +0100

    Update NEWS

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit d87b18675ac02f42be23bf4070134690b8b9934b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 12 12:13:11 2009 +0100

    Auto-promote integer types to G_TYPE_INT64
    
    The JSON RFC does not specify the size of the integer type, thus
    implicitly falling back to machine-size.
    
    This would all be fine and dandy if some demented Web Developer (and
    I use the term "developer" *very much* loosely) did not decide to
    use integers to store unique identifiers for objects; obviously, you
    can't have more than 2^32-1 status messages in a database with
    millions of users who update their status multiple times per day.
    Right, Twitter?
    
    Anyway, some languages do a type auto-promotion from Integer to
    Long, thus pushing the limit of allowed positive values -- until the
    next integer overflow, that is. C, and GLib, do not do that
    transparently for us so we need to:
    
      - always use gint64 when parsing a JSON data stream using
        JsonScanner
      - move all the Node, Object and Array APIs to gint64
      - auto-promote G_TYPE_INT to G_TYPE_INT64 when setting
        a GValue manually
      - auto-promote and auto-demote G_TYPE_INT properties when
        (de)serializing GObjects.
    
    The GLib types used internally by JSON-GLib are, thus:
    
      integer       -> G_TYPE_INT64
      boolean       -> G_TYPE_BOOLEAN
      float         -> G_TYPE_DOUBLE
      string        -> G_TYPE_STRING

 json-glib/json-array.c        |  4 +--
 json-glib/json-generator.c    |  4 +--
 json-glib/json-gobject.c      | 58 +++++++++++++++++++++++++++++++---------
 json-glib/json-node.c         | 61 ++++++++++++++++++++++++++++++++++---------
 json-glib/json-object.c       |  4 +--
 json-glib/json-types.h        | 12 ++++-----
 json-glib/tests/array-test.c  |  2 +-
 json-glib/tests/node-test.c   | 14 +++++-----
 json-glib/tests/object-test.c |  2 +-
 tests/test-generator.c        |  4 +--
 tests/test-parser.c           |  4 +--
 tests/test-serialize-full.c   |  9 ++-----
 12 files changed, 121 insertions(+), 57 deletions(-)

commit 7411cadc0fdd9ffc2bd7004c9980913ac857a495
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 28 23:52:34 2009 +0100

    Indentation fixes

 tests/test-parser.c | 98 ++++++++++++++++++++++++++---------------------------
 1 file changed, 49 insertions(+), 49 deletions(-)

commit 112a8ec8dfd9c46304008b62e8ab256ed7714644
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 28 23:49:51 2009 +0100

    [parser] Advance the tokenizer to avoid an infinite loop
    
    The tokenizer is not advanced when we peek a base value and return.
    This causes an endless loop which terminates only if the OOM killer
    in the kernel gets the right process.
    
    Thanks to Thomas Weidner for catching and reporting the issue.

 json-glib/json-parser.c | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 4ecdd6bedb7961f3a33971aa1f2338115a60f7f3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 28 23:48:36 2009 +0100

    [tests] Verify parsing base values
    
    A JSON document containing just a base value (null, true/false, an
    integer, a floating point value or a string) is still a valid JSON
    document, and JsonParser must create the correct JsonNode.

 tests/test-parser.c | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit 9a3b7a020716e23f1330915f1768a7c00bffbeb5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jun 25 10:37:43 2009 +0100

    [docs] Fix typo in JsonObject::set_object_member()
    
    The passed value is a pointer to a JsonObject, not to a JsonArray.

 json-glib/json-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68d872f15022217c0ff1cf516aec917d600fd762
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   Wed Jun 24 14:07:18 2009 +0200

    Use JSON_NODE_OBJECT, not JSON_NODE_ARRAY when creating the node in json_object_set_object_member
    
    Reviewed by Emmanuele Bassi

 json-glib/json-object.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e706fb2b7a371f25c169ed25d4b617f2dc05b63
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jun 21 10:58:24 2009 +0100

    [generator] Pre-compute the escape table
    
    Instead of allocating the escape table to be used with g_strescape()
    for each string we can have it unrolled already in code.
    
    Thanks to: Christian Persch <chpe@gnome.org>
    
    Fixes bug:
    
      http://bugzilla.openedhand.com/show_bug.cgi?id=1648

 json-glib/json-generator.c | 43 +++++++++++++++++++++++++++++++++----------
 1 file changed, 33 insertions(+), 10 deletions(-)

commit a9416b7e2823f1fffe639d90bb352a337815a70e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 11:23:56 2009 +0100

    Post-release bump to 0.7.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d13a409bb911141653a75d44e90feac9bfc2862
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 11:20:35 2009 +0100

    [release] 0.7.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff97e679522c52be6b5dfe0f851416cdeac7f921
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 11:14:37 2009 +0100

    [release] Update NEWS

 NEWS | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 182ca9cd9a3fabaa2533d841154856c61c570d08
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 11:14:13 2009 +0100

    [build] Fixes for passing distcheck

 Makefile.am                 | 17 ++++++++++++-----
 build/Makefile.am           |  2 ++
 build/autotools/Makefile.am |  4 +++-
 doc/reference/Makefile.am   | 20 +++++++++++---------
 json-glib/Makefile.am       | 27 ++++++++++++++-------------
 5 files changed, 42 insertions(+), 28 deletions(-)

commit 019d8d4c1c56250cd507283c0fc478a38364e92a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 10:05:57 2009 +0100

    [build] Let gtk-doc ignore json-types-private.h
    
    The type definitions in json-types-private.h are not meant to be
    documented or scanned.

 doc/reference/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 41649f049637864cfce21f6615c7d8bcaf3f03b8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 10:03:23 2009 +0100

    [docs] Update the README file

 README | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit 97fc00b1a5e3878074488ee93d9b52570983da1f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 10:03:05 2009 +0100

    [build] Use AS_CASE m4 macro, instead of AS_IF

 configure.ac | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit 610cd260ac50c09809d6273c328ecea5a21f51bb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 18 10:02:39 2009 +0100

    [build] Require automake 1.10

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bddc717b8b6f2f1501c30f78159c20394665d335
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 9 11:48:02 2009 +0100

    [build] Add introspection generation
    
    Build the Introspection data when compiling JSON-GLib; this way, the
    API should be available to other languages automatically.

 .gitignore                       |  3 ++
 build/autotools/Makefile.am      |  7 +++-
 build/autotools/introspection.m4 | 88 ++++++++++++++++++++++++++++++++++++++++
 configure.ac                     | 13 +++---
 json-glib/Makefile.am            | 30 ++++++++++++++
 5 files changed, 135 insertions(+), 6 deletions(-)

commit 3ddeb7a8779a4c51453289aa15af130af480eea6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 9 11:24:54 2009 +0100

    [build] Add AS_COMPILER_FLAGS
    
    Use the m4 AS_COMPILER_FLAGS macro to check for the maintainer
    compiler flags supported by the C compiler. This should allow the
    build to handle gracefully different versions of GCC.

 .gitignore                          |  1 +
 Makefile.am                         |  2 ++
 build/autotools/Makefile.am         |  2 +-
 build/autotools/as-compiler-flag.m4 | 62 +++++++++++++++++++++++++++++++++++++
 configure.ac                        |  5 ++-
 5 files changed, 70 insertions(+), 2 deletions(-)

commit 9f817eae9fe0d09441fa78b11ef148a3f4affe22
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 9 11:21:19 2009 +0100

    [tests] Do not namespace with json-

 tests/test-generator.c | 10 +++++-----
 tests/test-parser.c    | 18 +++++++++---------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit bde3da83b1a144fc0eff1db5a2aa790462bb685e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 9 11:15:53 2009 +0100

    [git ignore] Add m4 files under build/

 .gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit c12786444e0175464295fb9a98c600060bffa0ed
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 9 11:13:30 2009 +0100

    Fix license and copyright notices
    
    THere is no such thing as the "Lesser General Public License
    version 2": the LGPL v2 is the "Library GPL", and has been
    superceded by v2.1 with the new "Lesser GPL" name.
    
    Also, the copyright is now Intel Corp.

 json-glib/json-array.c      |  8 ++++++--
 json-glib/json-generator.c  |  8 ++++++--
 json-glib/json-generator.h  |  8 ++++++--
 json-glib/json-glib.h       | 23 +++++++++++++++++++++++
 json-glib/json-gobject.h    |  8 ++++++--
 json-glib/json-node.c       |  8 ++++++--
 json-glib/json-object.c     |  9 ++++++---
 json-glib/json-parser.c     |  8 ++++++--
 json-glib/json-parser.h     |  8 ++++++--
 json-glib/json-version.h.in |  8 ++++++--
 10 files changed, 77 insertions(+), 19 deletions(-)

commit 069cdc8c4ea9024b1583f074815e16e9ddf7db7f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 9 11:05:23 2009 +0100

    [node] Make JsonNode completely private
    
    The JsonNode structure has always been meant to be completely
    opaque; we indirectly exposed the :type member, but only for
    access through the JSON_NODE_TYPE() macro.
    
    Since that macro has become a proxy for the json_node_get_node_type()
    function we can safely move everything into a private, uninstalled
    header file and let JsonNode be completely opaque to the developer.

 json-glib/Makefile.am          |  1 +
 json-glib/json-array.c         |  9 +------
 json-glib/json-generator.c     |  2 ++
 json-glib/json-gobject.c       |  2 ++
 json-glib/json-node.c          |  2 +-
 json-glib/json-object.c        |  9 +------
 json-glib/json-parser.c        |  2 ++
 json-glib/json-types-private.h | 61 ++++++++++++++++++++++++++++++++++++++++++
 json-glib/json-types.h         | 38 ++++++++++----------------
 json-glib/tests/node-test.c    |  8 +++---
 10 files changed, 89 insertions(+), 45 deletions(-)

commit 930fdf4c4dff1f5310a946c2a9f5b6860f7c8ba8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun May 17 19:44:41 2009 +0100

    Add JsonArray iteration function
    
    Similarly to commit 3057a172 for JsonObject, the newly added
    json_array_foreach_element() iterates over a JSON array data
    type.

 doc/reference/json-glib-sections.txt |  2 ++
 json-glib/json-array.c               | 35 ++++++++++++++++++++++++++
 json-glib/json-types.h               | 21 ++++++++++++++++
 json-glib/tests/array-test.c         | 48 ++++++++++++++++++++++++++++++++++++
 4 files changed, 106 insertions(+)

commit 3057a1722e27a13b39ddec4754fb6abda1aea199
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat May 16 20:09:07 2009 +0100

    Add JsonObject iteration function
    
    The json_object_foreach_member() function iterates over a JsonObject
    data type.

 doc/reference/json-glib-sections.txt |  2 ++
 json-glib/json-object.c              | 55 ++++++++++++++++++++++++++++++++++
 json-glib/json-types.h               | 25 ++++++++++++++--
 json-glib/tests/object-test.c        | 57 ++++++++++++++++++++++++++++++++++++
 4 files changed, 137 insertions(+), 2 deletions(-)

commit 5778210462b8b7a1a5d98466508276f712ea8c47
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat May 16 13:53:58 2009 +0100

    Update the enum types templates
    
    The autogenerated enumeration types registration code should
    be using the same pattern used by the G_DEFINE_TYPE() macros,
    with GOnce to enable atomic (and thread-safe) type registration.

 json-glib/json-enum-types.c.in | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 43d4bd151cd6979ecc6fdad5fab3e7988117c7be
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Apr 19 00:36:08 2009 +0100

    [doap] Add a category element

 json-glib.doap | 1 +
 1 file changed, 1 insertion(+)

commit 58999bddac74c176fbd8544fa2cd30e2f067d863
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 15:45:42 2009 +0100

    [node] Add is_null() method
    
    The json_node_is_null() function is just a quick check for
    nodes set to null.

 doc/reference/json-glib-sections.txt |  1 +
 json-glib/json-node.c                | 20 ++++++++++++++++++++
 json-glib/json-types.h               |  1 +
 3 files changed, 22 insertions(+)

commit ba46d8e07a8e2dd50a3b1fff8b8c3303e3686480
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 15:38:40 2009 +0100

    [node] Make JSON_NODE_TYPE call a function
    
    Second pass at adding type safety to the JsonNode type checks.
    
    The JSON_NODE_TYPE macro now calls the json_node_get_node_type()
    function which hides the JsonNode.type structure field and gives
    us a little bit more of future compatibility.

 json-glib/json-types.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d1e7d1ecd05687624f7149dad75a5fac9a645e72
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 15:36:09 2009 +0100

    [node] Add function version of JSON_NODE_TYPE macro
    
    First pass at adding some type safety to the JsonNode type checks,
    and at removing every mention of the JsonNode interna fields.

 doc/reference/json-glib-sections.txt |  1 +
 json-glib/json-node.c                | 18 ++++++++++++++++++
 json-glib/json-types.h               |  5 +++--
 3 files changed, 22 insertions(+), 2 deletions(-)

commit f2f43d17254317d35ea0cc8206592ecbcb856b68
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 15:22:04 2009 +0100

    Intern the remaining type names
    
    JsonArray and JsonSerializable type names should be interned like
    the rest of the types.

 json-glib/json-array.c   | 2 +-
 json-glib/json-gobject.c | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit bfcc50d5b199e72ed3e5a7556ac2294442e3ac55
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 15:19:42 2009 +0100

    [docs] Remove newline from the version template
    
    The newline at the end of the version.xml.in file is retained
    when using its contents as the version entity in the API reference
    docbook.

 doc/reference/version.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cbc92b72b2d7870a916f24055f8c2aa2371aa4ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 15:02:44 2009 +0100

    [tests] Use the typed accessors in test-generator
    
    Other than using the GValue-based methods we should also be using
    the typed JsonNode accessors and the newly added JsonObject and
    JsonArray typed accessors.

 tests/test-generator.c | 63 ++++++++------------------------------------------
 1 file changed, 10 insertions(+), 53 deletions(-)

commit e437ce609e333c5b8ede21174dfba032c1bbfb00
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 14:49:25 2009 +0100

    Add convenience accessors to JsonArray
    
    Like commit 5bb6ea91 did for JsonObject, we should add typed
    convenience accessors to JsonArray in order to cut down the
    amount of nodes needed when parsing and generating JSON data
    streams.
    
    As for JsonObject, the amount of types is small enough to avoid
    the combinatorial API explosion.

 doc/reference/json-glib-sections.txt |  22 +-
 json-glib/json-array.c               | 386 +++++++++++++++++++++++++++++++++++
 json-glib/json-types.h               |  57 ++++--
 3 files changed, 447 insertions(+), 18 deletions(-)

commit 4819ca625d1b73270797f913495a3835297950c2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 11:44:01 2009 +0100

    Update after the json_object_add_member() deprecation
    
    Since json_object_add_member() has been deprecated and it's using
    a gcc compiler attribute to loudly complain while compiling the
    library, we should restore the sanity and use json_object_set_member()
    instead.

 json-glib/json-gobject.c       |  2 +-
 json-glib/json-parser.c        |  6 +++---
 json-glib/tests/node-test.c    |  2 +-
 json-glib/tests/object-test.c  |  4 ++--
 tests/test-generator.c         | 26 +++++++++++++-------------
 tests/test-serialize-complex.c |  4 ++--
 tests/test-serialize-full.c    |  4 ++--
 7 files changed, 24 insertions(+), 24 deletions(-)

commit 5bb6ea91accb1d35f0ea4dae8f2b8f71bdbd134d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 17 11:35:57 2009 +0100

    Deprecate add_member() and add set_member() and friends
    
    The add_member() method of JsonObject has wee bit weird semantics: if
    the member to be added already exists it prints a scary warning and
    returns - and yet it calls g_hash_table_replace() internally as if it
    overwrites the member.
    
    So, instead of changing semantics midway we can:
    
      - add a json_object_set_member() which adds a new member and
        overwrites existing members
    
      - deprecate json_object_add_member()
    
    While we're at it, we can add convenience wrappers for set_member()
    and get_member() that don't require us toying with nodes; luckily,
    since the amount of valid types we can add to a JsonObject is limited,
    this does not lead to a combinatorial API explosion.

 doc/reference/json-glib-sections.txt |  17 ++
 json-glib/json-object.c              | 489 +++++++++++++++++++++++++++++++++--
 json-glib/json-types.h               |  83 ++++--
 3 files changed, 555 insertions(+), 34 deletions(-)

commit 2a768cb5e553afc4a9ac0d9bf1dc36a183821983
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 16 19:57:11 2009 +0100

    [doap] Add GNOME extensions
    
    The GNOME project provides an extension to DOAP that allows the
    description of the maintainer/author of a project to specify the
    GNOME userid.

 json-glib.doap | 3 +++
 1 file changed, 3 insertions(+)

commit 17822292acb4d1c9b4f414ea0e4b858809d3b858
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 16 18:18:45 2009 +0100

    [doap] Add 0.6 releases
    
    Describe the releases of the 0.6 cycle.

 json-glib.doap | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 470f3a4299153362deea260c806d9b87870af3de
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 16 18:03:31 2009 +0100

    Add JSON-GLib DOAP description
    
    Use DOAP (Description Of A Project) to describe JSON-GLib. The
    GNOME Cgit instance will pick up the DOAP file and update itself.

 json-glib.doap | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 764a3f79fe0d8d13e24bd921a16a46f4603bcbf1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 16 11:28:24 2009 +0100

    Add MAINTAINERS file
    
    Every GNOME project needs a MAINTAINERS file.

 MAINTAINERS | 3 +++
 1 file changed, 3 insertions(+)

commit f9956b4eadcfc9bbd5c0bc4b861ff782779e8a9a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 14 00:09:35 2009 +0100

    [node] Do not overwrite when copying
    
    Bug 1353 - Copying JSON_NODE_VALUE nodes unreliable at best
    
    When copying a JsonNode to another we do an implicit memcpy using:
    
      *copy = *src
    
    Which works well enough with pointers, but makes a mess out of the
    value-based nodes.
    
    We should just copy the type of the original JsonNode and leave the
    rest to the switch() block.
    
    In order to catch potential regressions, we also need a more
    thorough test unit for the JsonNode copy operation.

 json-glib/json-node.c       |  2 +-
 json-glib/tests/node-test.c | 45 +++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 44 insertions(+), 3 deletions(-)

commit e2c65a75d68aafa26f2084928e732961e48beb99
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 13 23:46:52 2009 +0100

    [build] Improve the build system
    
    Clean up the configure.ac and Makefile.am files to use something
    that is not entirely made of FAIL.
    
    Also, use Shave to sanitize the libtool and compiler incantations
    and restore sanity to the build system.

 .gitignore                       |  5 +++
 autogen.sh                       |  9 ++++
 build/Makefile.am                |  1 +
 build/autotools/Makefile.am      |  3 ++
 build/autotools/shave-libtool.in | 69 ++++++++++++++++++++++++++++++
 build/autotools/shave.in         | 79 +++++++++++++++++++++++++++++++++++
 build/autotools/shave.m4         | 77 ++++++++++++++++++++++++++++++++++
 configure.ac                     | 90 +++++++++++++++++++++++-----------------
 json-glib/Makefile.am            | 89 ++++++++++++++++++++-------------------
 9 files changed, 340 insertions(+), 82 deletions(-)

commit 8080df63b4b4eae3b59d1214fc67f48149f49773
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 13 22:25:42 2009 +0100

    [parser] Prevent leaks on error codepaths
    
    Static analysis of the code showed some potential leaks inside
    error paths for JsonParser.
    
    Thanks to: Gordon Williams <gordon.williams@collabora.co.uk>

 json-glib/json-parser.c | 38 +++++++++++++++++++++++++++++++++-----
 1 file changed, 33 insertions(+), 5 deletions(-)

commit ca329a7d5c1185cdf15fb85891693eca30295de1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 13 22:30:05 2009 +0100

    [docs] Show an example of assignment
    
    Since I decided to rant about assignments in JSON definitions,
    I also need to show what an assignment looks like.

 json-glib/json-parser.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit b28d5894060aac1239e23665f42be3946b5450e7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 13 22:29:36 2009 +0100

    Whitespace fixes
    
    Add more spaces and remove the ` from the error message.

 json-glib/json-parser.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit a19a51df9e95e36edf949e68581731bd31959081
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 13 22:08:21 2009 +0100

    [tests] Use 'static' when registering enum types
    
    Bug 1393 - Regression tests fails on OpenBSD
    
    When registering a GEnumClass we need to set the GEnumValue array
    as static const because g_enum_register_static() does not contain
    the word "static" just for fun.
    
    Reported by: Jasper <jasper@humppa.nl>

 tests/test-serialize-full.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e583a9ec95f3d157091ec1e1a2ac8c493f0e23b2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 13 22:04:10 2009 +0100

    [build] Use gnome-autogen script
    
    When setting up the build environment we should use the tools that
    GNOME provides instead of calling autoreconf.

 autogen.sh | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit 1d92c73bc05423872581d513f355783d4864edd5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 28 17:24:15 2008 +0000

    Abstract the loading code into its own function
    
    The load_from_file() method must set the is_filename/filename fields
    of the JsonParserPrivate structure, so that the error handler can
    use them to print out the file, as well as the line in case of
    error.
    
    Since load_from_data() needs to unset those two fields, to avoid
    printing invalid/stale information, we need to have a generic "load"
    function that can be invoked by both load_from_data() and
    load_from_file(), and leave the JsonParser object set up to those
    two methods.
    
    Hence, a private json_parser_load() has been added, moving most of
    the code out of json_parser_load_from_data(). This function does not
    perform type checks and requires that the length of the memory buffer
    containing the JSON data stream is already a positive integer.

 json-glib/json-parser.c | 175 ++++++++++++++++++++++++++++--------------------
 1 file changed, 103 insertions(+), 72 deletions(-)

commit 6e7958785096806b3ffa60a4937642d713a051f2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 28 17:19:17 2008 +0000

    Display the filename inside error messages
    
    Instead of just relaying the line number both when parsing files
    and memory buffers, JsonParser should also print out the file name
    in case it is available.
    
    The error message format should be make-like and emacs-friendly,
    that is:
    
      filename:line_number: error message
    
    so that editors and development environments can parse the errors
    easily.
    
    This commit adds the filename string, and a boolean flag for checking
    whether the filename is set, inside the JsonParser private data
    structure. The boolean flag is checked inside the JsonScanner error
    handler when populating the GError or when printing the warning
    directly on stderr.

 json-glib/json-parser.c | 28 ++++++++++++++++++++++++++--
 1 file changed, 26 insertions(+), 2 deletions(-)

commit a5bea353dead0bd69f9664df86050fc829a2dcd5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 3 16:01:03 2008 +0000

    Bump to 0.7.1 after stable branch

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cf4c7360c69c0fe7587ec2456cd10839e1d0c1d6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 3 15:51:21 2008 +0000

    Correctly terminate a string array
    
    When converting from a JsonArray of strings to a GStrv we need to
    add a NULL at the end of the GPtrArray we use to perform the
    conversion.
    
    This two lines patch fixes the issue.
    
    See bug 1203.
    
    Patch by: Kouhei Sutou <kou@cozmixng.org>
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 json-glib/json-gobject.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9b94bc7f99063f45a2725861369f36b53ec3d440
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Fri Jun 13 11:56:46 2008 +0100

    Sync up with the current stable release numbers

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4dd392342003147d55eee98db50e11d344b287d4
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Fri Jun 13 11:27:50 2008 +0100

    Fix a variable shadowing

 json-glib/json-generator.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a02a42ef47e61456747e511556097b903f07d68a
Merge: fdbad1c bc5c722
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Fri Jun 13 11:23:08 2008 +0100

    Merge the fix for bug #965
    
    Merge branch 'bug-965'

commit bc5c7225535ef447743ac59ecdba8c237549a108
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Fri Jun 13 11:22:35 2008 +0100

    Conditionally compile the test suite
    
    If the --disable-glibtest command line switch has been given to the
    configure script, the test suite should be disabled and not built.
    
    This commit disables recursion in the tests/ and json-glib/tests
    when the ENABLE_GLIB_TEST Makefile conditional has been set.

 Makefile.am           | 6 +++++-
 configure.ac          | 3 +++
 json-glib/Makefile.am | 2 ++
 3 files changed, 10 insertions(+), 1 deletion(-)

commit fdbad1cfd6ad6da9fab631f945ab8d2e85228fdf
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Fri Jun 13 11:06:15 2008 +0100

    Escape to special characters in JsonGenerator
    
    When using json-glib to write a blog system, some deserialized objects
    were not been interpreted by javascript because there were line breaks
    in generated strings.
    
    Patch from Lincoln de Sousa.
    
    Bug #958 - JsonGenerator does not escape special characters
    
    Signed-off-by: Emmanuele Bassi <ebassi@openedhand.com>

 json-glib/json-generator.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 81c02ef3db6901655f8a7117e5e2675d37096daf
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun May 18 11:56:04 2008 +0100

    Remove the include for json-scanner.h
    
    The json-scanner.h header file is not shipped with JSON-GLib anymore.

 json-glib/json-glib.h | 1 -
 1 file changed, 1 deletion(-)

commit 9713843a4294b3e35a29125bf2bf1867a6443f27
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue May 6 11:48:25 2008 +0100

    Remove debian packaging

 debian/changelog                |  5 ----
 debian/compat                   |  1 -
 debian/control                  | 61 -----------------------------------------
 debian/copyright                | 27 ------------------
 debian/libjson-glib-dev.install |  3 --
 debian/libjson-glib-doc.install |  1 -
 debian/libjson-glib-doc.links   |  1 -
 debian/libjson-glib0.install    |  1 -
 debian/rules                    | 12 --------
 9 files changed, 112 deletions(-)

commit d67000ab6c5ae6710f48f0517c98600af7cdaa0e
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 23:17:58 2008 +0100

    Update changelog for the debian packages

 debian/changelog | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0830873edc5203655f04868184cedb428b6d2d54
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 23:16:38 2008 +0100

    Update git ignore file

 .gitignore | 72 +++++++++++++++++++-------------------------------------------
 1 file changed, 22 insertions(+), 50 deletions(-)

commit eb1cd29f78ff52e3ec3b063716fb86b5f2c5ae4a
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 23:13:17 2008 +0100

    Remove Vala bindings
    
    Vala bindings are maintained out of tree, directly inside the Vala
    repository and official packages, so there's no point in duplicating
    the effort here.

 Makefile.am                |   6 +-
 configure.ac               |  15 -----
 contrib/Makefile.am        |   6 --
 contrib/json-glib-1.0.deps |   1 -
 contrib/json-glib-1.0.vapi | 139 ---------------------------------------------
 contrib/json-object.vala   |  46 ---------------
 contrib/json-test.vala     | 122 ---------------------------------------
 7 files changed, 1 insertion(+), 334 deletions(-)

commit 094acd1663210e803a8dab496f6de8066ef11f44
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:44:29 2008 +0100

    Bump to 0.6.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a725bac9a287883f2d4f32130c7faedb121f754b
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:39:01 2008 +0100

    Bump to 0.6.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cd598180b12a212525427a8cddf11bc0ed4f1836
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:38:50 2008 +0100

    Update NEWS for 0.6.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 26479ec3c342889a2ee822bdf73f2e5fb6e170d7
Merge: 8b5b5f6 7ff9134
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:35:16 2008 +0100

    Add debian packaging to the master branch
    
    Merge branch 'debian-packaging'

commit 8b5b5f6a4fdfb219897d75893889014f44ba4bb0
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:34:35 2008 +0100

    Add json-scanner.h to the EXTRA_DIST content
    
    Fix a distcheck error because json-scanner.h is not packaged inside
    the tarball.

 json-glib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 705a73eb3dfa2323ec86c1d299b567a15acde7a6
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:24:22 2008 +0100

    Style fixes for the configure output

 configure.ac | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e017d392a281594e350a8d74c142cbe014753d7e
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:24:00 2008 +0100

    Fix typo in the libtool flags arguments
    
    The correct syntax for passing the versioning information to
    libtool is '-version-info', not '-versio-info'.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2051be2f7185733bbc62d10ec096538fec924638
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:22:59 2008 +0100

    Add the Bugzilla URL to AC_INIT
    
    JSON-GLib has a bugzilla product on bugzilla.openedhand.com. By adding
    the URL to the configure.ac template, the configure script will print
    it when invoked with the --help command line switch.

 configure.ac | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4cb8a9078172c5f56ac5d56417b8656a7053df4a
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon May 5 12:21:40 2008 +0100

    Update autogen.sh
    
    Make autogen.sh test for the location of the current directory, and
    warn if the checkout is not complete.
    
    If gtk-doc is not installed (for instance, on an embedded minimal
    set up), do not fail and just provide a stub gtk-doc.make.

 autogen.sh | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

commit 1571fcddd6f2a245f4bb6ad64f82d24fc9c4cec0
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu May 1 23:00:28 2008 +0100

    Test the deserialization of arrays of strings
    
    Arrays of strings are handled automatically by the GObject
    deserialization and serialization code. We need to test that
    they are correctly parsed and assigned to the instance.

 tests/test-serialize-full.c | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit 4c11d0969a44bb70acf6463ef6305999ff443be2
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu May 1 22:58:55 2008 +0100

    Use an array to hold the strings in a vector
    
    Instead of building a GString by concatenating every string inside
    an array to deserialize the array into a string vector property,
    use a GPtrArray. This is far more efficient (no reallocations are
    necessary, as we know the size of the array) and safe (the separator
    used to build the string buffer and then split it might exist in
    one of the original strings).

 json-glib/json-gobject.c | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

commit 7ff91344d21b0c26d3a3a2834dbf09286cb1f904
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu May 1 16:08:15 2008 +0100

    Remove control re-generation rule
    
    We don't have a template control, so there's not need to clean it
    up and regenerate it.
    
    This is why copying existing debian/rules templates is not a good
    idea unless you read the Debian packaging rules.

 debian/rules | 3 ---
 1 file changed, 3 deletions(-)

commit e75321e64f17d69beac0c2e131572fe081680b08
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu May 1 15:58:31 2008 +0100

    Add debian packaging files
    
    The debian packaging files are obviously needed to generate Debian
    packages for JSON-GLib.

 debian/changelog                |  6 ++++
 debian/compat                   |  1 +
 debian/control                  | 61 +++++++++++++++++++++++++++++++++++++++++
 debian/copyright                | 27 ++++++++++++++++++
 debian/libjson-glib-dev.install |  3 ++
 debian/libjson-glib-doc.install |  1 +
 debian/libjson-glib-doc.links   |  1 +
 debian/libjson-glib0.install    |  1 +
 debian/rules                    | 15 ++++++++++
 9 files changed, 116 insertions(+)

commit 30f9d47ecf43a17610cd9c0074ff832bfa37593c
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 15:47:11 2008 +0100

    Test the equality of the serialize string length

 tests/test-serialize-simple.c | 3 +++
 1 file changed, 3 insertions(+)

commit 07c2b916dadb4b40fbaabf49f0e80941993cc2cf
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 15:02:33 2008 +0100

    Export only the public symbols
    
    All the symbols starting with an underscore or with something that
    is not "json" are to considered private, and thus are not global
    to the shared object.

 json-glib/Makefile.am | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 179899e5da801fda0981a1d446ba420efd4021c1
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 14:55:51 2008 +0100

    Update git ignore file

 .gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit b0daf7e3a2529dd9950d77a96a10233d68778f32
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 14:54:05 2008 +0100

    Include the newly added json-enum-types.h header
    
    When including json-glib/json-glib.h we get everything json-glib
    expose as a public symbol.

 json-glib/json-glib.h | 1 +
 1 file changed, 1 insertion(+)

commit c7a7f429565195fe7aba56a254abf3637cf6fa8a
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 14:52:54 2008 +0100

    Ignore the enumeration types header and the stamp file
    
    We don't need gtk-doc to look at those files; the enumeration
    types are already documented, and the get_type() function and
    macro are implied.

 doc/reference/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 053bf43c813799c5f59e9241217fe31c560b5885
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 14:52:07 2008 +0100

    Install the autogenerated enum types header
    
    The enumeration GTypes are public and meant to be used by
    language bindings and other users of the library.

 json-glib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 5977d95866cd9763e97a47d6c9909e6a2fbf0ed1
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 14:50:34 2008 +0100

    Autogenerate the GTypes for the enumerations

 json-glib/Makefile.am | 70 ++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 47 insertions(+), 23 deletions(-)

commit 356413e8840a614914b84f40b1d8476ba036ded4
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 24 14:49:45 2008 +0100

    Add enumeration types templates for glib-mkenums
    
    The templates for glib-mkenums keep the Makefile.am sane and
    editable by mere mortals.

 json-glib/json-enum-types.c.in | 31 +++++++++++++++++++++++++++++++
 json-glib/json-enum-types.h.in | 26 ++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 7d57ffc03783defbfeb26e21a14e3df32555c29d
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Mon Apr 21 10:57:05 2008 +0100

    Update git ignore file

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 7d259e03b9a556d155ade87417ab26830c3e7684
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Apr 20 22:43:32 2008 +0100

    Validate the variable name in the assignment test
    
    Make sure that not only we report that there is an assignment
    and that the returned variable is not NULL, but also that the
    returned variable name is correct.

 tests/test-parser.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 6899bca0dcf72dac0cad9dcf1a7cd10159d471e5
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 23:22:29 2008 +0100

    Add more cases for the nested array parsing unit
    
    Try more combinations of elements inside an array with a nested
    object.

 tests/test-parser.c | 2 ++
 1 file changed, 2 insertions(+)

commit 81addb645ac5fad28619bb660624902abe981377
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 23:18:54 2008 +0100

    Add verbose messages
    
    The unicode escaping unit should have the same verbosity as the
    other units.

 tests/test-parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 22a0db88c14895f98db76bca3cb078fbd3a2b07d
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 23:09:32 2008 +0100

    Whitespace fixes in the licensing notice

 json-glib/json-scanner.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 676592cef006de16d966a1ca0469ccd0556f0e4b
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 23:09:20 2008 +0100

    Documentation fixes in JsonNode

 json-glib/json-node.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bf2249a1855b6bebe0b3528b4d5321a1ebe4b9e7
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 23:08:20 2008 +0100

    Do not copy node data if it's not there
    
    If the source JsonNode does not contain data yet, do not try
    and copy it.

 json-glib/json-node.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit c191b2f8a8159457db3333390be10d6c7c0d4336
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 23:05:03 2008 +0100

    Ignore json-scanner.h and its types
    
    When generating the documentation, ignore the JsonScanner header
    as it will not be installed.
    
    Also, we moved JsonTokenType from json-parser.h to json-scanner.h,
    where it belongs, so we can remove it from the (private) subsection
    of the json-parser section.

 doc/reference/Makefile.am            | 7 ++++++-
 doc/reference/json-glib-sections.txt | 1 -
 2 files changed, 6 insertions(+), 2 deletions(-)

commit ffbd9063556a061ba3e7e4223b924ae4766adfbd
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 23:01:26 2008 +0100

    Do not install the JsonScanner header
    
    The JsonScanner tokenizer is an internal copy of GScanner: it should
    not be used outside JSON-GLib - JsonParser is the public API for
    parsing JSON.

 json-glib/Makefile.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit df2a310a6ed0a3b32415f53076ff4c053b3fd925
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 22:59:28 2008 +0100

    Fix the external gtk-doc references
    
    Gtk-doc can try and resolve the external symbols using the data
    currently installed in other locations.
    
    Since we are using GLib and GObject it would be nice to backlink
    to them inside our API reference.

 doc/reference/Makefile.am | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 6a3d8266efe505b29555db21658c241eba20fe2d
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 22:57:05 2008 +0100

    Add GLIB_PREFIX variable
    
    The gtk-doc-fixref script needs to know the location of the
    libraries documentation; in order to get it, we can ask the
    pkg-config file of the library for its prefix.

 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

commit 4e5ec69cce8ab27f965985ba69ea11224ae39ffd
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 22:28:21 2008 +0100

    Update the description and dependencies

 README | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit f65a5d5e30a1242a899149b732d1139891876014
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 18:05:45 2008 +0100

    Bump to 0.5.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab0da7c61bde715e99dd16027b198c7760b30922
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 18:01:57 2008 +0100

    Update for 0.5.0 release

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 203927c71231cf6cec6d88161211702b7105df2d
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 17:20:50 2008 +0100

    Fix ignore rule

 .gitignore | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76921ac27534aa0a25b39790ce4d99cf6e19a20c
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 17:19:30 2008 +0100

    Verify the correct handling of Unicode escaping
    
    Check that JsonParser correctly handles Unicode characters escaped
    using the \uXXXX notation, as per RFC.

 tests/test-parser.c | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

commit 379a2fe972c6e7436be9f345fe018bf4fe575354
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 17:16:28 2008 +0100

    Add support for parsing \uXXXX into Unicode
    
    JsonScanner was forked from GScanner in order to support the
    JSON-specific Unicode escaping.
    
    JsonScanner now intercepts the \u escape character and, if it
    is followed by a hexadecimal value, it will retrieve the
    Unicode character encoded in the following 4 values and insert
    the character itself in the buffer.
    
    This allows full compatibility with JSON.

 json-glib/json-scanner.c | 56 ++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 50 insertions(+), 6 deletions(-)

commit 9429ecaa88cdb6705189b6970481911f11339ff6
Merge: d313aa1 445a3f7
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 19 15:33:15 2008 +0100

    Merge master branch back for testing JsonScanner
    
    Merge branch 'master' into json-scanner

commit 445a3f71d046abed4ff99e0ab4cd9cc8e047f5be
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Apr 12 13:21:21 2008 +0100

    Allow null nodes to return a value without a warning
    
    Value nodes might contain 'null' as a valid value, so the fast accessors
    should not barf out when encountering a JSON_NODE_NULL instead of the
    expected JSON_NODE_VALUE.

 json-glib/json-node.c | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

commit 4e826d9f209a8f68023bae54c91b2bbbb202a54a
Merge: 98b6e5e 2a579b5
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 3 16:32:53 2008 +0100

    Merge branch 'test-framework'

commit 2a579b51f38df1c009201703279a3e6cb4f57eea
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Thu Apr 3 16:31:48 2008 +0100

    Wrap the test report information section inside an info element

 Makefile.decl | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8e2e539d02b84e0fe452174f3dfab06f35a4e6a1
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 9 20:52:29 2008 +0000

    Add value testing to the JsonNode unit
    
    Test the GValue API for storing fundamental types into a JsonNode.

 json-glib/tests/node-test.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 646b90e79d3424a332064a6a1e9fc62d1ce99386
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Wed Mar 5 17:43:06 2008 +0000

    Add package and version information to the test-report XML

 Makefile.decl | 2 ++
 1 file changed, 2 insertions(+)

commit b8943381b0df44d9e6e21ae8321df2376c8458a8
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Wed Mar 5 16:03:24 2008 +0000

    Add JsonObject test unit
    
    Use a similar test unit as the JsonArray one, testing creation, empty
    objects, addition and removal of members.

 .gitignore                    |  2 ++
 json-glib/tests/Makefile.am   | 17 +++++++-----
 json-glib/tests/object-test.c | 62 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 75 insertions(+), 6 deletions(-)

commit 7eab612d9b200aef197fa1dffa4f89b936c76b1f
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Wed Mar 5 15:46:41 2008 +0000

    Add element removal unit to the Array test
    
    Remove the json_array_remove_element() call from the add-element test unit
    and set up a separate test case for the element removal. This keeps the
    test cases clean.

 json-glib/tests/array-test.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 6aa1ddb891594e0f567bc3ebeb3bf5d3ab8e7e0c
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 13:07:08 2008 +0000

    Clean the test-report XML output, if found

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6eee8282d327614380854d572b2680f40b2faaf5
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 12:37:52 2008 +0000

    Update gitignore file

 .gitignore | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit d5cb48681c68c3d53d8ec331ef37fb60820a9421
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 12:30:48 2008 +0000

    Build test-serialize-full
    
    Complete the porting of the old test suite into the new, GTest based one.
    
    The new test suite is automatically run with make test; make test-report
    will generate an XML report of the test.
    
    The API coverage for the data types is part of the json-glib/tests
    directory and will be expanded later.

 tests/Makefile.am           |  8 +++++--
 tests/test-serialize-full.c | 56 ++++++++++++++++++++++++++++-----------------
 2 files changed, 41 insertions(+), 23 deletions(-)

commit 1f6307ea2d7dc6ebe279d08b9f95f3074fbdd462
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 12:18:19 2008 +0000

    Rename test-08 into test-serialize-full
    
    The test-08 case was the last numbered test unit.

 tests/test-08.c             | 337 --------------------------------------------
 tests/test-serialize-full.c | 337 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 337 insertions(+), 337 deletions(-)

commit cdb194e8d64343e8bcb00e046c5fbeefd677b02a
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 12:17:29 2008 +0000

    Rename test-07 into test-serialize-complex
    
    The new test-serialize-complex adds a test unit for the JsonSerializable
    interface; the TestObject implements the serialization interface to
    create a JSON data type from a boxed GType.

 tests/Makefile.am              |   4 +
 tests/test-07.c                | 252 ---------------------------------------
 tests/test-serialize-complex.c | 261 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 265 insertions(+), 252 deletions(-)

commit 4c766a029d8f6a2d06b749527020fd93fc4a4f99
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 12:12:37 2008 +0000

    Fix compilation of test-serialize-simple and add it to the test suite
    
    The new test-serialize-simple tests the GObject integration for
    serializing simple GObjects into JSON.

 tests/Makefile.am             | 4 ++++
 tests/test-serialize-simple.c | 5 +++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 325185c5955f8942ddf8d55a9e3b5d6a8c2723d1
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 12:10:23 2008 +0000

    Rename test-06 to test-serialize-simple

 tests/test-06.c               | 162 ------------------------------------------
 tests/test-serialize-simple.c | 162 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 162 insertions(+), 162 deletions(-)

commit cbea4698c1b7284d8004fff659a7354fb3af29ee
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 12:09:44 2008 +0000

    Move test-06 to GTest API
    
    First pass into replacing the last three numbered tests into named
    tests.

 tests/test-06.c | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

commit 5cc1d3d6061830de403ccbc10c2414f29cd1cf82
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 10:52:51 2008 +0000

    Coalesce JsonGenerator test cases into a single test unit
    
    Like we did for JsonParser, JsonGenerator has now a test unit checking the
    output of a DOM built and dumped into a buffer.
    
    For the arrays is quite easy to verify that the output is correct;
    unfortunately, JsonObject does not guarantee any ordering on the members,
    with it being an associative array. Hence, for the object test case we
    just compare the length of the output.

 tests/Makefile.am      |   4 +
 tests/test-04.c        | 238 -----------------------------
 tests/test-05.c        | 227 ----------------------------
 tests/test-generator.c | 399 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 403 insertions(+), 465 deletions(-)

commit e100c69a4fca046cbeb6db3fc8ba49160796d87c
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 10:44:56 2008 +0000

    Append to EXTRA_DIST, since it was defined elsewhere

 contrib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98b6e5e2f151c4ee800754675bf01e585fee850b
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 07:05:01 2008 +0000

    Update the README

 README | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit 1a078c783a5a03b3367ce59eb25248dd6e23b5c6
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 07:05:01 2008 +0000

    Update the README

 README | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit 44891ea1040ceae95a994b646174696de7779ea1
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 06:44:59 2008 +0000

    Update gitignore file

 .gitignore | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 3ea189acf52ea39653c6505c136f1f45a660a24c
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 06:34:11 2008 +0000

    Add validation to the simple object test values
    
    Like for the simple arrays test case, add validation of the values types
    for the members of the simple objects test case.

 tests/test-parser.c | 31 ++++++++++++++++++++++++-------
 1 file changed, 24 insertions(+), 7 deletions(-)

commit 40b3e9330f482e002aea90b0c1a4b9db2adffff0
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Tue Mar 4 06:27:24 2008 +0000

    Add validation of the simple array test values
    
    Instead of just checking that the array contains something, the simple-array
    test case should validate the contents of the array.
    
    The test now uses a struct defining:
    - the test array
    - the size of the array
    - an element to check
    - the type of the node for the element
    - the type of the value for the node
    
    All the fields are checked for a match. This makes the simple arrays test
    case more reliable.

 tests/test-parser.c | 40 +++++++++++++++++++++++++++++++---------
 1 file changed, 31 insertions(+), 9 deletions(-)

commit 7e6dab14302b94979672acf81eec8710ea95e288
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 17:44:27 2008 +0000

    Add array-test to the JSON-GLib types unit tests
    
    This simple unit will test the JsonArray API, as part of the coverage
    test for the JSON-GLib types.

 json-glib/tests/Makefile.am  | 10 ++++++---
 json-glib/tests/array-test.c | 50 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+), 3 deletions(-)

commit 441ee88a6e024fc5ab2cf8355adad1fecc276088
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 15:09:05 2008 +0000

    Coalesce test-03 into test-parser
    
    The third test under the tests/ directory was the last JsonParser test,
    dealing with object parsing. Now, test-parser is complete and contains
    all the JsonParser test cases. It still needs further testing to
    verify the DOM created by the parser object.

 tests/test-02.c     | 225 ----------------------------------------------------
 tests/test-03.c     | 214 -------------------------------------------------
 tests/test-parser.c | 167 ++++++++++++++++++++++++++++++++++++--
 3 files changed, 161 insertions(+), 445 deletions(-)

commit 71db86d84a5544d603b03721891e0ad14f92178d
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 14:58:58 2008 +0000

    Update the tests build to be a testing unit
    
    Instead of having stand alone tests, use the GTest framework and start
    coalescing multiple test cases into one.
    
    The tests directory will be used for JsonParser, JsonGenerator and
    the JSON-GObject integration API, by reusing the previous test cases
    and remolding them into a more interesting test framework.

 tests/Makefile.am | 39 +++++----------------------------------
 1 file changed, 5 insertions(+), 34 deletions(-)

commit 1e6aa16a2a6432cf96d0a86d4650c13e63c67e43
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 14:56:56 2008 +0000

    Remove old, empty string test

 tests/test-01.c | 57 ---------------------------------------------------------
 1 file changed, 57 deletions(-)

commit 989c807fd61cc65c1e4058c5d0794ae2fe438ba1
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 14:56:28 2008 +0000

    Rename JsonParser test, and coaelesce basic parser and array tests
    
    Instead of using a single test for empty strings and another test for
    arrays, merge the two into a single test unit, using the GTest API.
    
    The JsonObject parsing test will also be merged later.

 tests/test-parser.c | 262 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 262 insertions(+)

commit f1e1c0e7796903abb725e8216fc54f53573ecdc9
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 10:51:09 2008 +0000

    Port the empty string test to the GLib testing framework
    
    The old test-01 program tested the JsonParser with an empty string; instead
    of relying on the exit code and error messages on screen, it shoul use the
    new GTest API.
    
    This is the first test of the old test suite to be ported to the new test
    framework API.

 tests/test-01.c | 44 +++++++++++++++++++++++++++++++++++---------
 1 file changed, 35 insertions(+), 9 deletions(-)

commit cb5b3d5fa6244b0d20258203bd9df7e3148af57b
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 10:50:17 2008 +0000

    Add a JsonNode copy test unit
    
    The test unit copies a NULL JsonNode and checks that the copy and the
    original nodes are equivalent.

 json-glib/tests/node-test.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 40c757835e329fe01f8f22aba74d2e47f3a5e55c
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sun Mar 2 10:49:52 2008 +0000

    Update Makefile templates to include the testing framework

 contrib/Makefile.am       |  2 ++
 doc/Makefile.am           |  2 ++
 doc/reference/Makefile.am |  1 +
 tests/Makefile.am         | 38 ++++++++++++++++++++++++++++++++------
 4 files changed, 37 insertions(+), 6 deletions(-)

commit 75939c2b43430583150b18f0a8e82e3d60a4f4f1
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Mar 1 19:35:47 2008 +0000

    Update gitignore file

 .gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit e4be0d896359cc1d0ba99dd81a66855389ebd5df
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Sat Mar 1 19:30:41 2008 +0000

    Add initial test suite support using GLib's new testing framework
    
    GLib 2.15 added a new test unit framework to the GLib API. It allows
    integrating unit testing into GLib and GObject based libraries and
    applications.
    
    It requires a specially crafter Makefile holding a set of declarations,
    which must be included into the project own Makefile templates; then
    it is possible to drop tests inside a subdirectory, which will be built
    after the library or application, and executed upon "make check".
    
    At the moment, there is a simple test for the JsonNode API, with a
    single unit for the "null" node type.

 Makefile.am                 |  4 +++-
 Makefile.decl               | 57 +++++++++++++++++++++++++++++++++++++++++++++
 configure.ac                |  3 ++-
 json-glib/Makefile.am       |  9 ++++++-
 json-glib/tests/Makefile.am | 15 ++++++++++++
 json-glib/tests/node-test.c | 27 +++++++++++++++++++++
 6 files changed, 112 insertions(+), 3 deletions(-)

commit d313aa1e9e472834252ec173c0409eba11ebcff9
Author: Emmanuele Bassi <ebassi@openedhand.com>
Date:   Fri Feb 29 16:40:33 2008 +0000

    Update gitignore

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 8a2bb3c4400b9df6cd864eb29920a7767e8170c7
Author: Emmanuele Bassi <ebassi@openedhand.com>
